(* AccumOp *)
external def_GL_ACCUM                          : unit -> int = "def_GL_ACCUM"
external def_GL_LOAD                           : unit -> int = "def_GL_LOAD"
external def_GL_RETURN                         : unit -> int = "def_GL_RETURN"
external def_GL_MULT                           : unit -> int = "def_GL_MULT"
external def_GL_ADD                            : unit -> int = "def_GL_ADD"
(* AlphaFunction *)
external def_GL_NEVER                          : unit -> int = "def_GL_NEVER"
external def_GL_LESS                           : unit -> int = "def_GL_LESS"
external def_GL_EQUAL                          : unit -> int = "def_GL_EQUAL"
external def_GL_LEQUAL                         : unit -> int = "def_GL_LEQUAL"
external def_GL_GREATER                        : unit -> int = "def_GL_GREATER"
external def_GL_NOTEQUAL                       : unit -> int = "def_GL_NOTEQUAL"
external def_GL_GEQUAL                         : unit -> int = "def_GL_GEQUAL"
external def_GL_ALWAYS                         : unit -> int = "def_GL_ALWAYS"
(* AttribMask *)
external def_GL_CURRENT_BIT                    : unit -> int = "def_GL_CURRENT_BIT"
external def_GL_POINT_BIT                      : unit -> int = "def_GL_POINT_BIT"
external def_GL_LINE_BIT                       : unit -> int = "def_GL_LINE_BIT"
external def_GL_POLYGON_BIT                    : unit -> int = "def_GL_POLYGON_BIT"
external def_GL_POLYGON_STIPPLE_BIT            : unit -> int = "def_GL_POLYGON_STIPPLE_BIT"
external def_GL_PIXEL_MODE_BIT                 : unit -> int = "def_GL_PIXEL_MODE_BIT"
external def_GL_LIGHTING_BIT                   : unit -> int = "def_GL_LIGHTING_BIT"
external def_GL_FOG_BIT                        : unit -> int = "def_GL_FOG_BIT"
external def_GL_DEPTH_BUFFER_BIT               : unit -> int = "def_GL_DEPTH_BUFFER_BIT"
external def_GL_ACCUM_BUFFER_BIT               : unit -> int = "def_GL_ACCUM_BUFFER_BIT"
external def_GL_STENCIL_BUFFER_BIT             : unit -> int = "def_GL_STENCIL_BUFFER_BIT"
external def_GL_VIEWPORT_BIT                   : unit -> int = "def_GL_VIEWPORT_BIT"
external def_GL_TRANSFORM_BIT                  : unit -> int = "def_GL_TRANSFORM_BIT"
external def_GL_ENABLE_BIT                     : unit -> int = "def_GL_ENABLE_BIT"
external def_GL_COLOR_BUFFER_BIT               : unit -> int = "def_GL_COLOR_BUFFER_BIT"
external def_GL_HINT_BIT                       : unit -> int = "def_GL_HINT_BIT"
external def_GL_EVAL_BIT                       : unit -> int = "def_GL_EVAL_BIT"
external def_GL_LIST_BIT                       : unit -> int = "def_GL_LIST_BIT"
external def_GL_TEXTURE_BIT                    : unit -> int = "def_GL_TEXTURE_BIT"
external def_GL_SCISSOR_BIT                    : unit -> int = "def_GL_SCISSOR_BIT"
external def_GL_ALL_ATTRIB_BITS                : unit -> int = "def_GL_ALL_ATTRIB_BITS"
(* BeginMode *)
external def_GL_POINTS                         : unit -> int = "def_GL_POINTS"
external def_GL_LINES                          : unit -> int = "def_GL_LINES"
external def_GL_LINE_LOOP                      : unit -> int = "def_GL_LINE_LOOP"
external def_GL_LINE_STRIP                     : unit -> int = "def_GL_LINE_STRIP"
external def_GL_TRIANGLES                      : unit -> int = "def_GL_TRIANGLES"
external def_GL_TRIANGLE_STRIP                 : unit -> int = "def_GL_TRIANGLE_STRIP"
external def_GL_TRIANGLE_FAN                   : unit -> int = "def_GL_TRIANGLE_FAN"
external def_GL_QUADS                          : unit -> int = "def_GL_QUADS"
external def_GL_QUAD_STRIP                     : unit -> int = "def_GL_QUAD_STRIP"
external def_GL_POLYGON                        : unit -> int = "def_GL_POLYGON"
(* BlendingFactorDest *)
external def_GL_ZERO                           : unit -> int = "def_GL_ZERO"
external def_GL_ONE                            : unit -> int = "def_GL_ONE"
external def_GL_SRC_COLOR                      : unit -> int = "def_GL_SRC_COLOR"
external def_GL_ONE_MINUS_SRC_COLOR            : unit -> int = "def_GL_ONE_MINUS_SRC_COLOR"
external def_GL_SRC_ALPHA                      : unit -> int = "def_GL_SRC_ALPHA"
external def_GL_ONE_MINUS_SRC_ALPHA            : unit -> int = "def_GL_ONE_MINUS_SRC_ALPHA"
external def_GL_DST_ALPHA                      : unit -> int = "def_GL_DST_ALPHA"
external def_GL_ONE_MINUS_DST_ALPHA            : unit -> int = "def_GL_ONE_MINUS_DST_ALPHA"
(* BlendingFactorSrc *)
(*      GL_ZERO *)
(*      GL_ONE *)
external def_GL_DST_COLOR                      : unit -> int = "def_GL_DST_COLOR"
external def_GL_ONE_MINUS_DST_COLOR            : unit -> int = "def_GL_ONE_MINUS_DST_COLOR"
external def_GL_SRC_ALPHA_SATURATE             : unit -> int = "def_GL_SRC_ALPHA_SATURATE"
(*      GL_SRC_ALPHA *)
(*      GL_ONE_MINUS_SRC_ALPHA *)
(*      GL_DST_ALPHA *)
(*      GL_ONE_MINUS_DST_ALPHA *)
(* ClearBufferMask *)
(*      GL_COLOR_BUFFER_BIT *)
(*      GL_ACCUM_BUFFER_BIT *)
(*      GL_STENCIL_BUFFER_BIT *)
(*      GL_DEPTH_BUFFER_BIT *)
(* ClientArrayType *)
(*      GL_VERTEX_ARRAY *)
(*      GL_NORMAL_ARRAY *)
(*      GL_COLOR_ARRAY *)
(*      GL_INDEX_ARRAY *)
(*      GL_TEXTURE_COORD_ARRAY *)
(*      GL_EDGE_FLAG_ARRAY *)
(* ClipPlaneName *)
external def_GL_CLIP_PLANE0                    : unit -> int = "def_GL_CLIP_PLANE0"
external def_GL_CLIP_PLANE1                    : unit -> int = "def_GL_CLIP_PLANE1"
external def_GL_CLIP_PLANE2                    : unit -> int = "def_GL_CLIP_PLANE2"
external def_GL_CLIP_PLANE3                    : unit -> int = "def_GL_CLIP_PLANE3"
external def_GL_CLIP_PLANE4                    : unit -> int = "def_GL_CLIP_PLANE4"
external def_GL_CLIP_PLANE5                    : unit -> int = "def_GL_CLIP_PLANE5"
(* ColorMaterialFace *)
(*      GL_FRONT *)
(*      GL_BACK *)
(*      GL_FRONT_AND_BACK *)
(* ColorMaterialParameter *)
(*      GL_AMBIENT *)
(*      GL_DIFFUSE *)
(*      GL_SPECULAR *)
(*      GL_EMISSION *)
(*      GL_AMBIENT_AND_DIFFUSE *)
(* ColorPointerType *)
(*      GL_BYTE *)
(*      GL_UNSIGNED_BYTE *)
(*      GL_SHORT *)
(*      GL_UNSIGNED_SHORT *)
(*      GL_INT *)
(*      GL_UNSIGNED_INT *)
(*      GL_FLOAT *)
(*      GL_DOUBLE *)
(* CullFaceMode *)
(*      GL_FRONT *)
(*      GL_BACK *)
(*      GL_FRONT_AND_BACK *)
(* DataType *)
external def_GL_BYTE                           : unit -> int = "def_GL_BYTE"
external def_GL_UNSIGNED_BYTE                  : unit -> int = "def_GL_UNSIGNED_BYTE"
external def_GL_SHORT                          : unit -> int = "def_GL_SHORT"
external def_GL_UNSIGNED_SHORT                 : unit -> int = "def_GL_UNSIGNED_SHORT"
external def_GL_INT                            : unit -> int = "def_GL_INT"
external def_GL_UNSIGNED_INT                   : unit -> int = "def_GL_UNSIGNED_INT"
external def_GL_FLOAT                          : unit -> int = "def_GL_FLOAT"
external def_GL_2_BYTES                        : unit -> int = "def_GL_2_BYTES"
external def_GL_3_BYTES                        : unit -> int = "def_GL_3_BYTES"
external def_GL_4_BYTES                        : unit -> int = "def_GL_4_BYTES"
external def_GL_DOUBLE                         : unit -> int = "def_GL_DOUBLE"
(* DepthFunction *)
(*      GL_NEVER *)
(*      GL_LESS *)
(*      GL_EQUAL *)
(*      GL_LEQUAL *)
(*      GL_GREATER *)
(*      GL_NOTEQUAL *)
(*      GL_GEQUAL *)
(*      GL_ALWAYS *)
(* DrawBufferMode *)
external def_GL_NONE                           : unit -> int = "def_GL_NONE"
external def_GL_FRONT_LEFT                     : unit -> int = "def_GL_FRONT_LEFT"
external def_GL_FRONT_RIGHT                    : unit -> int = "def_GL_FRONT_RIGHT"
external def_GL_BACK_LEFT                      : unit -> int = "def_GL_BACK_LEFT"
external def_GL_BACK_RIGHT                     : unit -> int = "def_GL_BACK_RIGHT"
external def_GL_FRONT                          : unit -> int = "def_GL_FRONT"
external def_GL_BACK                           : unit -> int = "def_GL_BACK"
external def_GL_LEFT                           : unit -> int = "def_GL_LEFT"
external def_GL_RIGHT                          : unit -> int = "def_GL_RIGHT"
external def_GL_FRONT_AND_BACK                 : unit -> int = "def_GL_FRONT_AND_BACK"
external def_GL_AUX0                           : unit -> int = "def_GL_AUX0"
external def_GL_AUX1                           : unit -> int = "def_GL_AUX1"
external def_GL_AUX2                           : unit -> int = "def_GL_AUX2"
external def_GL_AUX3                           : unit -> int = "def_GL_AUX3"
(* Enable *)
(*      GL_FOG *)
(*      GL_LIGHTING *)
(*      GL_TEXTURE_1D *)
(*      GL_TEXTURE_2D *)
(*      GL_LINE_STIPPLE *)
(*      GL_POLYGON_STIPPLE *)
(*      GL_CULL_FACE *)
(*      GL_ALPHA_TEST *)
(*      GL_BLEND *)
(*      GL_INDEX_LOGIC_OP *)
(*      GL_COLOR_LOGIC_OP *)
(*      GL_DITHER *)
(*      GL_STENCIL_TEST *)
(*      GL_DEPTH_TEST *)
(*      GL_CLIP_PLANE0 *)
(*      GL_CLIP_PLANE1 *)
(*      GL_CLIP_PLANE2 *)
(*      GL_CLIP_PLANE3 *)
(*      GL_CLIP_PLANE4 *)
(*      GL_CLIP_PLANE5 *)
(*      GL_LIGHT0 *)
(*      GL_LIGHT1 *)
(*      GL_LIGHT2 *)
(*      GL_LIGHT3 *)
(*      GL_LIGHT4 *)
(*      GL_LIGHT5 *)
(*      GL_LIGHT6 *)
(*      GL_LIGHT7 *)
(*      GL_TEXTURE_GEN_S *)
(*      GL_TEXTURE_GEN_T *)
(*      GL_TEXTURE_GEN_R *)
(*      GL_TEXTURE_GEN_Q *)
(*      GL_MAP1_VERTEX_3 *)
(*      GL_MAP1_VERTEX_4 *)
(*      GL_MAP1_COLOR_4 *)
(*      GL_MAP1_INDEX *)
(*      GL_MAP1_NORMAL *)
(*      GL_MAP1_TEXTURE_COORD_1 *)
(*      GL_MAP1_TEXTURE_COORD_2 *)
(*      GL_MAP1_TEXTURE_COORD_3 *)
(*      GL_MAP1_TEXTURE_COORD_4 *)
(*      GL_MAP2_VERTEX_3 *)
(*      GL_MAP2_VERTEX_4 *)
(*      GL_MAP2_COLOR_4 *)
(*      GL_MAP2_INDEX *)
(*      GL_MAP2_NORMAL *)
(*      GL_MAP2_TEXTURE_COORD_1 *)
(*      GL_MAP2_TEXTURE_COORD_2 *)
(*      GL_MAP2_TEXTURE_COORD_3 *)
(*      GL_MAP2_TEXTURE_COORD_4 *)
(*      GL_POINT_SMOOTH *)
(*      GL_LINE_SMOOTH *)
(*      GL_POLYGON_SMOOTH *)
(*      GL_SCISSOR_TEST *)
(*      GL_COLOR_MATERIAL *)
(*      GL_NORMALIZE *)
(*      GL_AUTO_NORMAL *)
(*      GL_VERTEX_ARRAY *)
(*      GL_NORMAL_ARRAY *)
(*      GL_COLOR_ARRAY *)
(*      GL_INDEX_ARRAY *)
(*      GL_TEXTURE_COORD_ARRAY *)
(*      GL_EDGE_FLAG_ARRAY *)
(*      GL_POLYGON_OFFSET_POINT *)
(*      GL_POLYGON_OFFSET_LINE *)
(*      GL_POLYGON_OFFSET_FILL *)
(* ErrorCode *)
external def_GL_NO_ERROR                       : unit -> int = "def_GL_NO_ERROR"
external def_GL_INVALID_ENUM                   : unit -> int = "def_GL_INVALID_ENUM"
external def_GL_INVALID_VALUE                  : unit -> int = "def_GL_INVALID_VALUE"
external def_GL_INVALID_OPERATION              : unit -> int = "def_GL_INVALID_OPERATION"
external def_GL_STACK_OVERFLOW                 : unit -> int = "def_GL_STACK_OVERFLOW"
external def_GL_STACK_UNDERFLOW                : unit -> int = "def_GL_STACK_UNDERFLOW"
external def_GL_OUT_OF_MEMORY                  : unit -> int = "def_GL_OUT_OF_MEMORY"
(* FeedBackMode *)
external def_GL_2D                             : unit -> int = "def_GL_2D"
external def_GL_3D                             : unit -> int = "def_GL_3D"
external def_GL_3D_COLOR                       : unit -> int = "def_GL_3D_COLOR"
external def_GL_3D_COLOR_TEXTURE               : unit -> int = "def_GL_3D_COLOR_TEXTURE"
external def_GL_4D_COLOR_TEXTURE               : unit -> int = "def_GL_4D_COLOR_TEXTURE"
(* FeedBackToken *)
external def_GL_PASS_THROUGH_TOKEN             : unit -> int = "def_GL_PASS_THROUGH_TOKEN"
external def_GL_POINT_TOKEN                    : unit -> int = "def_GL_POINT_TOKEN"
external def_GL_LINE_TOKEN                     : unit -> int = "def_GL_LINE_TOKEN"
external def_GL_POLYGON_TOKEN                  : unit -> int = "def_GL_POLYGON_TOKEN"
external def_GL_BITMAP_TOKEN                   : unit -> int = "def_GL_BITMAP_TOKEN"
external def_GL_DRAW_PIXEL_TOKEN               : unit -> int = "def_GL_DRAW_PIXEL_TOKEN"
external def_GL_COPY_PIXEL_TOKEN               : unit -> int = "def_GL_COPY_PIXEL_TOKEN"
external def_GL_LINE_RESET_TOKEN               : unit -> int = "def_GL_LINE_RESET_TOKEN"
(* FogMode *)
(*      GL_LINEAR *)
external def_GL_EXP                            : unit -> int = "def_GL_EXP"
external def_GL_EXP2                           : unit -> int = "def_GL_EXP2"
(* FrontFaceDirection *)
external def_GL_CW                             : unit -> int = "def_GL_CW"
external def_GL_CCW                            : unit -> int = "def_GL_CCW"
(* GetMapTarget *)
external def_GL_COEFF                          : unit -> int = "def_GL_COEFF"
external def_GL_ORDER                          : unit -> int = "def_GL_ORDER"
external def_GL_DOMAIN                         : unit -> int = "def_GL_DOMAIN"
(* GetPixelMap *)
(*      GL_PIXEL_MAP_I_TO_I *)
(*      GL_PIXEL_MAP_S_TO_S *)
(*      GL_PIXEL_MAP_I_TO_R *)
(*      GL_PIXEL_MAP_I_TO_G *)
(*      GL_PIXEL_MAP_I_TO_B *)
(*      GL_PIXEL_MAP_I_TO_A *)
(*      GL_PIXEL_MAP_R_TO_R *)
(*      GL_PIXEL_MAP_G_TO_G *)
(*      GL_PIXEL_MAP_B_TO_B *)
(*      GL_PIXEL_MAP_A_TO_A *)
(* GetTarget *)
external def_GL_CURRENT_COLOR                  : unit -> int = "def_GL_CURRENT_COLOR"
external def_GL_CURRENT_INDEX                  : unit -> int = "def_GL_CURRENT_INDEX"
external def_GL_CURRENT_NORMAL                 : unit -> int = "def_GL_CURRENT_NORMAL"
external def_GL_CURRENT_TEXTURE_COORDS         : unit -> int = "def_GL_CURRENT_TEXTURE_COORDS"
external def_GL_CURRENT_RASTER_COLOR           : unit -> int = "def_GL_CURRENT_RASTER_COLOR"
external def_GL_CURRENT_RASTER_INDEX           : unit -> int = "def_GL_CURRENT_RASTER_INDEX"
external def_GL_CURRENT_RASTER_TEXTURE_COORDS  : unit -> int = "def_GL_CURRENT_RASTER_TEXTURE_COORDS"
external def_GL_CURRENT_RASTER_POSITION        : unit -> int = "def_GL_CURRENT_RASTER_POSITION"
external def_GL_CURRENT_RASTER_POSITION_VALID  : unit -> int = "def_GL_CURRENT_RASTER_POSITION_VALID"
external def_GL_CURRENT_RASTER_DISTANCE        : unit -> int = "def_GL_CURRENT_RASTER_DISTANCE"
external def_GL_POINT_SMOOTH                   : unit -> int = "def_GL_POINT_SMOOTH"
external def_GL_POINT_SIZE                     : unit -> int = "def_GL_POINT_SIZE"
external def_GL_POINT_SIZE_RANGE               : unit -> int = "def_GL_POINT_SIZE_RANGE"
external def_GL_POINT_SIZE_GRANULARITY         : unit -> int = "def_GL_POINT_SIZE_GRANULARITY"
external def_GL_LINE_SMOOTH                    : unit -> int = "def_GL_LINE_SMOOTH"
external def_GL_LINE_WIDTH                     : unit -> int = "def_GL_LINE_WIDTH"
external def_GL_LINE_WIDTH_RANGE               : unit -> int = "def_GL_LINE_WIDTH_RANGE"
external def_GL_LINE_WIDTH_GRANULARITY         : unit -> int = "def_GL_LINE_WIDTH_GRANULARITY"
external def_GL_LINE_STIPPLE                   : unit -> int = "def_GL_LINE_STIPPLE"
external def_GL_LINE_STIPPLE_PATTERN           : unit -> int = "def_GL_LINE_STIPPLE_PATTERN"
external def_GL_LINE_STIPPLE_REPEAT            : unit -> int = "def_GL_LINE_STIPPLE_REPEAT"
external def_GL_LIST_MODE                      : unit -> int = "def_GL_LIST_MODE"
external def_GL_MAX_LIST_NESTING               : unit -> int = "def_GL_MAX_LIST_NESTING"
external def_GL_LIST_BASE                      : unit -> int = "def_GL_LIST_BASE"
external def_GL_LIST_INDEX                     : unit -> int = "def_GL_LIST_INDEX"
external def_GL_POLYGON_MODE                   : unit -> int = "def_GL_POLYGON_MODE"
external def_GL_POLYGON_SMOOTH                 : unit -> int = "def_GL_POLYGON_SMOOTH"
external def_GL_POLYGON_STIPPLE                : unit -> int = "def_GL_POLYGON_STIPPLE"
external def_GL_EDGE_FLAG                      : unit -> int = "def_GL_EDGE_FLAG"
external def_GL_CULL_FACE                      : unit -> int = "def_GL_CULL_FACE"
external def_GL_CULL_FACE_MODE                 : unit -> int = "def_GL_CULL_FACE_MODE"
external def_GL_FRONT_FACE                     : unit -> int = "def_GL_FRONT_FACE"
external def_GL_LIGHTING                       : unit -> int = "def_GL_LIGHTING"
external def_GL_LIGHT_MODEL_LOCAL_VIEWER       : unit -> int = "def_GL_LIGHT_MODEL_LOCAL_VIEWER"
external def_GL_LIGHT_MODEL_TWO_SIDE           : unit -> int = "def_GL_LIGHT_MODEL_TWO_SIDE"
external def_GL_LIGHT_MODEL_AMBIENT            : unit -> int = "def_GL_LIGHT_MODEL_AMBIENT"
external def_GL_SHADE_MODEL                    : unit -> int = "def_GL_SHADE_MODEL"
external def_GL_COLOR_MATERIAL_FACE            : unit -> int = "def_GL_COLOR_MATERIAL_FACE"
external def_GL_COLOR_MATERIAL_PARAMETER       : unit -> int = "def_GL_COLOR_MATERIAL_PARAMETER"
external def_GL_COLOR_MATERIAL                 : unit -> int = "def_GL_COLOR_MATERIAL"
external def_GL_FOG                            : unit -> int = "def_GL_FOG"
external def_GL_FOG_INDEX                      : unit -> int = "def_GL_FOG_INDEX"
external def_GL_FOG_DENSITY                    : unit -> int = "def_GL_FOG_DENSITY"
external def_GL_FOG_START                      : unit -> int = "def_GL_FOG_START"
external def_GL_FOG_END                        : unit -> int = "def_GL_FOG_END"
external def_GL_FOG_MODE                       : unit -> int = "def_GL_FOG_MODE"
external def_GL_FOG_COLOR                      : unit -> int = "def_GL_FOG_COLOR"
external def_GL_DEPTH_RANGE                    : unit -> int = "def_GL_DEPTH_RANGE"
external def_GL_DEPTH_TEST                     : unit -> int = "def_GL_DEPTH_TEST"
external def_GL_DEPTH_WRITEMASK                : unit -> int = "def_GL_DEPTH_WRITEMASK"
external def_GL_DEPTH_CLEAR_VALUE              : unit -> int = "def_GL_DEPTH_CLEAR_VALUE"
external def_GL_DEPTH_FUNC                     : unit -> int = "def_GL_DEPTH_FUNC"
external def_GL_ACCUM_CLEAR_VALUE              : unit -> int = "def_GL_ACCUM_CLEAR_VALUE"
external def_GL_STENCIL_TEST                   : unit -> int = "def_GL_STENCIL_TEST"
external def_GL_STENCIL_CLEAR_VALUE            : unit -> int = "def_GL_STENCIL_CLEAR_VALUE"
external def_GL_STENCIL_FUNC                   : unit -> int = "def_GL_STENCIL_FUNC"
external def_GL_STENCIL_VALUE_MASK             : unit -> int = "def_GL_STENCIL_VALUE_MASK"
external def_GL_STENCIL_FAIL                   : unit -> int = "def_GL_STENCIL_FAIL"
external def_GL_STENCIL_PASS_DEPTH_FAIL        : unit -> int = "def_GL_STENCIL_PASS_DEPTH_FAIL"
external def_GL_STENCIL_PASS_DEPTH_PASS        : unit -> int = "def_GL_STENCIL_PASS_DEPTH_PASS"
external def_GL_STENCIL_REF                    : unit -> int = "def_GL_STENCIL_REF"
external def_GL_STENCIL_WRITEMASK              : unit -> int = "def_GL_STENCIL_WRITEMASK"
external def_GL_MATRIX_MODE                    : unit -> int = "def_GL_MATRIX_MODE"
external def_GL_NORMALIZE                      : unit -> int = "def_GL_NORMALIZE"
external def_GL_VIEWPORT                       : unit -> int = "def_GL_VIEWPORT"
external def_GL_MODELVIEW_STACK_DEPTH          : unit -> int = "def_GL_MODELVIEW_STACK_DEPTH"
external def_GL_PROJECTION_STACK_DEPTH         : unit -> int = "def_GL_PROJECTION_STACK_DEPTH"
external def_GL_TEXTURE_STACK_DEPTH            : unit -> int = "def_GL_TEXTURE_STACK_DEPTH"
external def_GL_MODELVIEW_MATRIX               : unit -> int = "def_GL_MODELVIEW_MATRIX"
external def_GL_PROJECTION_MATRIX              : unit -> int = "def_GL_PROJECTION_MATRIX"
external def_GL_TEXTURE_MATRIX                 : unit -> int = "def_GL_TEXTURE_MATRIX"
external def_GL_ATTRIB_STACK_DEPTH             : unit -> int = "def_GL_ATTRIB_STACK_DEPTH"
external def_GL_CLIENT_ATTRIB_STACK_DEPTH      : unit -> int = "def_GL_CLIENT_ATTRIB_STACK_DEPTH"
external def_GL_ALPHA_TEST                     : unit -> int = "def_GL_ALPHA_TEST"
external def_GL_ALPHA_TEST_FUNC                : unit -> int = "def_GL_ALPHA_TEST_FUNC"
external def_GL_ALPHA_TEST_REF                 : unit -> int = "def_GL_ALPHA_TEST_REF"
external def_GL_DITHER                         : unit -> int = "def_GL_DITHER"
external def_GL_BLEND_DST                      : unit -> int = "def_GL_BLEND_DST"
external def_GL_BLEND_SRC                      : unit -> int = "def_GL_BLEND_SRC"
external def_GL_BLEND                          : unit -> int = "def_GL_BLEND"
external def_GL_LOGIC_OP_MODE                  : unit -> int = "def_GL_LOGIC_OP_MODE"
external def_GL_INDEX_LOGIC_OP                 : unit -> int = "def_GL_INDEX_LOGIC_OP"
external def_GL_COLOR_LOGIC_OP                 : unit -> int = "def_GL_COLOR_LOGIC_OP"
external def_GL_AUX_BUFFERS                    : unit -> int = "def_GL_AUX_BUFFERS"
external def_GL_DRAW_BUFFER                    : unit -> int = "def_GL_DRAW_BUFFER"
external def_GL_READ_BUFFER                    : unit -> int = "def_GL_READ_BUFFER"
external def_GL_SCISSOR_BOX                    : unit -> int = "def_GL_SCISSOR_BOX"
external def_GL_SCISSOR_TEST                   : unit -> int = "def_GL_SCISSOR_TEST"
external def_GL_INDEX_CLEAR_VALUE              : unit -> int = "def_GL_INDEX_CLEAR_VALUE"
external def_GL_INDEX_WRITEMASK                : unit -> int = "def_GL_INDEX_WRITEMASK"
external def_GL_COLOR_CLEAR_VALUE              : unit -> int = "def_GL_COLOR_CLEAR_VALUE"
external def_GL_COLOR_WRITEMASK                : unit -> int = "def_GL_COLOR_WRITEMASK"
external def_GL_INDEX_MODE                     : unit -> int = "def_GL_INDEX_MODE"
external def_GL_RGBA_MODE                      : unit -> int = "def_GL_RGBA_MODE"
external def_GL_DOUBLEBUFFER                   : unit -> int = "def_GL_DOUBLEBUFFER"
external def_GL_STEREO                         : unit -> int = "def_GL_STEREO"
external def_GL_RENDER_MODE                    : unit -> int = "def_GL_RENDER_MODE"
external def_GL_PERSPECTIVE_CORRECTION_HINT    : unit -> int = "def_GL_PERSPECTIVE_CORRECTION_HINT"
external def_GL_POINT_SMOOTH_HINT              : unit -> int = "def_GL_POINT_SMOOTH_HINT"
external def_GL_LINE_SMOOTH_HINT               : unit -> int = "def_GL_LINE_SMOOTH_HINT"
external def_GL_POLYGON_SMOOTH_HINT            : unit -> int = "def_GL_POLYGON_SMOOTH_HINT"
external def_GL_FOG_HINT                       : unit -> int = "def_GL_FOG_HINT"
external def_GL_TEXTURE_GEN_S                  : unit -> int = "def_GL_TEXTURE_GEN_S"
external def_GL_TEXTURE_GEN_T                  : unit -> int = "def_GL_TEXTURE_GEN_T"
external def_GL_TEXTURE_GEN_R                  : unit -> int = "def_GL_TEXTURE_GEN_R"
external def_GL_TEXTURE_GEN_Q                  : unit -> int = "def_GL_TEXTURE_GEN_Q"
external def_GL_PIXEL_MAP_I_TO_I               : unit -> int = "def_GL_PIXEL_MAP_I_TO_I"
external def_GL_PIXEL_MAP_S_TO_S               : unit -> int = "def_GL_PIXEL_MAP_S_TO_S"
external def_GL_PIXEL_MAP_I_TO_R               : unit -> int = "def_GL_PIXEL_MAP_I_TO_R"
external def_GL_PIXEL_MAP_I_TO_G               : unit -> int = "def_GL_PIXEL_MAP_I_TO_G"
external def_GL_PIXEL_MAP_I_TO_B               : unit -> int = "def_GL_PIXEL_MAP_I_TO_B"
external def_GL_PIXEL_MAP_I_TO_A               : unit -> int = "def_GL_PIXEL_MAP_I_TO_A"
external def_GL_PIXEL_MAP_R_TO_R               : unit -> int = "def_GL_PIXEL_MAP_R_TO_R"
external def_GL_PIXEL_MAP_G_TO_G               : unit -> int = "def_GL_PIXEL_MAP_G_TO_G"
external def_GL_PIXEL_MAP_B_TO_B               : unit -> int = "def_GL_PIXEL_MAP_B_TO_B"
external def_GL_PIXEL_MAP_A_TO_A               : unit -> int = "def_GL_PIXEL_MAP_A_TO_A"
external def_GL_PIXEL_MAP_I_TO_I_SIZE          : unit -> int = "def_GL_PIXEL_MAP_I_TO_I_SIZE"
external def_GL_PIXEL_MAP_S_TO_S_SIZE          : unit -> int = "def_GL_PIXEL_MAP_S_TO_S_SIZE"
external def_GL_PIXEL_MAP_I_TO_R_SIZE          : unit -> int = "def_GL_PIXEL_MAP_I_TO_R_SIZE"
external def_GL_PIXEL_MAP_I_TO_G_SIZE          : unit -> int = "def_GL_PIXEL_MAP_I_TO_G_SIZE"
external def_GL_PIXEL_MAP_I_TO_B_SIZE          : unit -> int = "def_GL_PIXEL_MAP_I_TO_B_SIZE"
external def_GL_PIXEL_MAP_I_TO_A_SIZE          : unit -> int = "def_GL_PIXEL_MAP_I_TO_A_SIZE"
external def_GL_PIXEL_MAP_R_TO_R_SIZE          : unit -> int = "def_GL_PIXEL_MAP_R_TO_R_SIZE"
external def_GL_PIXEL_MAP_G_TO_G_SIZE          : unit -> int = "def_GL_PIXEL_MAP_G_TO_G_SIZE"
external def_GL_PIXEL_MAP_B_TO_B_SIZE          : unit -> int = "def_GL_PIXEL_MAP_B_TO_B_SIZE"
external def_GL_PIXEL_MAP_A_TO_A_SIZE          : unit -> int = "def_GL_PIXEL_MAP_A_TO_A_SIZE"
external def_GL_UNPACK_SWAP_BYTES              : unit -> int = "def_GL_UNPACK_SWAP_BYTES"
external def_GL_UNPACK_LSB_FIRST               : unit -> int = "def_GL_UNPACK_LSB_FIRST"
external def_GL_UNPACK_ROW_LENGTH              : unit -> int = "def_GL_UNPACK_ROW_LENGTH"
external def_GL_UNPACK_SKIP_ROWS               : unit -> int = "def_GL_UNPACK_SKIP_ROWS"
external def_GL_UNPACK_SKIP_PIXELS             : unit -> int = "def_GL_UNPACK_SKIP_PIXELS"
external def_GL_UNPACK_ALIGNMENT               : unit -> int = "def_GL_UNPACK_ALIGNMENT"
external def_GL_PACK_SWAP_BYTES                : unit -> int = "def_GL_PACK_SWAP_BYTES"
external def_GL_PACK_LSB_FIRST                 : unit -> int = "def_GL_PACK_LSB_FIRST"
external def_GL_PACK_ROW_LENGTH                : unit -> int = "def_GL_PACK_ROW_LENGTH"
external def_GL_PACK_SKIP_ROWS                 : unit -> int = "def_GL_PACK_SKIP_ROWS"
external def_GL_PACK_SKIP_PIXELS               : unit -> int = "def_GL_PACK_SKIP_PIXELS"
external def_GL_PACK_ALIGNMENT                 : unit -> int = "def_GL_PACK_ALIGNMENT"
external def_GL_MAP_COLOR                      : unit -> int = "def_GL_MAP_COLOR"
external def_GL_MAP_STENCIL                    : unit -> int = "def_GL_MAP_STENCIL"
external def_GL_INDEX_SHIFT                    : unit -> int = "def_GL_INDEX_SHIFT"
external def_GL_INDEX_OFFSET                   : unit -> int = "def_GL_INDEX_OFFSET"
external def_GL_RED_SCALE                      : unit -> int = "def_GL_RED_SCALE"
external def_GL_RED_BIAS                       : unit -> int = "def_GL_RED_BIAS"
external def_GL_ZOOM_X                         : unit -> int = "def_GL_ZOOM_X"
external def_GL_ZOOM_Y                         : unit -> int = "def_GL_ZOOM_Y"
external def_GL_GREEN_SCALE                    : unit -> int = "def_GL_GREEN_SCALE"
external def_GL_GREEN_BIAS                     : unit -> int = "def_GL_GREEN_BIAS"
external def_GL_BLUE_SCALE                     : unit -> int = "def_GL_BLUE_SCALE"
external def_GL_BLUE_BIAS                      : unit -> int = "def_GL_BLUE_BIAS"
external def_GL_ALPHA_SCALE                    : unit -> int = "def_GL_ALPHA_SCALE"
external def_GL_ALPHA_BIAS                     : unit -> int = "def_GL_ALPHA_BIAS"
external def_GL_DEPTH_SCALE                    : unit -> int = "def_GL_DEPTH_SCALE"
external def_GL_DEPTH_BIAS                     : unit -> int = "def_GL_DEPTH_BIAS"
external def_GL_MAX_EVAL_ORDER                 : unit -> int = "def_GL_MAX_EVAL_ORDER"
external def_GL_MAX_LIGHTS                     : unit -> int = "def_GL_MAX_LIGHTS"
external def_GL_MAX_CLIP_PLANES                : unit -> int = "def_GL_MAX_CLIP_PLANES"
external def_GL_MAX_TEXTURE_SIZE               : unit -> int = "def_GL_MAX_TEXTURE_SIZE"
external def_GL_MAX_PIXEL_MAP_TABLE            : unit -> int = "def_GL_MAX_PIXEL_MAP_TABLE"
external def_GL_MAX_ATTRIB_STACK_DEPTH         : unit -> int = "def_GL_MAX_ATTRIB_STACK_DEPTH"
external def_GL_MAX_MODELVIEW_STACK_DEPTH      : unit -> int = "def_GL_MAX_MODELVIEW_STACK_DEPTH"
external def_GL_MAX_NAME_STACK_DEPTH           : unit -> int = "def_GL_MAX_NAME_STACK_DEPTH"
external def_GL_MAX_PROJECTION_STACK_DEPTH     : unit -> int = "def_GL_MAX_PROJECTION_STACK_DEPTH"
external def_GL_MAX_TEXTURE_STACK_DEPTH        : unit -> int = "def_GL_MAX_TEXTURE_STACK_DEPTH"
external def_GL_MAX_VIEWPORT_DIMS              : unit -> int = "def_GL_MAX_VIEWPORT_DIMS"
external def_GL_MAX_CLIENT_ATTRIB_STACK_DEPTH  : unit -> int = "def_GL_MAX_CLIENT_ATTRIB_STACK_DEPTH"
external def_GL_SUBPIXEL_BITS                  : unit -> int = "def_GL_SUBPIXEL_BITS"
external def_GL_INDEX_BITS                     : unit -> int = "def_GL_INDEX_BITS"
external def_GL_RED_BITS                       : unit -> int = "def_GL_RED_BITS"
external def_GL_GREEN_BITS                     : unit -> int = "def_GL_GREEN_BITS"
external def_GL_BLUE_BITS                      : unit -> int = "def_GL_BLUE_BITS"
external def_GL_ALPHA_BITS                     : unit -> int = "def_GL_ALPHA_BITS"
external def_GL_DEPTH_BITS                     : unit -> int = "def_GL_DEPTH_BITS"
external def_GL_STENCIL_BITS                   : unit -> int = "def_GL_STENCIL_BITS"
external def_GL_ACCUM_RED_BITS                 : unit -> int = "def_GL_ACCUM_RED_BITS"
external def_GL_ACCUM_GREEN_BITS               : unit -> int = "def_GL_ACCUM_GREEN_BITS"
external def_GL_ACCUM_BLUE_BITS                : unit -> int = "def_GL_ACCUM_BLUE_BITS"
external def_GL_ACCUM_ALPHA_BITS               : unit -> int = "def_GL_ACCUM_ALPHA_BITS"
external def_GL_NAME_STACK_DEPTH               : unit -> int = "def_GL_NAME_STACK_DEPTH"
external def_GL_AUTO_NORMAL                    : unit -> int = "def_GL_AUTO_NORMAL"
external def_GL_MAP1_COLOR_4                   : unit -> int = "def_GL_MAP1_COLOR_4"
external def_GL_MAP1_INDEX                     : unit -> int = "def_GL_MAP1_INDEX"
external def_GL_MAP1_NORMAL                    : unit -> int = "def_GL_MAP1_NORMAL"
external def_GL_MAP1_TEXTURE_COORD_1           : unit -> int = "def_GL_MAP1_TEXTURE_COORD_1"
external def_GL_MAP1_TEXTURE_COORD_2           : unit -> int = "def_GL_MAP1_TEXTURE_COORD_2"
external def_GL_MAP1_TEXTURE_COORD_3           : unit -> int = "def_GL_MAP1_TEXTURE_COORD_3"
external def_GL_MAP1_TEXTURE_COORD_4           : unit -> int = "def_GL_MAP1_TEXTURE_COORD_4"
external def_GL_MAP1_VERTEX_3                  : unit -> int = "def_GL_MAP1_VERTEX_3"
external def_GL_MAP1_VERTEX_4                  : unit -> int = "def_GL_MAP1_VERTEX_4"
external def_GL_MAP2_COLOR_4                   : unit -> int = "def_GL_MAP2_COLOR_4"
external def_GL_MAP2_INDEX                     : unit -> int = "def_GL_MAP2_INDEX"
external def_GL_MAP2_NORMAL                    : unit -> int = "def_GL_MAP2_NORMAL"
external def_GL_MAP2_TEXTURE_COORD_1           : unit -> int = "def_GL_MAP2_TEXTURE_COORD_1"
external def_GL_MAP2_TEXTURE_COORD_2           : unit -> int = "def_GL_MAP2_TEXTURE_COORD_2"
external def_GL_MAP2_TEXTURE_COORD_3           : unit -> int = "def_GL_MAP2_TEXTURE_COORD_3"
external def_GL_MAP2_TEXTURE_COORD_4           : unit -> int = "def_GL_MAP2_TEXTURE_COORD_4"
external def_GL_MAP2_VERTEX_3                  : unit -> int = "def_GL_MAP2_VERTEX_3"
external def_GL_MAP2_VERTEX_4                  : unit -> int = "def_GL_MAP2_VERTEX_4"
external def_GL_MAP1_GRID_DOMAIN               : unit -> int = "def_GL_MAP1_GRID_DOMAIN"
external def_GL_MAP1_GRID_SEGMENTS             : unit -> int = "def_GL_MAP1_GRID_SEGMENTS"
external def_GL_MAP2_GRID_DOMAIN               : unit -> int = "def_GL_MAP2_GRID_DOMAIN"
external def_GL_MAP2_GRID_SEGMENTS             : unit -> int = "def_GL_MAP2_GRID_SEGMENTS"
external def_GL_TEXTURE_1D                     : unit -> int = "def_GL_TEXTURE_1D"
external def_GL_TEXTURE_2D                     : unit -> int = "def_GL_TEXTURE_2D"
external def_GL_FEEDBACK_BUFFER_POINTER        : unit -> int = "def_GL_FEEDBACK_BUFFER_POINTER"
external def_GL_FEEDBACK_BUFFER_SIZE           : unit -> int = "def_GL_FEEDBACK_BUFFER_SIZE"
external def_GL_FEEDBACK_BUFFER_TYPE           : unit -> int = "def_GL_FEEDBACK_BUFFER_TYPE"
external def_GL_SELECTION_BUFFER_POINTER       : unit -> int = "def_GL_SELECTION_BUFFER_POINTER"
external def_GL_SELECTION_BUFFER_SIZE          : unit -> int = "def_GL_SELECTION_BUFFER_SIZE"
(*      GL_TEXTURE_BINDING_1D *)
(*      GL_TEXTURE_BINDING_2D *)
(*      GL_VERTEX_ARRAY *)
(*      GL_NORMAL_ARRAY *)
(*      GL_COLOR_ARRAY *)
(*      GL_INDEX_ARRAY *)
(*      GL_TEXTURE_COORD_ARRAY *)
(*      GL_EDGE_FLAG_ARRAY *)
(*      GL_VERTEX_ARRAY_SIZE *)
(*      GL_VERTEX_ARRAY_TYPE *)
(*      GL_VERTEX_ARRAY_STRIDE *)
(*      GL_NORMAL_ARRAY_TYPE *)
(*      GL_NORMAL_ARRAY_STRIDE *)
(*      GL_COLOR_ARRAY_SIZE *)
(*      GL_COLOR_ARRAY_TYPE *)
(*      GL_COLOR_ARRAY_STRIDE *)
(*      GL_INDEX_ARRAY_TYPE *)
(*      GL_INDEX_ARRAY_STRIDE *)
(*      GL_TEXTURE_COORD_ARRAY_SIZE *)
(*      GL_TEXTURE_COORD_ARRAY_TYPE *)
(*      GL_TEXTURE_COORD_ARRAY_STRIDE *)
(*      GL_EDGE_FLAG_ARRAY_STRIDE *)
(*      GL_POLYGON_OFFSET_FACTOR *)
(*      GL_POLYGON_OFFSET_UNITS *)
(* GetTextureParameter *)
(*      GL_TEXTURE_MAG_FILTER *)
(*      GL_TEXTURE_MIN_FILTER *)
(*      GL_TEXTURE_WRAP_S *)
(*      GL_TEXTURE_WRAP_T *)
external def_GL_TEXTURE_WIDTH                  : unit -> int = "def_GL_TEXTURE_WIDTH"
external def_GL_TEXTURE_HEIGHT                 : unit -> int = "def_GL_TEXTURE_HEIGHT"
external def_GL_TEXTURE_INTERNAL_FORMAT        : unit -> int = "def_GL_TEXTURE_INTERNAL_FORMAT"
external def_GL_TEXTURE_BORDER_COLOR           : unit -> int = "def_GL_TEXTURE_BORDER_COLOR"
external def_GL_TEXTURE_BORDER                 : unit -> int = "def_GL_TEXTURE_BORDER"
(*      GL_TEXTURE_RED_SIZE *)
(*      GL_TEXTURE_GREEN_SIZE *)
(*      GL_TEXTURE_BLUE_SIZE *)
(*      GL_TEXTURE_ALPHA_SIZE *)
(*      GL_TEXTURE_LUMINANCE_SIZE *)
(*      GL_TEXTURE_INTENSITY_SIZE *)
(*      GL_TEXTURE_PRIORITY *)
(*      GL_TEXTURE_RESIDENT *)
(* HintMode *)
external def_GL_DONT_CARE                      : unit -> int = "def_GL_DONT_CARE"
external def_GL_FASTEST                        : unit -> int = "def_GL_FASTEST"
external def_GL_NICEST                         : unit -> int = "def_GL_NICEST"
(* HintTarget *)
(*      GL_PERSPECTIVE_CORRECTION_HINT *)
(*      GL_POINT_SMOOTH_HINT *)
(*      GL_LINE_SMOOTH_HINT *)
(*      GL_POLYGON_SMOOTH_HINT *)
(*      GL_FOG_HINT *)
(*      GL_PHONG_HINT *)
(* IndexPointerType *)
(*      GL_SHORT *)
(*      GL_INT *)
(*      GL_FLOAT *)
(*      GL_DOUBLE *)
(* LightModelParameter *)
(*      GL_LIGHT_MODEL_AMBIENT *)
(*      GL_LIGHT_MODEL_LOCAL_VIEWER *)
(*      GL_LIGHT_MODEL_TWO_SIDE *)
(* LightName *)
external def_GL_LIGHT0                         : unit -> int = "def_GL_LIGHT0"
external def_GL_LIGHT1                         : unit -> int = "def_GL_LIGHT1"
external def_GL_LIGHT2                         : unit -> int = "def_GL_LIGHT2"
external def_GL_LIGHT3                         : unit -> int = "def_GL_LIGHT3"
external def_GL_LIGHT4                         : unit -> int = "def_GL_LIGHT4"
external def_GL_LIGHT5                         : unit -> int = "def_GL_LIGHT5"
external def_GL_LIGHT6                         : unit -> int = "def_GL_LIGHT6"
external def_GL_LIGHT7                         : unit -> int = "def_GL_LIGHT7"
(* LightParameter *)
external def_GL_AMBIENT                        : unit -> int = "def_GL_AMBIENT"
external def_GL_DIFFUSE                        : unit -> int = "def_GL_DIFFUSE"
external def_GL_SPECULAR                       : unit -> int = "def_GL_SPECULAR"
external def_GL_POSITION                       : unit -> int = "def_GL_POSITION"
external def_GL_SPOT_DIRECTION                 : unit -> int = "def_GL_SPOT_DIRECTION"
external def_GL_SPOT_EXPONENT                  : unit -> int = "def_GL_SPOT_EXPONENT"
external def_GL_SPOT_CUTOFF                    : unit -> int = "def_GL_SPOT_CUTOFF"
external def_GL_CONSTANT_ATTENUATION           : unit -> int = "def_GL_CONSTANT_ATTENUATION"
external def_GL_LINEAR_ATTENUATION             : unit -> int = "def_GL_LINEAR_ATTENUATION"
external def_GL_QUADRATIC_ATTENUATION          : unit -> int = "def_GL_QUADRATIC_ATTENUATION"
(* InterleavedArrays *)
(*      GL_V2F *)
(*      GL_V3F *)
(*      GL_C4UB_V2F *)
(*      GL_C4UB_V3F *)
(*      GL_C3F_V3F *)
(*      GL_N3F_V3F *)
(*      GL_C4F_N3F_V3F *)
(*      GL_T2F_V3F *)
(*      GL_T4F_V4F *)
(*      GL_T2F_C4UB_V3F *)
(*      GL_T2F_C3F_V3F *)
(*      GL_T2F_N3F_V3F *)
(*      GL_T2F_C4F_N3F_V3F *)
(*      GL_T4F_C4F_N3F_V4F *)
(* ListMode *)
external def_GL_COMPILE                        : unit -> int = "def_GL_COMPILE"
external def_GL_COMPILE_AND_EXECUTE            : unit -> int = "def_GL_COMPILE_AND_EXECUTE"
(* ListNameType *)
(*      GL_BYTE *)
(*      GL_UNSIGNED_BYTE *)
(*      GL_SHORT *)
(*      GL_UNSIGNED_SHORT *)
(*      GL_INT *)
(*      GL_UNSIGNED_INT *)
(*      GL_FLOAT *)
(*      GL_2_BYTES *)
(*      GL_3_BYTES *)
(*      GL_4_BYTES *)
(* LogicOp *)
external def_GL_CLEAR                          : unit -> int = "def_GL_CLEAR"
external def_GL_AND                            : unit -> int = "def_GL_AND"
external def_GL_AND_REVERSE                    : unit -> int = "def_GL_AND_REVERSE"
external def_GL_COPY                           : unit -> int = "def_GL_COPY"
external def_GL_AND_INVERTED                   : unit -> int = "def_GL_AND_INVERTED"
external def_GL_NOOP                           : unit -> int = "def_GL_NOOP"
external def_GL_XOR                            : unit -> int = "def_GL_XOR"
external def_GL_OR                             : unit -> int = "def_GL_OR"
external def_GL_NOR                            : unit -> int = "def_GL_NOR"
external def_GL_EQUIV                          : unit -> int = "def_GL_EQUIV"
external def_GL_INVERT                         : unit -> int = "def_GL_INVERT"
external def_GL_OR_REVERSE                     : unit -> int = "def_GL_OR_REVERSE"
external def_GL_COPY_INVERTED                  : unit -> int = "def_GL_COPY_INVERTED"
external def_GL_OR_INVERTED                    : unit -> int = "def_GL_OR_INVERTED"
external def_GL_NAND                           : unit -> int = "def_GL_NAND"
external def_GL_SET                            : unit -> int = "def_GL_SET"
(* MapTarget *)
(*      GL_MAP1_COLOR_4 *)
(*      GL_MAP1_INDEX *)
(*      GL_MAP1_NORMAL *)
(*      GL_MAP1_TEXTURE_COORD_1 *)
(*      GL_MAP1_TEXTURE_COORD_2 *)
(*      GL_MAP1_TEXTURE_COORD_3 *)
(*      GL_MAP1_TEXTURE_COORD_4 *)
(*      GL_MAP1_VERTEX_3 *)
(*      GL_MAP1_VERTEX_4 *)
(*      GL_MAP2_COLOR_4 *)
(*      GL_MAP2_INDEX *)
(*      GL_MAP2_NORMAL *)
(*      GL_MAP2_TEXTURE_COORD_1 *)
(*      GL_MAP2_TEXTURE_COORD_2 *)
(*      GL_MAP2_TEXTURE_COORD_3 *)
(*      GL_MAP2_TEXTURE_COORD_4 *)
(*      GL_MAP2_VERTEX_3 *)
(*      GL_MAP2_VERTEX_4 *)
(* MaterialFace *)
(*      GL_FRONT *)
(*      GL_BACK *)
(*      GL_FRONT_AND_BACK *)
(* MaterialParameter *)
external def_GL_EMISSION                       : unit -> int = "def_GL_EMISSION"
external def_GL_SHININESS                      : unit -> int = "def_GL_SHININESS"
external def_GL_AMBIENT_AND_DIFFUSE            : unit -> int = "def_GL_AMBIENT_AND_DIFFUSE"
external def_GL_COLOR_INDEXES                  : unit -> int = "def_GL_COLOR_INDEXES"
(*      GL_AMBIENT *)
(*      GL_DIFFUSE *)
(*      GL_SPECULAR *)
(* MatrixMode *)
external def_GL_MODELVIEW                      : unit -> int = "def_GL_MODELVIEW"
external def_GL_PROJECTION                     : unit -> int = "def_GL_PROJECTION"
external def_GL_TEXTURE                        : unit -> int = "def_GL_TEXTURE"
(* MeshMode1 *)
(*      GL_POINT *)
(*      GL_LINE *)
(* MeshMode2 *)
(*      GL_POINT *)
(*      GL_LINE *)
(*      GL_FILL *)
(* NormalPointerType *)
(*      GL_BYTE *)
(*      GL_SHORT *)
(*      GL_INT *)
(*      GL_FLOAT *)
(*      GL_DOUBLE *)
(* PixelCopyType *)
external def_GL_COLOR                          : unit -> int = "def_GL_COLOR"
external def_GL_DEPTH                          : unit -> int = "def_GL_DEPTH"
external def_GL_STENCIL                        : unit -> int = "def_GL_STENCIL"
(* PixelFormat *)
external def_GL_COLOR_INDEX                    : unit -> int = "def_GL_COLOR_INDEX"
external def_GL_STENCIL_INDEX                  : unit -> int = "def_GL_STENCIL_INDEX"
external def_GL_DEPTH_COMPONENT                : unit -> int = "def_GL_DEPTH_COMPONENT"
external def_GL_RED                            : unit -> int = "def_GL_RED"
external def_GL_GREEN                          : unit -> int = "def_GL_GREEN"
external def_GL_BLUE                           : unit -> int = "def_GL_BLUE"
external def_GL_ALPHA                          : unit -> int = "def_GL_ALPHA"
external def_GL_RGB                            : unit -> int = "def_GL_RGB"
external def_GL_RGBA                           : unit -> int = "def_GL_RGBA"
external def_GL_LUMINANCE                      : unit -> int = "def_GL_LUMINANCE"
external def_GL_LUMINANCE_ALPHA                : unit -> int = "def_GL_LUMINANCE_ALPHA"
(* PixelMap *)
(*      GL_PIXEL_MAP_I_TO_I *)
(*      GL_PIXEL_MAP_S_TO_S *)
(*      GL_PIXEL_MAP_I_TO_R *)
(*      GL_PIXEL_MAP_I_TO_G *)
(*      GL_PIXEL_MAP_I_TO_B *)
(*      GL_PIXEL_MAP_I_TO_A *)
(*      GL_PIXEL_MAP_R_TO_R *)
(*      GL_PIXEL_MAP_G_TO_G *)
(*      GL_PIXEL_MAP_B_TO_B *)
(*      GL_PIXEL_MAP_A_TO_A *)
(* PixelStore *)
(*      GL_UNPACK_SWAP_BYTES *)
(*      GL_UNPACK_LSB_FIRST *)
(*      GL_UNPACK_ROW_LENGTH *)
(*      GL_UNPACK_SKIP_ROWS *)
(*      GL_UNPACK_SKIP_PIXELS *)
(*      GL_UNPACK_ALIGNMENT *)
(*      GL_PACK_SWAP_BYTES *)
(*      GL_PACK_LSB_FIRST *)
(*      GL_PACK_ROW_LENGTH *)
(*      GL_PACK_SKIP_ROWS *)
(*      GL_PACK_SKIP_PIXELS *)
(*      GL_PACK_ALIGNMENT *)
(* PixelTransfer *)
(*      GL_MAP_COLOR *)
(*      GL_MAP_STENCIL *)
(*      GL_INDEX_SHIFT *)
(*      GL_INDEX_OFFSET *)
(*      GL_RED_SCALE *)
(*      GL_RED_BIAS *)
(*      GL_GREEN_SCALE *)
(*      GL_GREEN_BIAS *)
(*      GL_BLUE_SCALE *)
(*      GL_BLUE_BIAS *)
(*      GL_ALPHA_SCALE *)
(*      GL_ALPHA_BIAS *)
(*      GL_DEPTH_SCALE *)
(*      GL_DEPTH_BIAS *)
(* PixelType *)
external def_GL_BITMAP                         : unit -> int = "def_GL_BITMAP"
(*      GL_BYTE *)
(*      GL_UNSIGNED_BYTE *)
(*      GL_SHORT *)
(*      GL_UNSIGNED_SHORT *)
(*      GL_INT *)
(*      GL_UNSIGNED_INT *)
(*      GL_FLOAT *)
(* PolygonMode *)
external def_GL_POINT                          : unit -> int = "def_GL_POINT"
external def_GL_LINE                           : unit -> int = "def_GL_LINE"
external def_GL_FILL                           : unit -> int = "def_GL_FILL"
(* ReadBufferMode *)
(*      GL_FRONT_LEFT *)
(*      GL_FRONT_RIGHT *)
(*      GL_BACK_LEFT *)
(*      GL_BACK_RIGHT *)
(*      GL_FRONT *)
(*      GL_BACK *)
(*      GL_LEFT *)
(*      GL_RIGHT *)
(*      GL_AUX0 *)
(*      GL_AUX1 *)
(*      GL_AUX2 *)
(*      GL_AUX3 *)
(* RenderingMode *)
external def_GL_RENDER                         : unit -> int = "def_GL_RENDER"
external def_GL_FEEDBACK                       : unit -> int = "def_GL_FEEDBACK"
external def_GL_SELECT                         : unit -> int = "def_GL_SELECT"
(* ShadingModel *)
external def_GL_FLAT                           : unit -> int = "def_GL_FLAT"
external def_GL_SMOOTH                         : unit -> int = "def_GL_SMOOTH"
(* StencilFunction *)
(*      GL_NEVER *)
(*      GL_LESS *)
(*      GL_EQUAL *)
(*      GL_LEQUAL *)
(*      GL_GREATER *)
(*      GL_NOTEQUAL *)
(*      GL_GEQUAL *)
(*      GL_ALWAYS *)
(* StencilOp *)
(*      GL_ZERO *)
external def_GL_KEEP                           : unit -> int = "def_GL_KEEP"
external def_GL_REPLACE                        : unit -> int = "def_GL_REPLACE"
external def_GL_INCR                           : unit -> int = "def_GL_INCR"
external def_GL_DECR                           : unit -> int = "def_GL_DECR"
(*      GL_INVERT *)
(* StringName *)
external def_GL_VENDOR                         : unit -> int = "def_GL_VENDOR"
external def_GL_RENDERER                       : unit -> int = "def_GL_RENDERER"
external def_GL_VERSION                        : unit -> int = "def_GL_VERSION"
external def_GL_EXTENSIONS                     : unit -> int = "def_GL_EXTENSIONS"
(* TextureCoordName *)
external def_GL_S                              : unit -> int = "def_GL_S"
external def_GL_T                              : unit -> int = "def_GL_T"
external def_GL_R                              : unit -> int = "def_GL_R"
external def_GL_Q                              : unit -> int = "def_GL_Q"
(* TexCoordPointerType *)
(*      GL_SHORT *)
(*      GL_INT *)
(*      GL_FLOAT *)
(*      GL_DOUBLE *)
(* TextureEnvMode *)
external def_GL_MODULATE                       : unit -> int = "def_GL_MODULATE"
external def_GL_DECAL                          : unit -> int = "def_GL_DECAL"
(*      GL_BLEND *)
(*      GL_REPLACE *)
(* TextureEnvParameter *)
external def_GL_TEXTURE_ENV_MODE               : unit -> int = "def_GL_TEXTURE_ENV_MODE"
external def_GL_TEXTURE_ENV_COLOR              : unit -> int = "def_GL_TEXTURE_ENV_COLOR"
(* TextureEnvTarget *)
external def_GL_TEXTURE_ENV                    : unit -> int = "def_GL_TEXTURE_ENV"
(* TextureGenMode *)
external def_GL_EYE_LINEAR                     : unit -> int = "def_GL_EYE_LINEAR"
external def_GL_OBJECT_LINEAR                  : unit -> int = "def_GL_OBJECT_LINEAR"
external def_GL_SPHERE_MAP                     : unit -> int = "def_GL_SPHERE_MAP"
(* TextureGenParameter *)
external def_GL_TEXTURE_GEN_MODE               : unit -> int = "def_GL_TEXTURE_GEN_MODE"
external def_GL_OBJECT_PLANE                   : unit -> int = "def_GL_OBJECT_PLANE"
external def_GL_EYE_PLANE                      : unit -> int = "def_GL_EYE_PLANE"
(* TextureMagFilter *)
external def_GL_NEAREST                        : unit -> int = "def_GL_NEAREST"
external def_GL_LINEAR                         : unit -> int = "def_GL_LINEAR"
(* TextureMinFilter *)
(*      GL_NEAREST *)
(*      GL_LINEAR *)
external def_GL_NEAREST_MIPMAP_NEAREST         : unit -> int = "def_GL_NEAREST_MIPMAP_NEAREST"
external def_GL_LINEAR_MIPMAP_NEAREST          : unit -> int = "def_GL_LINEAR_MIPMAP_NEAREST"
external def_GL_NEAREST_MIPMAP_LINEAR          : unit -> int = "def_GL_NEAREST_MIPMAP_LINEAR"
external def_GL_LINEAR_MIPMAP_LINEAR           : unit -> int = "def_GL_LINEAR_MIPMAP_LINEAR"
(* TextureParameterName *)
external def_GL_TEXTURE_MAG_FILTER             : unit -> int = "def_GL_TEXTURE_MAG_FILTER"
external def_GL_TEXTURE_MIN_FILTER             : unit -> int = "def_GL_TEXTURE_MIN_FILTER"
external def_GL_TEXTURE_WRAP_S                 : unit -> int = "def_GL_TEXTURE_WRAP_S"
external def_GL_TEXTURE_WRAP_T                 : unit -> int = "def_GL_TEXTURE_WRAP_T"
(*      GL_TEXTURE_BORDER_COLOR *)
(*      GL_TEXTURE_PRIORITY *)
(* TextureTarget *)
(*      GL_TEXTURE_1D *)
(*      GL_TEXTURE_2D *)
(*      GL_PROXY_TEXTURE_1D *)
(*      GL_PROXY_TEXTURE_2D *)
(* TextureWrapMode *)
external def_GL_CLAMP                          : unit -> int = "def_GL_CLAMP"
external def_GL_REPEAT                         : unit -> int = "def_GL_REPEAT"
(* VertexPointerType *)
(*      GL_SHORT *)
(*      GL_INT *)
(*      GL_FLOAT *)
(*      GL_DOUBLE *)
(* ClientAttribMask *)
external def_GL_CLIENT_PIXEL_STORE_BIT         : unit -> int = "def_GL_CLIENT_PIXEL_STORE_BIT"
external def_GL_CLIENT_VERTEX_ARRAY_BIT        : unit -> int = "def_GL_CLIENT_VERTEX_ARRAY_BIT"
external def_GL_CLIENT_ALL_ATTRIB_BITS         : unit -> int = "def_GL_CLIENT_ALL_ATTRIB_BITS"
(* polygon_offset *)
external def_GL_POLYGON_OFFSET_FACTOR          : unit -> int = "def_GL_POLYGON_OFFSET_FACTOR"
external def_GL_POLYGON_OFFSET_UNITS           : unit -> int = "def_GL_POLYGON_OFFSET_UNITS"
external def_GL_POLYGON_OFFSET_POINT           : unit -> int = "def_GL_POLYGON_OFFSET_POINT"
external def_GL_POLYGON_OFFSET_LINE            : unit -> int = "def_GL_POLYGON_OFFSET_LINE"
external def_GL_POLYGON_OFFSET_FILL            : unit -> int = "def_GL_POLYGON_OFFSET_FILL"
(* texture *)
external def_GL_ALPHA4                         : unit -> int = "def_GL_ALPHA4"
external def_GL_ALPHA8                         : unit -> int = "def_GL_ALPHA8"
external def_GL_ALPHA12                        : unit -> int = "def_GL_ALPHA12"
external def_GL_ALPHA16                        : unit -> int = "def_GL_ALPHA16"
external def_GL_LUMINANCE4                     : unit -> int = "def_GL_LUMINANCE4"
external def_GL_LUMINANCE8                     : unit -> int = "def_GL_LUMINANCE8"
external def_GL_LUMINANCE12                    : unit -> int = "def_GL_LUMINANCE12"
external def_GL_LUMINANCE16                    : unit -> int = "def_GL_LUMINANCE16"
external def_GL_LUMINANCE4_ALPHA4              : unit -> int = "def_GL_LUMINANCE4_ALPHA4"
external def_GL_LUMINANCE6_ALPHA2              : unit -> int = "def_GL_LUMINANCE6_ALPHA2"
external def_GL_LUMINANCE8_ALPHA8              : unit -> int = "def_GL_LUMINANCE8_ALPHA8"
external def_GL_LUMINANCE12_ALPHA4             : unit -> int = "def_GL_LUMINANCE12_ALPHA4"
external def_GL_LUMINANCE12_ALPHA12            : unit -> int = "def_GL_LUMINANCE12_ALPHA12"
external def_GL_LUMINANCE16_ALPHA16            : unit -> int = "def_GL_LUMINANCE16_ALPHA16"
external def_GL_INTENSITY                      : unit -> int = "def_GL_INTENSITY"
external def_GL_INTENSITY4                     : unit -> int = "def_GL_INTENSITY4"
external def_GL_INTENSITY8                     : unit -> int = "def_GL_INTENSITY8"
external def_GL_INTENSITY12                    : unit -> int = "def_GL_INTENSITY12"
external def_GL_INTENSITY16                    : unit -> int = "def_GL_INTENSITY16"
external def_GL_R3_G3_B2                       : unit -> int = "def_GL_R3_G3_B2"
external def_GL_RGB4                           : unit -> int = "def_GL_RGB4"
external def_GL_RGB5                           : unit -> int = "def_GL_RGB5"
external def_GL_RGB8                           : unit -> int = "def_GL_RGB8"
external def_GL_RGB10                          : unit -> int = "def_GL_RGB10"
external def_GL_RGB12                          : unit -> int = "def_GL_RGB12"
external def_GL_RGB16                          : unit -> int = "def_GL_RGB16"
external def_GL_RGBA2                          : unit -> int = "def_GL_RGBA2"
external def_GL_RGBA4                          : unit -> int = "def_GL_RGBA4"
external def_GL_RGB5_A1                        : unit -> int = "def_GL_RGB5_A1"
external def_GL_RGBA8                          : unit -> int = "def_GL_RGBA8"
external def_GL_RGB10_A2                       : unit -> int = "def_GL_RGB10_A2"
external def_GL_RGBA12                         : unit -> int = "def_GL_RGBA12"
external def_GL_RGBA16                         : unit -> int = "def_GL_RGBA16"
external def_GL_TEXTURE_RED_SIZE               : unit -> int = "def_GL_TEXTURE_RED_SIZE"
external def_GL_TEXTURE_GREEN_SIZE             : unit -> int = "def_GL_TEXTURE_GREEN_SIZE"
external def_GL_TEXTURE_BLUE_SIZE              : unit -> int = "def_GL_TEXTURE_BLUE_SIZE"
external def_GL_TEXTURE_ALPHA_SIZE             : unit -> int = "def_GL_TEXTURE_ALPHA_SIZE"
external def_GL_TEXTURE_LUMINANCE_SIZE         : unit -> int = "def_GL_TEXTURE_LUMINANCE_SIZE"
external def_GL_TEXTURE_INTENSITY_SIZE         : unit -> int = "def_GL_TEXTURE_INTENSITY_SIZE"
external def_GL_PROXY_TEXTURE_1D               : unit -> int = "def_GL_PROXY_TEXTURE_1D"
external def_GL_PROXY_TEXTURE_2D               : unit -> int = "def_GL_PROXY_TEXTURE_2D"
(* texture_object *)
external def_GL_TEXTURE_PRIORITY               : unit -> int = "def_GL_TEXTURE_PRIORITY"
external def_GL_TEXTURE_RESIDENT               : unit -> int = "def_GL_TEXTURE_RESIDENT"
external def_GL_TEXTURE_BINDING_1D             : unit -> int = "def_GL_TEXTURE_BINDING_1D"
external def_GL_TEXTURE_BINDING_2D             : unit -> int = "def_GL_TEXTURE_BINDING_2D"
(* vertex_array *)
external def_GL_VERTEX_ARRAY                   : unit -> int = "def_GL_VERTEX_ARRAY"
external def_GL_NORMAL_ARRAY                   : unit -> int = "def_GL_NORMAL_ARRAY"
external def_GL_COLOR_ARRAY                    : unit -> int = "def_GL_COLOR_ARRAY"
external def_GL_INDEX_ARRAY                    : unit -> int = "def_GL_INDEX_ARRAY"
external def_GL_TEXTURE_COORD_ARRAY            : unit -> int = "def_GL_TEXTURE_COORD_ARRAY"
external def_GL_EDGE_FLAG_ARRAY                : unit -> int = "def_GL_EDGE_FLAG_ARRAY"
external def_GL_VERTEX_ARRAY_SIZE              : unit -> int = "def_GL_VERTEX_ARRAY_SIZE"
external def_GL_VERTEX_ARRAY_TYPE              : unit -> int = "def_GL_VERTEX_ARRAY_TYPE"
external def_GL_VERTEX_ARRAY_STRIDE            : unit -> int = "def_GL_VERTEX_ARRAY_STRIDE"
external def_GL_NORMAL_ARRAY_TYPE              : unit -> int = "def_GL_NORMAL_ARRAY_TYPE"
external def_GL_NORMAL_ARRAY_STRIDE            : unit -> int = "def_GL_NORMAL_ARRAY_STRIDE"
external def_GL_COLOR_ARRAY_SIZE               : unit -> int = "def_GL_COLOR_ARRAY_SIZE"
external def_GL_COLOR_ARRAY_TYPE               : unit -> int = "def_GL_COLOR_ARRAY_TYPE"
external def_GL_COLOR_ARRAY_STRIDE             : unit -> int = "def_GL_COLOR_ARRAY_STRIDE"
external def_GL_INDEX_ARRAY_TYPE               : unit -> int = "def_GL_INDEX_ARRAY_TYPE"
external def_GL_INDEX_ARRAY_STRIDE             : unit -> int = "def_GL_INDEX_ARRAY_STRIDE"
external def_GL_TEXTURE_COORD_ARRAY_SIZE       : unit -> int = "def_GL_TEXTURE_COORD_ARRAY_SIZE"
external def_GL_TEXTURE_COORD_ARRAY_TYPE       : unit -> int = "def_GL_TEXTURE_COORD_ARRAY_TYPE"
external def_GL_TEXTURE_COORD_ARRAY_STRIDE     : unit -> int = "def_GL_TEXTURE_COORD_ARRAY_STRIDE"
external def_GL_EDGE_FLAG_ARRAY_STRIDE         : unit -> int = "def_GL_EDGE_FLAG_ARRAY_STRIDE"
external def_GL_VERTEX_ARRAY_POINTER           : unit -> int = "def_GL_VERTEX_ARRAY_POINTER"
external def_GL_NORMAL_ARRAY_POINTER           : unit -> int = "def_GL_NORMAL_ARRAY_POINTER"
external def_GL_COLOR_ARRAY_POINTER            : unit -> int = "def_GL_COLOR_ARRAY_POINTER"
external def_GL_INDEX_ARRAY_POINTER            : unit -> int = "def_GL_INDEX_ARRAY_POINTER"
external def_GL_TEXTURE_COORD_ARRAY_POINTER    : unit -> int = "def_GL_TEXTURE_COORD_ARRAY_POINTER"
external def_GL_EDGE_FLAG_ARRAY_POINTER        : unit -> int = "def_GL_EDGE_FLAG_ARRAY_POINTER"
external def_GL_V2F                            : unit -> int = "def_GL_V2F"
external def_GL_V3F                            : unit -> int = "def_GL_V3F"
external def_GL_C4UB_V2F                       : unit -> int = "def_GL_C4UB_V2F"
external def_GL_C4UB_V3F                       : unit -> int = "def_GL_C4UB_V3F"
external def_GL_C3F_V3F                        : unit -> int = "def_GL_C3F_V3F"
external def_GL_N3F_V3F                        : unit -> int = "def_GL_N3F_V3F"
external def_GL_C4F_N3F_V3F                    : unit -> int = "def_GL_C4F_N3F_V3F"
external def_GL_T2F_V3F                        : unit -> int = "def_GL_T2F_V3F"
external def_GL_T4F_V4F                        : unit -> int = "def_GL_T4F_V4F"
external def_GL_T2F_C4UB_V3F                   : unit -> int = "def_GL_T2F_C4UB_V3F"
external def_GL_T2F_C3F_V3F                    : unit -> int = "def_GL_T2F_C3F_V3F"
external def_GL_T2F_N3F_V3F                    : unit -> int = "def_GL_T2F_N3F_V3F"
external def_GL_T2F_C4F_N3F_V3F                : unit -> int = "def_GL_T2F_C4F_N3F_V3F"
external def_GL_T4F_C4F_N3F_V4F                : unit -> int = "def_GL_T4F_C4F_N3F_V4F"
(* Extensions *)
external def_GL_EXT_vertex_array               : unit -> int = "def_GL_EXT_vertex_array"
external def_GL_EXT_bgra                       : unit -> int = "def_GL_EXT_bgra"
external def_GL_EXT_paletted_texture           : unit -> int = "def_GL_EXT_paletted_texture"
external def_GL_WIN_swap_hint                  : unit -> int = "def_GL_WIN_swap_hint"
external def_GL_WIN_draw_range_elements        : unit -> int = "def_GL_WIN_draw_range_elements"
(* #define GL_WIN_phong_shading              1 *)
(* #define GL_WIN_specular_fog               1 *)
(* EXT_vertex_array *)
external def_GL_VERTEX_ARRAY_EXT               : unit -> int = "def_GL_VERTEX_ARRAY_EXT"
external def_GL_NORMAL_ARRAY_EXT               : unit -> int = "def_GL_NORMAL_ARRAY_EXT"
external def_GL_COLOR_ARRAY_EXT                : unit -> int = "def_GL_COLOR_ARRAY_EXT"
external def_GL_INDEX_ARRAY_EXT                : unit -> int = "def_GL_INDEX_ARRAY_EXT"
external def_GL_TEXTURE_COORD_ARRAY_EXT        : unit -> int = "def_GL_TEXTURE_COORD_ARRAY_EXT"
external def_GL_EDGE_FLAG_ARRAY_EXT            : unit -> int = "def_GL_EDGE_FLAG_ARRAY_EXT"
external def_GL_VERTEX_ARRAY_SIZE_EXT          : unit -> int = "def_GL_VERTEX_ARRAY_SIZE_EXT"
external def_GL_VERTEX_ARRAY_TYPE_EXT          : unit -> int = "def_GL_VERTEX_ARRAY_TYPE_EXT"
external def_GL_VERTEX_ARRAY_STRIDE_EXT        : unit -> int = "def_GL_VERTEX_ARRAY_STRIDE_EXT"
external def_GL_VERTEX_ARRAY_COUNT_EXT         : unit -> int = "def_GL_VERTEX_ARRAY_COUNT_EXT"
external def_GL_NORMAL_ARRAY_TYPE_EXT          : unit -> int = "def_GL_NORMAL_ARRAY_TYPE_EXT"
external def_GL_NORMAL_ARRAY_STRIDE_EXT        : unit -> int = "def_GL_NORMAL_ARRAY_STRIDE_EXT"
external def_GL_NORMAL_ARRAY_COUNT_EXT         : unit -> int = "def_GL_NORMAL_ARRAY_COUNT_EXT"
external def_GL_COLOR_ARRAY_SIZE_EXT           : unit -> int = "def_GL_COLOR_ARRAY_SIZE_EXT"
external def_GL_COLOR_ARRAY_TYPE_EXT           : unit -> int = "def_GL_COLOR_ARRAY_TYPE_EXT"
external def_GL_COLOR_ARRAY_STRIDE_EXT         : unit -> int = "def_GL_COLOR_ARRAY_STRIDE_EXT"
external def_GL_COLOR_ARRAY_COUNT_EXT          : unit -> int = "def_GL_COLOR_ARRAY_COUNT_EXT"
external def_GL_INDEX_ARRAY_TYPE_EXT           : unit -> int = "def_GL_INDEX_ARRAY_TYPE_EXT"
external def_GL_INDEX_ARRAY_STRIDE_EXT         : unit -> int = "def_GL_INDEX_ARRAY_STRIDE_EXT"
external def_GL_INDEX_ARRAY_COUNT_EXT          : unit -> int = "def_GL_INDEX_ARRAY_COUNT_EXT"
external def_GL_TEXTURE_COORD_ARRAY_SIZE_EXT   : unit -> int = "def_GL_TEXTURE_COORD_ARRAY_SIZE_EXT"
external def_GL_TEXTURE_COORD_ARRAY_TYPE_EXT   : unit -> int = "def_GL_TEXTURE_COORD_ARRAY_TYPE_EXT"
external def_GL_TEXTURE_COORD_ARRAY_STRIDE_EXT : unit -> int = "def_GL_TEXTURE_COORD_ARRAY_STRIDE_EXT"
external def_GL_TEXTURE_COORD_ARRAY_COUNT_EXT  : unit -> int = "def_GL_TEXTURE_COORD_ARRAY_COUNT_EXT"
external def_GL_EDGE_FLAG_ARRAY_STRIDE_EXT     : unit -> int = "def_GL_EDGE_FLAG_ARRAY_STRIDE_EXT"
external def_GL_EDGE_FLAG_ARRAY_COUNT_EXT      : unit -> int = "def_GL_EDGE_FLAG_ARRAY_COUNT_EXT"
external def_GL_VERTEX_ARRAY_POINTER_EXT       : unit -> int = "def_GL_VERTEX_ARRAY_POINTER_EXT"
external def_GL_NORMAL_ARRAY_POINTER_EXT       : unit -> int = "def_GL_NORMAL_ARRAY_POINTER_EXT"
external def_GL_COLOR_ARRAY_POINTER_EXT        : unit -> int = "def_GL_COLOR_ARRAY_POINTER_EXT"
external def_GL_INDEX_ARRAY_POINTER_EXT        : unit -> int = "def_GL_INDEX_ARRAY_POINTER_EXT"
external def_GL_TEXTURE_COORD_ARRAY_POINTER_EXT: unit -> int = "def_GL_TEXTURE_COORD_ARRAY_POINTER_EXT"
external def_GL_EDGE_FLAG_ARRAY_POINTER_EXT    : unit -> int = "def_GL_EDGE_FLAG_ARRAY_POINTER_EXT"
external def_GL_DOUBLE_EXT                     : unit -> int = "def_GL_DOUBLE_EXT"
(* EXT_bgra *)
external def_GL_BGR_EXT                        : unit -> int = "def_GL_BGR_EXT"
external def_GL_BGRA_EXT                       : unit -> int = "def_GL_BGRA_EXT"
(* EXT_paletted_texture *)
(* These must match the GL_COLOR_TABLE_*_SGI enumerants *)
external def_GL_COLOR_TABLE_FORMAT_EXT         : unit -> int = "def_GL_COLOR_TABLE_FORMAT_EXT"
external def_GL_COLOR_TABLE_WIDTH_EXT          : unit -> int = "def_GL_COLOR_TABLE_WIDTH_EXT"
external def_GL_COLOR_TABLE_RED_SIZE_EXT       : unit -> int = "def_GL_COLOR_TABLE_RED_SIZE_EXT"
external def_GL_COLOR_TABLE_GREEN_SIZE_EXT     : unit -> int = "def_GL_COLOR_TABLE_GREEN_SIZE_EXT"
external def_GL_COLOR_TABLE_BLUE_SIZE_EXT      : unit -> int = "def_GL_COLOR_TABLE_BLUE_SIZE_EXT"
external def_GL_COLOR_TABLE_ALPHA_SIZE_EXT     : unit -> int = "def_GL_COLOR_TABLE_ALPHA_SIZE_EXT"
external def_GL_COLOR_TABLE_LUMINANCE_SIZE_EXT : unit -> int = "def_GL_COLOR_TABLE_LUMINANCE_SIZE_EXT"
external def_GL_COLOR_TABLE_INTENSITY_SIZE_EXT : unit -> int = "def_GL_COLOR_TABLE_INTENSITY_SIZE_EXT"
external def_GL_COLOR_INDEX1_EXT               : unit -> int = "def_GL_COLOR_INDEX1_EXT"
external def_GL_COLOR_INDEX2_EXT               : unit -> int = "def_GL_COLOR_INDEX2_EXT"
external def_GL_COLOR_INDEX4_EXT               : unit -> int = "def_GL_COLOR_INDEX4_EXT"
external def_GL_COLOR_INDEX8_EXT               : unit -> int = "def_GL_COLOR_INDEX8_EXT"
external def_GL_COLOR_INDEX12_EXT              : unit -> int = "def_GL_COLOR_INDEX12_EXT"
external def_GL_COLOR_INDEX16_EXT              : unit -> int = "def_GL_COLOR_INDEX16_EXT"
(* WIN_draw_range_elements *)
external def_GL_MAX_ELEMENTS_VERTICES_WIN      : unit -> int = "def_GL_MAX_ELEMENTS_VERTICES_WIN"
external def_GL_MAX_ELEMENTS_INDICES_WIN       : unit -> int = "def_GL_MAX_ELEMENTS_INDICES_WIN"
(* WIN_phong_shading *)
external def_GL_PHONG_WIN                      : unit -> int = "def_GL_PHONG_WIN"
external def_GL_PHONG_HINT_WIN                 : unit -> int = "def_GL_PHONG_HINT_WIN"
(* WIN_specular_fog *)
external def_GL_FOG_SPECULAR_TEXTURE_WIN       : unit -> int = "def_GL_FOG_SPECULAR_TEXTURE_WIN"

external accum : int -> float -> unit = "Accum"
external alphaFunc : int -> float -> unit = "AlphaFunc"
external areTexturesResident : int -> int array -> bool array = "AreTexturesResident"
external arrayElement : int -> unit = "ArrayElement"
external glbegin : int -> unit = "Begin"
external bindTexture : int -> int -> unit = "BindTexture"
external bitmap : int -> int -> float -> float -> float -> float -> string -> unit = "Bitmap_" "Bitmap"
external blendFunc : int -> int -> unit = "BlendFunc"
external callList : int -> unit = "CallList"
external callLists : int -> float array -> int = "CallLists"
external clear : int -> unit = "Clear"
external clearAccum : float -> float -> float -> float -> unit = "ClearAccum"
external clearColor : float -> float -> float -> float -> unit = "ClearColor"
external clearDepth : float -> unit = "ClearDepth"
external clearIndex : float -> unit = "ClearIndex "
external clearStencil : int -> unit = "ClearStencil"
external clipPlane : int -> float array -> unit = "ClipPlane"
external color3 : float -> float -> float -> unit = "Color3"
external color4 : float -> float -> float -> float -> unit = "Color4"
external colorMask : bool -> bool -> bool -> bool -> unit = "ColorMask"
external colorMaterial : int -> int -> unit = "ColorMaterial"
external colorPointer3 : int -> float array -> unit = "ColorPointer3"
external colorPointer4 : int -> float array -> unit = "ColorPointer4"
external copyPixels : int -> int -> int -> int -> int -> unit = "CopyPixels"
external copyTexImage1D : int -> int -> int -> int -> int -> int -> unit = "CopyTexImage1D_" "CopyTexImage1D"
external copyTexImage2D : int -> int -> int -> int -> int -> int -> int -> unit = "CopyTexImage2D_" "CopyTexImage2D"
external copyTexSubImage1D : int -> int -> int -> int -> int -> unit = "CopyTexSubImage1D"
external copyTexSubImage2D : int -> int -> int -> int -> int -> int -> int -> unit = "CopyTexSubImage2D_" "CopyTexSubImage2D"
external cullFace : int -> unit = "CullFace"
external deleteLists : int -> int -> unit = "DeleteLists"
external deleteTextures : int -> int array -> unit = "DeleteTextures"
external depthFunc : int -> unit = "DepthFunc"
external depthMask : bool -> unit = "DepthMask"
external depthRange : float -> float -> unit = "DepthRange"
external disable : int -> unit = "Disable"
external disableClientState : int -> unit = "DisableClientState"
external drawArrays : int -> int -> int -> unit = "DrawArrays"
external drawBuffer : int -> unit = "DrawBuffer"
external drawElements : int -> int -> float array -> unit = "DrawElements"
external drawPixels : int -> int -> int -> int -> string -> unit = "DrawPixels"
external edgeFlag : bool -> unit = "EdgeFlag"
external edgeFlagPointer : int -> string -> unit = "EdgeFlagPointer"
external enable : int -> unit = "Enable"
external enableClientState : int -> unit = "EnableClientState"
external glend : unit -> unit = "End"
external endList : unit -> unit = "EndList"
external evalCoord1d : float -> unit = "EvalCoord1d"
external evalCoord2d : float -> float -> unit = "EvalCoord2d"
external evalMesh1 : int -> int -> int -> unit = "EvalMesh1"
external evalMesh2 : int -> int -> int -> int -> int -> unit = "EvalMesh2"
external evalPoint1 : int -> unit = "EvalPoint1"
external evalPoint2 : int -> int -> unit = "EvalPoint2"
external feedbackBuffer : int -> int -> string -> unit = "FeedbackBuffer"
external finish : unit -> unit = "Finish"
external flush : unit -> unit = "Flush"
external fogf : int -> float -> unit = "Fogf"
external fogi : int -> int -> unit = "Fogi"
external fogfv : int -> float array -> unit = "Fogfv"
external frontFace : int -> unit = "FrontFace"
external frustum : float -> float -> float -> float -> float -> float -> unit = "Frustum_" "Frustum"
external genLists : int -> int = "GenLists"
external genTextures : int -> int array -> int array = "GenTextures"
external getBoolean : int -> bool = "GetBoolean"
external getClipPlane : int -> float array -> float array = "GetClipPlane"
external getDouble : int -> float = "GetDouble"
external getError : unit -> int = "GetError"
external getInteger : int -> int = "GetInteger"
external getLightf : int -> int -> float = "GetLightf"
external getLightfv : int -> int -> float array -> float array = "GetLightfv"
external getMapd : int -> int -> float = "GetMapd"
external getMapi : int -> int -> int = "GetMapi"
external getMaterialf : int -> int -> float = "GetMaterialf"
external getMaterialfv : int -> int -> float array -> float array = "GetMaterialfv"
(*
void glGetPixelMapfv (GLenum map, GLfloat *values);
void glGetPixelMapuiv (GLenum map, GLuint *values);
void glGetPixelMapusv (GLenum map, GLushort *values);
*)
external getPolygonStipple : string -> string = "GetPolygonStipple"
external getString : int -> string = "GetString"
external getTexEnvi : int -> int -> int = "GetTexEnvi"
external getTexEnvfv : int -> int -> float array -> float array = "GetTexEnvfv"
external getTexGendv : int -> int -> float array -> float array = "GetTexGendv"
external getTexGend : int -> int -> float = "GetTexGend"
external getTexGeni : int -> int -> int = "GetTexGeni"
(*
void glGetTexImage (GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels);
*)
external getTexLevelParameterf : int -> int -> int -> float = "GetTexLevelParameterf"
external getTexLevelParameteri : int -> int -> int -> int = "GetTexLevelParameteri"
external getTexParameterf : int -> int -> float = "GetTexParameterf"
external getTexParameteri : int -> int -> int = "GetTexParameteri"
external hint : int -> int -> unit = "Hint"
external indexMask : int -> unit = "IndexMask"
external indexPointer : int -> float array -> unit = "IndexPointer"
external index : float -> unit = "Index"
external initNames : unit -> unit = "InitNames"
(*
void glInterleavedArrays (GLenum format, GLsizei stride, const GLvoid *pointer);
*)
external isEnabled : int -> bool = "IsEnabled"
external isList : int -> bool = "IsList"
external isTexture : int -> bool = "IsTexture"
external lightModelfv : int -> float array -> unit = "LightModelfv"
external lightModeli : int -> int -> unit = "LightModeli"
external lightf : int -> int -> float -> unit = "Lightf"
external lightfv : int -> int -> float array -> unit = "Lightfv"
external lineStipple : int -> int -> unit = "LineStipple"
external lineWidth : float -> unit = "LineWidth"
external listBase : int -> unit = "ListBase"
external loadIdentity : unit -> unit = "LoadIdentity"
external loadMatrix : float array -> unit = "LoadMatrix"
external loadName : int -> unit = "LoadName"
external logicOp : int -> unit = "LogicOp"
external map1 : int -> float -> float -> int -> int -> float array -> unit = "Map1_" "Map1"
external map2 : int -> float -> float -> int -> int -> float -> float -> int -> int -> float array -> unit = "Map2_" "Map2"
external mapGrid1 : int -> float -> float -> unit = "MapGrid1"
external mapGrid2 : int -> float -> float -> int -> float -> float -> unit = "MapGrid2_" "MapGrid2"
external materialf : int -> int -> float -> unit = "Materialf"
external materialfv : int -> int -> float array -> unit = "Materialfv"
external matrixMode : int -> unit = "MatrixMode"
external multMatrix : float array -> unit = "MultMatrix"
external newList : int -> int -> unit = "NewList"
external normal3 : float -> float -> float -> unit = "Normal3"
external normalPointer : int -> float array -> unit = "NormalPointer"
external ortho : float -> float -> float -> float -> float -> float -> unit = "Ortho_" "Ortho"
external passThrough : float -> unit = "PassThrough"
external pixelMap : int -> int -> float array -> unit = "PixelMapfv"
external pixelStorei : int -> int -> unit = "PixelStorei"
external pixelTransferf : int -> float -> unit = "PixelTransferf"
external pixelTransferi : int -> int -> unit = "PixelTransferi"
external pixelZoom : float -> float -> unit = "PixelZoom"
external pointSize : float -> unit = "PointSize"
external polygonMode : int -> int -> unit = "PolygonMode"
external polygonOffset : float -> float -> unit = "PolygonOffset"
external polygonStipple : string -> unit = "PolygonStipple"
external popAttrib : unit -> unit = "PopAttrib"
external popClientAttrib : unit -> unit = "PopClientAttrib"
external popMatrix : unit -> unit = "PopMatrix"
external popName : unit -> unit = "PopName"
external prioritizeTextures : int -> int array -> float array -> unit = "PrioritizeTextures"
external pushAttrib : int -> unit = "PushAttrib"
external pushClientAttrib : int -> unit = "PushClientAttrib"
external pushMatrix : unit -> unit = "PushMatrix"
external pushName : int -> unit = "PushName"
external rasterPos2 : float -> float -> unit = "RasterPos2"
external rasterPos3 : float -> float -> float -> unit = "RasterPos3"
external rasterPos4 : float -> float -> float -> float -> unit = "RasterPos4"
external readBuffer : int -> unit = "ReadBuffer"
external readPixels : int -> int -> int -> int -> int -> int -> string -> string = "ReadPixels_" "ReadPixels"
external rect : float -> float -> float -> float -> unit = "Rect"
external renderMode : int -> int = "RenderMode"
external rotate : float -> float -> float -> float -> unit = "Rotate"
external scale : float -> float -> float -> unit = "Scale"
external scissor : int -> int -> int -> int -> unit = "Scissor"
external selectBuffer : int -> string -> unit = "SelectBuffer"
external shadeModel : int -> unit = "ShadeModel"
external stencilFunc : int -> int -> int -> unit = "StencilFunc"
external stencilMask : int -> unit = "StencilMask"
external stencilOp : int -> int -> int -> unit = "StencilOp"
external texCoord1 : float -> unit = "TexCoord1"
external texCoord2 : float -> float -> unit = "TexCoord2"
external texCoord3 : float -> float -> float -> unit = "TexCoord3"
external texCoord4 : float -> float -> float -> float -> unit = "TexCoord4"
external texCoordPointer1 : int -> float array -> unit = "TexCoordPointer1"
external texCoordPointer2 : int -> float array -> unit = "TexCoordPointer2"
external texCoordPointer3 : int -> float array -> unit = "TexCoordPointer3"
external texCoordPointer4 : int -> float array -> unit = "TexCoordPointer4"
external texEnvi : int -> int -> int -> unit = "TexEnvi"
external texEnvfv : int -> int -> float array -> unit = "TexEnvfv"
external texGendv : int -> int -> float array -> unit = "TexGendv"
external texGend : int -> int -> float -> unit = "TexGend"
external texGeni : int -> int -> int -> unit = "TexGeni"
external texImage1D : int -> int -> int -> int -> int -> int -> int -> string -> unit = "TexImage1D_" "TexImage1D"
external texImage2D : int -> int -> int -> int -> int -> int -> int -> int -> string -> unit = "TexImage2D_" "TexImage2D"
external texParameterfv : int -> int -> float array -> unit = "TexParameterfv"
external texParameterf : int -> int -> float -> unit = "TexParameterf"
external texParameteri : int -> int -> int -> unit = "TexParameteri"
external texSubImage1D : int -> int -> int -> int -> int -> string -> unit = "TexSubImage1D_" "TexSubImage1D"
external texSubImage2D : int -> int -> int -> int -> int -> int -> int -> string -> unit = "TexSubImage2D_" "TexSubImage2D"
external translate : float -> float -> float -> unit = "Translate"
external vertex2 : float -> float -> unit = "Vertex2"
external vertex3 : float -> float -> float -> unit = "Vertex3"
external vertex4 : float -> float -> float -> float -> unit = "Vertex4"
external vertexPointer2 : int -> float array -> unit = "VertexPointer2"
external vertexPointer3 : int -> float array -> unit = "VertexPointer3"
external vertexPointer4 : int -> float array -> unit = "VertexPointer4"
external viewport : int -> int -> int -> int -> unit = "Viewport"
