//#include <windows.h>
#include <GL/gl.h>
#include <caml/memory.h>

/* AccumOp */
value def_GL_ACCUM                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ACCUM)); }
value def_GL_LOAD                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LOAD)); }
value def_GL_RETURN                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RETURN)); }
value def_GL_MULT                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MULT)); }
value def_GL_ADD                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ADD)); }
/* AlphaFunction */
value def_GL_NEVER                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NEVER)); }
value def_GL_LESS                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LESS)); }
value def_GL_EQUAL                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EQUAL)); }
value def_GL_LEQUAL                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LEQUAL)); }
value def_GL_GREATER                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_GREATER)); }
value def_GL_NOTEQUAL                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NOTEQUAL)); }
value def_GL_GEQUAL                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_GEQUAL)); }
value def_GL_ALWAYS                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALWAYS)); }
/* AttribMask */
value def_GL_CURRENT_BIT                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_BIT)); }
value def_GL_POINT_BIT                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POINT_BIT)); }
value def_GL_LINE_BIT                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_BIT)); }
value def_GL_POLYGON_BIT                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_BIT)); }
value def_GL_POLYGON_STIPPLE_BIT            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_STIPPLE_BIT)); }
value def_GL_PIXEL_MODE_BIT                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MODE_BIT)); }
value def_GL_LIGHTING_BIT                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHTING_BIT)); }
value def_GL_FOG_BIT                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FOG_BIT)); }
value def_GL_DEPTH_BUFFER_BIT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH_BUFFER_BIT)); }
value def_GL_ACCUM_BUFFER_BIT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ACCUM_BUFFER_BIT)); }
value def_GL_STENCIL_BUFFER_BIT             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_BUFFER_BIT)); }
value def_GL_VIEWPORT_BIT                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VIEWPORT_BIT)); }
value def_GL_TRANSFORM_BIT                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TRANSFORM_BIT)); }
value def_GL_ENABLE_BIT                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ENABLE_BIT)); }
value def_GL_COLOR_BUFFER_BIT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_BUFFER_BIT)); }
value def_GL_HINT_BIT                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_HINT_BIT)); }
value def_GL_EVAL_BIT                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EVAL_BIT)); }
value def_GL_LIST_BIT                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIST_BIT)); }
value def_GL_TEXTURE_BIT                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_BIT)); }
value def_GL_SCISSOR_BIT                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SCISSOR_BIT)); }
value def_GL_ALL_ATTRIB_BITS                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALL_ATTRIB_BITS)); }
/* BeginMode */
value def_GL_POINTS                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POINTS)); }
value def_GL_LINES                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINES)); }
value def_GL_LINE_LOOP                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_LOOP)); }
value def_GL_LINE_STRIP                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_STRIP)); }
value def_GL_TRIANGLES                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TRIANGLES)); }
value def_GL_TRIANGLE_STRIP                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TRIANGLE_STRIP)); }
value def_GL_TRIANGLE_FAN                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TRIANGLE_FAN)); }
value def_GL_QUADS                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_QUADS)); }
value def_GL_QUAD_STRIP                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_QUAD_STRIP)); }
value def_GL_POLYGON                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON)); }
/* BlendingFactorDest */
value def_GL_ZERO                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ZERO)); }
value def_GL_ONE                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ONE)); }
value def_GL_SRC_COLOR                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SRC_COLOR)); }
value def_GL_ONE_MINUS_SRC_COLOR            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ONE_MINUS_SRC_COLOR)); }
value def_GL_SRC_ALPHA                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SRC_ALPHA)); }
value def_GL_ONE_MINUS_SRC_ALPHA            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ONE_MINUS_SRC_ALPHA)); }
value def_GL_DST_ALPHA                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DST_ALPHA)); }
value def_GL_ONE_MINUS_DST_ALPHA            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ONE_MINUS_DST_ALPHA)); }
/* BlendingFactorSrc */
/*      GL_ZERO */
/*      GL_ONE */
value def_GL_DST_COLOR                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DST_COLOR)); }
value def_GL_ONE_MINUS_DST_COLOR            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ONE_MINUS_DST_COLOR)); }
value def_GL_SRC_ALPHA_SATURATE             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SRC_ALPHA_SATURATE)); }
/*      GL_SRC_ALPHA */
/*      GL_ONE_MINUS_SRC_ALPHA */
/*      GL_DST_ALPHA */
/*      GL_ONE_MINUS_DST_ALPHA */
/* ClearBufferMask */
/*      GL_COLOR_BUFFER_BIT */
/*      GL_ACCUM_BUFFER_BIT */
/*      GL_STENCIL_BUFFER_BIT */
/*      GL_DEPTH_BUFFER_BIT */
/* ClientArrayType */
/*      GL_VERTEX_ARRAY */
/*      GL_NORMAL_ARRAY */
/*      GL_COLOR_ARRAY */
/*      GL_INDEX_ARRAY */
/*      GL_TEXTURE_COORD_ARRAY */
/*      GL_EDGE_FLAG_ARRAY */
/* ClipPlaneName */
value def_GL_CLIP_PLANE0                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLIP_PLANE0)); }
value def_GL_CLIP_PLANE1                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLIP_PLANE1)); }
value def_GL_CLIP_PLANE2                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLIP_PLANE2)); }
value def_GL_CLIP_PLANE3                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLIP_PLANE3)); }
value def_GL_CLIP_PLANE4                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLIP_PLANE4)); }
value def_GL_CLIP_PLANE5                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLIP_PLANE5)); }
/* ColorMaterialFace */
/*      GL_FRONT */
/*      GL_BACK */
/*      GL_FRONT_AND_BACK */
/* ColorMaterialParameter */
/*      GL_AMBIENT */
/*      GL_DIFFUSE */
/*      GL_SPECULAR */
/*      GL_EMISSION */
/*      GL_AMBIENT_AND_DIFFUSE */
/* ColorPointerType */
/*      GL_BYTE */
/*      GL_UNSIGNED_BYTE */
/*      GL_SHORT */
/*      GL_UNSIGNED_SHORT */
/*      GL_INT */
/*      GL_UNSIGNED_INT */
/*      GL_FLOAT */
/*      GL_DOUBLE */
/* CullFaceMode */
/*      GL_FRONT */
/*      GL_BACK */
/*      GL_FRONT_AND_BACK */
/* DataType */
value def_GL_BYTE                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BYTE)); }
value def_GL_UNSIGNED_BYTE                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_UNSIGNED_BYTE)); }
value def_GL_SHORT                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SHORT)); }
value def_GL_UNSIGNED_SHORT                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_UNSIGNED_SHORT)); }
value def_GL_INT                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INT)); }
value def_GL_UNSIGNED_INT                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_UNSIGNED_INT)); }
value def_GL_FLOAT                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FLOAT)); }
value def_GL_2_BYTES                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_2_BYTES)); }
value def_GL_3_BYTES                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_3_BYTES)); }
value def_GL_4_BYTES                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_4_BYTES)); }
value def_GL_DOUBLE                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DOUBLE)); }
/* DepthFunction */
/*      GL_NEVER */
/*      GL_LESS */
/*      GL_EQUAL */
/*      GL_LEQUAL */
/*      GL_GREATER */
/*      GL_NOTEQUAL */
/*      GL_GEQUAL */
/*      GL_ALWAYS */
/* DrawBufferMode */
value def_GL_NONE                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NONE)); }
value def_GL_FRONT_LEFT                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FRONT_LEFT)); }
value def_GL_FRONT_RIGHT                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FRONT_RIGHT)); }
value def_GL_BACK_LEFT                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BACK_LEFT)); }
value def_GL_BACK_RIGHT                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BACK_RIGHT)); }
value def_GL_FRONT                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FRONT)); }
value def_GL_BACK                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BACK)); }
value def_GL_LEFT                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LEFT)); }
value def_GL_RIGHT                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RIGHT)); }
value def_GL_FRONT_AND_BACK                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FRONT_AND_BACK)); }
value def_GL_AUX0                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AUX0)); }
value def_GL_AUX1                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AUX1)); }
value def_GL_AUX2                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AUX2)); }
value def_GL_AUX3                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AUX3)); }
/* Enable */
/*      GL_FOG */
/*      GL_LIGHTING */
/*      GL_TEXTURE_1D */
/*      GL_TEXTURE_2D */
/*      GL_LINE_STIPPLE */
/*      GL_POLYGON_STIPPLE */
/*      GL_CULL_FACE */
/*      GL_ALPHA_TEST */
/*      GL_BLEND */
/*      GL_INDEX_LOGIC_OP */
/*      GL_COLOR_LOGIC_OP */
/*      GL_DITHER */
/*      GL_STENCIL_TEST */
/*      GL_DEPTH_TEST */
/*      GL_CLIP_PLANE0 */
/*      GL_CLIP_PLANE1 */
/*      GL_CLIP_PLANE2 */
/*      GL_CLIP_PLANE3 */
/*      GL_CLIP_PLANE4 */
/*      GL_CLIP_PLANE5 */
/*      GL_LIGHT0 */
/*      GL_LIGHT1 */
/*      GL_LIGHT2 */
/*      GL_LIGHT3 */
/*      GL_LIGHT4 */
/*      GL_LIGHT5 */
/*      GL_LIGHT6 */
/*      GL_LIGHT7 */
/*      GL_TEXTURE_GEN_S */
/*      GL_TEXTURE_GEN_T */
/*      GL_TEXTURE_GEN_R */
/*      GL_TEXTURE_GEN_Q */
/*      GL_MAP1_VERTEX_3 */
/*      GL_MAP1_VERTEX_4 */
/*      GL_MAP1_COLOR_4 */
/*      GL_MAP1_INDEX */
/*      GL_MAP1_NORMAL */
/*      GL_MAP1_TEXTURE_COORD_1 */
/*      GL_MAP1_TEXTURE_COORD_2 */
/*      GL_MAP1_TEXTURE_COORD_3 */
/*      GL_MAP1_TEXTURE_COORD_4 */
/*      GL_MAP2_VERTEX_3 */
/*      GL_MAP2_VERTEX_4 */
/*      GL_MAP2_COLOR_4 */
/*      GL_MAP2_INDEX */
/*      GL_MAP2_NORMAL */
/*      GL_MAP2_TEXTURE_COORD_1 */
/*      GL_MAP2_TEXTURE_COORD_2 */
/*      GL_MAP2_TEXTURE_COORD_3 */
/*      GL_MAP2_TEXTURE_COORD_4 */
/*      GL_POINT_SMOOTH */
/*      GL_LINE_SMOOTH */
/*      GL_POLYGON_SMOOTH */
/*      GL_SCISSOR_TEST */
/*      GL_COLOR_MATERIAL */
/*      GL_NORMALIZE */
/*      GL_AUTO_NORMAL */
/*      GL_VERTEX_ARRAY */
/*      GL_NORMAL_ARRAY */
/*      GL_COLOR_ARRAY */
/*      GL_INDEX_ARRAY */
/*      GL_TEXTURE_COORD_ARRAY */
/*      GL_EDGE_FLAG_ARRAY */
/*      GL_POLYGON_OFFSET_POINT */
/*      GL_POLYGON_OFFSET_LINE */
/*      GL_POLYGON_OFFSET_FILL */
/* ErrorCode */
value def_GL_NO_ERROR                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NO_ERROR)); }
value def_GL_INVALID_ENUM                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INVALID_ENUM)); }
value def_GL_INVALID_VALUE                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INVALID_VALUE)); }
value def_GL_INVALID_OPERATION              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INVALID_OPERATION)); }
value def_GL_STACK_OVERFLOW                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STACK_OVERFLOW)); }
value def_GL_STACK_UNDERFLOW                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STACK_UNDERFLOW)); }
value def_GL_OUT_OF_MEMORY                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_OUT_OF_MEMORY)); }
/* FeedBackMode */
value def_GL_2D                             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_2D)); }
value def_GL_3D                             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_3D)); }
value def_GL_3D_COLOR                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_3D_COLOR)); }
value def_GL_3D_COLOR_TEXTURE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_3D_COLOR_TEXTURE)); }
value def_GL_4D_COLOR_TEXTURE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_4D_COLOR_TEXTURE)); }
/* FeedBackToken */
value def_GL_PASS_THROUGH_TOKEN             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PASS_THROUGH_TOKEN)); }
value def_GL_POINT_TOKEN                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POINT_TOKEN)); }
value def_GL_LINE_TOKEN                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_TOKEN)); }
value def_GL_POLYGON_TOKEN                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_TOKEN)); }
value def_GL_BITMAP_TOKEN                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BITMAP_TOKEN)); }
value def_GL_DRAW_PIXEL_TOKEN               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DRAW_PIXEL_TOKEN)); }
value def_GL_COPY_PIXEL_TOKEN               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COPY_PIXEL_TOKEN)); }
value def_GL_LINE_RESET_TOKEN               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_RESET_TOKEN)); }
/* FogMode */
/*      GL_LINEAR */
value def_GL_EXP                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EXP)); }
value def_GL_EXP2                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EXP2)); }
/* FrontFaceDirection */
value def_GL_CW                             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CW)); }
value def_GL_CCW                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CCW)); }
/* GetMapTarget */
value def_GL_COEFF                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COEFF)); }
value def_GL_ORDER                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ORDER)); }
value def_GL_DOMAIN                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DOMAIN)); }
/* GetPixelMap */
/*      GL_PIXEL_MAP_I_TO_I */
/*      GL_PIXEL_MAP_S_TO_S */
/*      GL_PIXEL_MAP_I_TO_R */
/*      GL_PIXEL_MAP_I_TO_G */
/*      GL_PIXEL_MAP_I_TO_B */
/*      GL_PIXEL_MAP_I_TO_A */
/*      GL_PIXEL_MAP_R_TO_R */
/*      GL_PIXEL_MAP_G_TO_G */
/*      GL_PIXEL_MAP_B_TO_B */
/*      GL_PIXEL_MAP_A_TO_A */
/* GetPointerTarget */
/*      GL_VERTEX_ARRAY_POINTER */
/*      GL_NORMAL_ARRAY_POINTER */
/*      GL_COLOR_ARRAY_POINTER */
/*      GL_INDEX_ARRAY_POINTER */
/*      GL_TEXTURE_COORD_ARRAY_POINTER */
/*      GL_EDGE_FLAG_ARRAY_POINTER */
/* GetTarget */
value def_GL_CURRENT_COLOR                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_COLOR)); }
value def_GL_CURRENT_INDEX                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_INDEX)); }
value def_GL_CURRENT_NORMAL                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_NORMAL)); }
value def_GL_CURRENT_TEXTURE_COORDS         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_TEXTURE_COORDS)); }
value def_GL_CURRENT_RASTER_COLOR           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_RASTER_COLOR)); }
value def_GL_CURRENT_RASTER_INDEX           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_RASTER_INDEX)); }
value def_GL_CURRENT_RASTER_TEXTURE_COORDS  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_RASTER_TEXTURE_COORDS)); }
value def_GL_CURRENT_RASTER_POSITION        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_RASTER_POSITION)); }
value def_GL_CURRENT_RASTER_POSITION_VALID  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_RASTER_POSITION_VALID)); }
value def_GL_CURRENT_RASTER_DISTANCE        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CURRENT_RASTER_DISTANCE)); }
value def_GL_POINT_SMOOTH                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POINT_SMOOTH)); }
value def_GL_POINT_SIZE                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POINT_SIZE)); }
value def_GL_POINT_SIZE_RANGE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POINT_SIZE_RANGE)); }
value def_GL_POINT_SIZE_GRANULARITY         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POINT_SIZE_GRANULARITY)); }
value def_GL_LINE_SMOOTH                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_SMOOTH)); }
value def_GL_LINE_WIDTH                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_WIDTH)); }
value def_GL_LINE_WIDTH_RANGE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_WIDTH_RANGE)); }
value def_GL_LINE_WIDTH_GRANULARITY         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_WIDTH_GRANULARITY)); }
value def_GL_LINE_STIPPLE                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_STIPPLE)); }
value def_GL_LINE_STIPPLE_PATTERN           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_STIPPLE_PATTERN)); }
value def_GL_LINE_STIPPLE_REPEAT            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_STIPPLE_REPEAT)); }
value def_GL_LIST_MODE                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIST_MODE)); }
value def_GL_MAX_LIST_NESTING               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_LIST_NESTING)); }
value def_GL_LIST_BASE                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIST_BASE)); }
value def_GL_LIST_INDEX                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIST_INDEX)); }
value def_GL_POLYGON_MODE                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_MODE)); }
value def_GL_POLYGON_SMOOTH                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_SMOOTH)); }
value def_GL_POLYGON_STIPPLE                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_STIPPLE)); }
value def_GL_EDGE_FLAG                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EDGE_FLAG)); }
value def_GL_CULL_FACE                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CULL_FACE)); }
value def_GL_CULL_FACE_MODE                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CULL_FACE_MODE)); }
value def_GL_FRONT_FACE                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FRONT_FACE)); }
value def_GL_LIGHTING                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHTING)); }
value def_GL_LIGHT_MODEL_LOCAL_VIEWER       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT_MODEL_LOCAL_VIEWER)); }
value def_GL_LIGHT_MODEL_TWO_SIDE           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT_MODEL_TWO_SIDE)); }
value def_GL_LIGHT_MODEL_AMBIENT            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT_MODEL_AMBIENT)); }
value def_GL_SHADE_MODEL                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SHADE_MODEL)); }
value def_GL_COLOR_MATERIAL_FACE            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_MATERIAL_FACE)); }
value def_GL_COLOR_MATERIAL_PARAMETER       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_MATERIAL_PARAMETER)); }
value def_GL_COLOR_MATERIAL                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_MATERIAL)); }
value def_GL_FOG                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FOG)); }
value def_GL_FOG_INDEX                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FOG_INDEX)); }
value def_GL_FOG_DENSITY                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FOG_DENSITY)); }
value def_GL_FOG_START                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FOG_START)); }
value def_GL_FOG_END                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FOG_END)); }
value def_GL_FOG_MODE                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FOG_MODE)); }
value def_GL_FOG_COLOR                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FOG_COLOR)); }
value def_GL_DEPTH_RANGE                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH_RANGE)); }
value def_GL_DEPTH_TEST                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH_TEST)); }
value def_GL_DEPTH_WRITEMASK                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH_WRITEMASK)); }
value def_GL_DEPTH_CLEAR_VALUE              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH_CLEAR_VALUE)); }
value def_GL_DEPTH_FUNC                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH_FUNC)); }
value def_GL_ACCUM_CLEAR_VALUE              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ACCUM_CLEAR_VALUE)); }
value def_GL_STENCIL_TEST                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_TEST)); }
value def_GL_STENCIL_CLEAR_VALUE            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_CLEAR_VALUE)); }
value def_GL_STENCIL_FUNC                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_FUNC)); }
value def_GL_STENCIL_VALUE_MASK             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_VALUE_MASK)); }
value def_GL_STENCIL_FAIL                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_FAIL)); }
value def_GL_STENCIL_PASS_DEPTH_FAIL        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_PASS_DEPTH_FAIL)); }
value def_GL_STENCIL_PASS_DEPTH_PASS        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_PASS_DEPTH_PASS)); }
value def_GL_STENCIL_REF                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_REF)); }
value def_GL_STENCIL_WRITEMASK              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_WRITEMASK)); }
value def_GL_MATRIX_MODE                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MATRIX_MODE)); }
value def_GL_NORMALIZE                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NORMALIZE)); }
value def_GL_VIEWPORT                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VIEWPORT)); }
value def_GL_MODELVIEW_STACK_DEPTH          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MODELVIEW_STACK_DEPTH)); }
value def_GL_PROJECTION_STACK_DEPTH         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PROJECTION_STACK_DEPTH)); }
value def_GL_TEXTURE_STACK_DEPTH            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_STACK_DEPTH)); }
value def_GL_MODELVIEW_MATRIX               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MODELVIEW_MATRIX)); }
value def_GL_PROJECTION_MATRIX              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PROJECTION_MATRIX)); }
value def_GL_TEXTURE_MATRIX                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_MATRIX)); }
value def_GL_ATTRIB_STACK_DEPTH             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ATTRIB_STACK_DEPTH)); }
value def_GL_CLIENT_ATTRIB_STACK_DEPTH      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLIENT_ATTRIB_STACK_DEPTH)); }
value def_GL_ALPHA_TEST                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA_TEST)); }
value def_GL_ALPHA_TEST_FUNC                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA_TEST_FUNC)); }
value def_GL_ALPHA_TEST_REF                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA_TEST_REF)); }
value def_GL_DITHER                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DITHER)); }
value def_GL_BLEND_DST                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BLEND_DST)); }
value def_GL_BLEND_SRC                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BLEND_SRC)); }
value def_GL_BLEND                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BLEND)); }
value def_GL_LOGIC_OP_MODE                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LOGIC_OP_MODE)); }
value def_GL_INDEX_LOGIC_OP                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_LOGIC_OP)); }
value def_GL_COLOR_LOGIC_OP                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_LOGIC_OP)); }
value def_GL_AUX_BUFFERS                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AUX_BUFFERS)); }
value def_GL_DRAW_BUFFER                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DRAW_BUFFER)); }
value def_GL_READ_BUFFER                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_READ_BUFFER)); }
value def_GL_SCISSOR_BOX                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SCISSOR_BOX)); }
value def_GL_SCISSOR_TEST                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SCISSOR_TEST)); }
value def_GL_INDEX_CLEAR_VALUE              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_CLEAR_VALUE)); }
value def_GL_INDEX_WRITEMASK                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_WRITEMASK)); }
value def_GL_COLOR_CLEAR_VALUE              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_CLEAR_VALUE)); }
value def_GL_COLOR_WRITEMASK                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_WRITEMASK)); }
value def_GL_INDEX_MODE                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_MODE)); }
value def_GL_RGBA_MODE                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGBA_MODE)); }
value def_GL_DOUBLEBUFFER                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DOUBLEBUFFER)); }
value def_GL_STEREO                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STEREO)); }
value def_GL_RENDER_MODE                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RENDER_MODE)); }
value def_GL_PERSPECTIVE_CORRECTION_HINT    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PERSPECTIVE_CORRECTION_HINT)); }
value def_GL_POINT_SMOOTH_HINT              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POINT_SMOOTH_HINT)); }
value def_GL_LINE_SMOOTH_HINT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE_SMOOTH_HINT)); }
value def_GL_POLYGON_SMOOTH_HINT            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_SMOOTH_HINT)); }
value def_GL_FOG_HINT                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FOG_HINT)); }
value def_GL_TEXTURE_GEN_S                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_GEN_S)); }
value def_GL_TEXTURE_GEN_T                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_GEN_T)); }
value def_GL_TEXTURE_GEN_R                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_GEN_R)); }
value def_GL_TEXTURE_GEN_Q                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_GEN_Q)); }
value def_GL_PIXEL_MAP_I_TO_I               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_I_TO_I)); }
value def_GL_PIXEL_MAP_S_TO_S               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_S_TO_S)); }
value def_GL_PIXEL_MAP_I_TO_R               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_I_TO_R)); }
value def_GL_PIXEL_MAP_I_TO_G               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_I_TO_G)); }
value def_GL_PIXEL_MAP_I_TO_B               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_I_TO_B)); }
value def_GL_PIXEL_MAP_I_TO_A               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_I_TO_A)); }
value def_GL_PIXEL_MAP_R_TO_R               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_R_TO_R)); }
value def_GL_PIXEL_MAP_G_TO_G               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_G_TO_G)); }
value def_GL_PIXEL_MAP_B_TO_B               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_B_TO_B)); }
value def_GL_PIXEL_MAP_A_TO_A               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_A_TO_A)); }
value def_GL_PIXEL_MAP_I_TO_I_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_I_TO_I_SIZE)); }
value def_GL_PIXEL_MAP_S_TO_S_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_S_TO_S_SIZE)); }
value def_GL_PIXEL_MAP_I_TO_R_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_I_TO_R_SIZE)); }
value def_GL_PIXEL_MAP_I_TO_G_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_I_TO_G_SIZE)); }
value def_GL_PIXEL_MAP_I_TO_B_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_I_TO_B_SIZE)); }
value def_GL_PIXEL_MAP_I_TO_A_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_I_TO_A_SIZE)); }
value def_GL_PIXEL_MAP_R_TO_R_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_R_TO_R_SIZE)); }
value def_GL_PIXEL_MAP_G_TO_G_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_G_TO_G_SIZE)); }
value def_GL_PIXEL_MAP_B_TO_B_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_B_TO_B_SIZE)); }
value def_GL_PIXEL_MAP_A_TO_A_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PIXEL_MAP_A_TO_A_SIZE)); }
value def_GL_UNPACK_SWAP_BYTES              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_UNPACK_SWAP_BYTES)); }
value def_GL_UNPACK_LSB_FIRST               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_UNPACK_LSB_FIRST)); }
value def_GL_UNPACK_ROW_LENGTH              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_UNPACK_ROW_LENGTH)); }
value def_GL_UNPACK_SKIP_ROWS               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_UNPACK_SKIP_ROWS)); }
value def_GL_UNPACK_SKIP_PIXELS             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_UNPACK_SKIP_PIXELS)); }
value def_GL_UNPACK_ALIGNMENT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_UNPACK_ALIGNMENT)); }
value def_GL_PACK_SWAP_BYTES                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PACK_SWAP_BYTES)); }
value def_GL_PACK_LSB_FIRST                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PACK_LSB_FIRST)); }
value def_GL_PACK_ROW_LENGTH                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PACK_ROW_LENGTH)); }
value def_GL_PACK_SKIP_ROWS                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PACK_SKIP_ROWS)); }
value def_GL_PACK_SKIP_PIXELS               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PACK_SKIP_PIXELS)); }
value def_GL_PACK_ALIGNMENT                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PACK_ALIGNMENT)); }
value def_GL_MAP_COLOR                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP_COLOR)); }
value def_GL_MAP_STENCIL                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP_STENCIL)); }
value def_GL_INDEX_SHIFT                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_SHIFT)); }
value def_GL_INDEX_OFFSET                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_OFFSET)); }
value def_GL_RED_SCALE                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RED_SCALE)); }
value def_GL_RED_BIAS                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RED_BIAS)); }
value def_GL_ZOOM_X                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ZOOM_X)); }
value def_GL_ZOOM_Y                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ZOOM_Y)); }
value def_GL_GREEN_SCALE                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_GREEN_SCALE)); }
value def_GL_GREEN_BIAS                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_GREEN_BIAS)); }
value def_GL_BLUE_SCALE                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BLUE_SCALE)); }
value def_GL_BLUE_BIAS                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BLUE_BIAS)); }
value def_GL_ALPHA_SCALE                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA_SCALE)); }
value def_GL_ALPHA_BIAS                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA_BIAS)); }
value def_GL_DEPTH_SCALE                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH_SCALE)); }
value def_GL_DEPTH_BIAS                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH_BIAS)); }
value def_GL_MAX_EVAL_ORDER                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_EVAL_ORDER)); }
value def_GL_MAX_LIGHTS                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_LIGHTS)); }
value def_GL_MAX_CLIP_PLANES                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_CLIP_PLANES)); }
value def_GL_MAX_TEXTURE_SIZE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_TEXTURE_SIZE)); }
value def_GL_MAX_PIXEL_MAP_TABLE            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_PIXEL_MAP_TABLE)); }
value def_GL_MAX_ATTRIB_STACK_DEPTH         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_ATTRIB_STACK_DEPTH)); }
value def_GL_MAX_MODELVIEW_STACK_DEPTH      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_MODELVIEW_STACK_DEPTH)); }
value def_GL_MAX_NAME_STACK_DEPTH           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_NAME_STACK_DEPTH)); }
value def_GL_MAX_PROJECTION_STACK_DEPTH     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_PROJECTION_STACK_DEPTH)); }
value def_GL_MAX_TEXTURE_STACK_DEPTH        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_TEXTURE_STACK_DEPTH)); }
value def_GL_MAX_VIEWPORT_DIMS              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_VIEWPORT_DIMS)); }
value def_GL_MAX_CLIENT_ATTRIB_STACK_DEPTH  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_CLIENT_ATTRIB_STACK_DEPTH)); }
value def_GL_SUBPIXEL_BITS                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SUBPIXEL_BITS)); }
value def_GL_INDEX_BITS                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_BITS)); }
value def_GL_RED_BITS                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RED_BITS)); }
value def_GL_GREEN_BITS                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_GREEN_BITS)); }
value def_GL_BLUE_BITS                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BLUE_BITS)); }
value def_GL_ALPHA_BITS                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA_BITS)); }
value def_GL_DEPTH_BITS                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH_BITS)); }
value def_GL_STENCIL_BITS                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_BITS)); }
value def_GL_ACCUM_RED_BITS                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ACCUM_RED_BITS)); }
value def_GL_ACCUM_GREEN_BITS               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ACCUM_GREEN_BITS)); }
value def_GL_ACCUM_BLUE_BITS                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ACCUM_BLUE_BITS)); }
value def_GL_ACCUM_ALPHA_BITS               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ACCUM_ALPHA_BITS)); }
value def_GL_NAME_STACK_DEPTH               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NAME_STACK_DEPTH)); }
value def_GL_AUTO_NORMAL                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AUTO_NORMAL)); }
value def_GL_MAP1_COLOR_4                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_COLOR_4)); }
value def_GL_MAP1_INDEX                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_INDEX)); }
value def_GL_MAP1_NORMAL                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_NORMAL)); }
value def_GL_MAP1_TEXTURE_COORD_1           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_TEXTURE_COORD_1)); }
value def_GL_MAP1_TEXTURE_COORD_2           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_TEXTURE_COORD_2)); }
value def_GL_MAP1_TEXTURE_COORD_3           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_TEXTURE_COORD_3)); }
value def_GL_MAP1_TEXTURE_COORD_4           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_TEXTURE_COORD_4)); }
value def_GL_MAP1_VERTEX_3                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_VERTEX_3)); }
value def_GL_MAP1_VERTEX_4                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_VERTEX_4)); }
value def_GL_MAP2_COLOR_4                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_COLOR_4)); }
value def_GL_MAP2_INDEX                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_INDEX)); }
value def_GL_MAP2_NORMAL                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_NORMAL)); }
value def_GL_MAP2_TEXTURE_COORD_1           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_TEXTURE_COORD_1)); }
value def_GL_MAP2_TEXTURE_COORD_2           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_TEXTURE_COORD_2)); }
value def_GL_MAP2_TEXTURE_COORD_3           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_TEXTURE_COORD_3)); }
value def_GL_MAP2_TEXTURE_COORD_4           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_TEXTURE_COORD_4)); }
value def_GL_MAP2_VERTEX_3                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_VERTEX_3)); }
value def_GL_MAP2_VERTEX_4                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_VERTEX_4)); }
value def_GL_MAP1_GRID_DOMAIN               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_GRID_DOMAIN)); }
value def_GL_MAP1_GRID_SEGMENTS             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP1_GRID_SEGMENTS)); }
value def_GL_MAP2_GRID_DOMAIN               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_GRID_DOMAIN)); }
value def_GL_MAP2_GRID_SEGMENTS             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAP2_GRID_SEGMENTS)); }
value def_GL_TEXTURE_1D                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_1D)); }
value def_GL_TEXTURE_2D                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_2D)); }
value def_GL_FEEDBACK_BUFFER_POINTER        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FEEDBACK_BUFFER_POINTER)); }
value def_GL_FEEDBACK_BUFFER_SIZE           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FEEDBACK_BUFFER_SIZE)); }
value def_GL_FEEDBACK_BUFFER_TYPE           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FEEDBACK_BUFFER_TYPE)); }
value def_GL_SELECTION_BUFFER_POINTER       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SELECTION_BUFFER_POINTER)); }
value def_GL_SELECTION_BUFFER_SIZE          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SELECTION_BUFFER_SIZE)); }
/*      GL_TEXTURE_BINDING_1D */
/*      GL_TEXTURE_BINDING_2D */
/*      GL_VERTEX_ARRAY */
/*      GL_NORMAL_ARRAY */
/*      GL_COLOR_ARRAY */
/*      GL_INDEX_ARRAY */
/*      GL_TEXTURE_COORD_ARRAY */
/*      GL_EDGE_FLAG_ARRAY */
/*      GL_VERTEX_ARRAY_SIZE */
/*      GL_VERTEX_ARRAY_TYPE */
/*      GL_VERTEX_ARRAY_STRIDE */
/*      GL_NORMAL_ARRAY_TYPE */
/*      GL_NORMAL_ARRAY_STRIDE */
/*      GL_COLOR_ARRAY_SIZE */
/*      GL_COLOR_ARRAY_TYPE */
/*      GL_COLOR_ARRAY_STRIDE */
/*      GL_INDEX_ARRAY_TYPE */
/*      GL_INDEX_ARRAY_STRIDE */
/*      GL_TEXTURE_COORD_ARRAY_SIZE */
/*      GL_TEXTURE_COORD_ARRAY_TYPE */
/*      GL_TEXTURE_COORD_ARRAY_STRIDE */
/*      GL_EDGE_FLAG_ARRAY_STRIDE */
/*      GL_POLYGON_OFFSET_FACTOR */
/*      GL_POLYGON_OFFSET_UNITS */
/* GetTextureParameter */
/*      GL_TEXTURE_MAG_FILTER */
/*      GL_TEXTURE_MIN_FILTER */
/*      GL_TEXTURE_WRAP_S */
/*      GL_TEXTURE_WRAP_T */
value def_GL_TEXTURE_WIDTH                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_WIDTH)); }
value def_GL_TEXTURE_HEIGHT                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_HEIGHT)); }
value def_GL_TEXTURE_INTERNAL_FORMAT        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_INTERNAL_FORMAT)); }
value def_GL_TEXTURE_BORDER_COLOR           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_BORDER_COLOR)); }
value def_GL_TEXTURE_BORDER                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_BORDER)); }
/*      GL_TEXTURE_RED_SIZE */
/*      GL_TEXTURE_GREEN_SIZE */
/*      GL_TEXTURE_BLUE_SIZE */
/*      GL_TEXTURE_ALPHA_SIZE */
/*      GL_TEXTURE_LUMINANCE_SIZE */
/*      GL_TEXTURE_INTENSITY_SIZE */
/*      GL_TEXTURE_PRIORITY */
/*      GL_TEXTURE_RESIDENT */
/* HintMode */
value def_GL_DONT_CARE                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DONT_CARE)); }
value def_GL_FASTEST                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FASTEST)); }
value def_GL_NICEST                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NICEST)); }
/* HintTarget */
/*      GL_PERSPECTIVE_CORRECTION_HINT */
/*      GL_POINT_SMOOTH_HINT */
/*      GL_LINE_SMOOTH_HINT */
/*      GL_POLYGON_SMOOTH_HINT */
/*      GL_FOG_HINT */
/*      GL_PHONG_HINT */
/* IndexPointerType */
/*      GL_SHORT */
/*      GL_INT */
/*      GL_FLOAT */
/*      GL_DOUBLE */
/* LightModelParameter */
/*      GL_LIGHT_MODEL_AMBIENT */
/*      GL_LIGHT_MODEL_LOCAL_VIEWER */
/*      GL_LIGHT_MODEL_TWO_SIDE */
/* LightName */
value def_GL_LIGHT0                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT0)); }
value def_GL_LIGHT1                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT1)); }
value def_GL_LIGHT2                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT2)); }
value def_GL_LIGHT3                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT3)); }
value def_GL_LIGHT4                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT4)); }
value def_GL_LIGHT5                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT5)); }
value def_GL_LIGHT6                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT6)); }
value def_GL_LIGHT7                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LIGHT7)); }
/* LightParameter */
value def_GL_AMBIENT                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AMBIENT)); }
value def_GL_DIFFUSE                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DIFFUSE)); }
value def_GL_SPECULAR                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SPECULAR)); }
value def_GL_POSITION                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POSITION)); }
value def_GL_SPOT_DIRECTION                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SPOT_DIRECTION)); }
value def_GL_SPOT_EXPONENT                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SPOT_EXPONENT)); }
value def_GL_SPOT_CUTOFF                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SPOT_CUTOFF)); }
value def_GL_CONSTANT_ATTENUATION           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CONSTANT_ATTENUATION)); }
value def_GL_LINEAR_ATTENUATION             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINEAR_ATTENUATION)); }
value def_GL_QUADRATIC_ATTENUATION          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_QUADRATIC_ATTENUATION)); }
/* InterleavedArrays */
/*      GL_V2F */
/*      GL_V3F */
/*      GL_C4UB_V2F */
/*      GL_C4UB_V3F */
/*      GL_C3F_V3F */
/*      GL_N3F_V3F */
/*      GL_C4F_N3F_V3F */
/*      GL_T2F_V3F */
/*      GL_T4F_V4F */
/*      GL_T2F_C4UB_V3F */
/*      GL_T2F_C3F_V3F */
/*      GL_T2F_N3F_V3F */
/*      GL_T2F_C4F_N3F_V3F */
/*      GL_T4F_C4F_N3F_V4F */
/* ListMode */
value def_GL_COMPILE                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COMPILE)); }
value def_GL_COMPILE_AND_EXECUTE            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COMPILE_AND_EXECUTE)); }
/* ListNameType */
/*      GL_BYTE */
/*      GL_UNSIGNED_BYTE */
/*      GL_SHORT */
/*      GL_UNSIGNED_SHORT */
/*      GL_INT */
/*      GL_UNSIGNED_INT */
/*      GL_FLOAT */
/*      GL_2_BYTES */
/*      GL_3_BYTES */
/*      GL_4_BYTES */
/* LogicOp */
value def_GL_CLEAR                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLEAR)); }
value def_GL_AND                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AND)); }
value def_GL_AND_REVERSE                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AND_REVERSE)); }
value def_GL_COPY                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COPY)); }
value def_GL_AND_INVERTED                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AND_INVERTED)); }
value def_GL_NOOP                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NOOP)); }
value def_GL_XOR                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_XOR)); }
value def_GL_OR                             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_OR)); }
value def_GL_NOR                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NOR)); }
value def_GL_EQUIV                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EQUIV)); }
value def_GL_INVERT                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INVERT)); }
value def_GL_OR_REVERSE                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_OR_REVERSE)); }
value def_GL_COPY_INVERTED                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COPY_INVERTED)); }
value def_GL_OR_INVERTED                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_OR_INVERTED)); }
value def_GL_NAND                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NAND)); }
value def_GL_SET                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SET)); }
/* MapTarget */
/*      GL_MAP1_COLOR_4 */
/*      GL_MAP1_INDEX */
/*      GL_MAP1_NORMAL */
/*      GL_MAP1_TEXTURE_COORD_1 */
/*      GL_MAP1_TEXTURE_COORD_2 */
/*      GL_MAP1_TEXTURE_COORD_3 */
/*      GL_MAP1_TEXTURE_COORD_4 */
/*      GL_MAP1_VERTEX_3 */
/*      GL_MAP1_VERTEX_4 */
/*      GL_MAP2_COLOR_4 */
/*      GL_MAP2_INDEX */
/*      GL_MAP2_NORMAL */
/*      GL_MAP2_TEXTURE_COORD_1 */
/*      GL_MAP2_TEXTURE_COORD_2 */
/*      GL_MAP2_TEXTURE_COORD_3 */
/*      GL_MAP2_TEXTURE_COORD_4 */
/*      GL_MAP2_VERTEX_3 */
/*      GL_MAP2_VERTEX_4 */
/* MaterialFace */
/*      GL_FRONT */
/*      GL_BACK */
/*      GL_FRONT_AND_BACK */
/* MaterialParameter */
value def_GL_EMISSION                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EMISSION)); }
value def_GL_SHININESS                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SHININESS)); }
value def_GL_AMBIENT_AND_DIFFUSE            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_AMBIENT_AND_DIFFUSE)); }
value def_GL_COLOR_INDEXES                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_INDEXES)); }
/*      GL_AMBIENT */
/*      GL_DIFFUSE */
/*      GL_SPECULAR */
/* MatrixMode */
value def_GL_MODELVIEW                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MODELVIEW)); }
value def_GL_PROJECTION                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PROJECTION)); }
value def_GL_TEXTURE                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE)); }
/* MeshMode1 */
/*      GL_POINT */
/*      GL_LINE */
/* MeshMode2 */
/*      GL_POINT */
/*      GL_LINE */
/*      GL_FILL */
/* NormalPointerType */
/*      GL_BYTE */
/*      GL_SHORT */
/*      GL_INT */
/*      GL_FLOAT */
/*      GL_DOUBLE */
/* PixelCopyType */
value def_GL_COLOR                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR)); }
value def_GL_DEPTH                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH)); }
value def_GL_STENCIL                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL)); }
/* PixelFormat */
value def_GL_COLOR_INDEX                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_INDEX)); }
value def_GL_STENCIL_INDEX                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_STENCIL_INDEX)); }
value def_GL_DEPTH_COMPONENT                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DEPTH_COMPONENT)); }
value def_GL_RED                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RED)); }
value def_GL_GREEN                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_GREEN)); }
value def_GL_BLUE                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BLUE)); }
value def_GL_ALPHA                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA)); }
value def_GL_RGB                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGB)); }
value def_GL_RGBA                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGBA)); }
value def_GL_LUMINANCE                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE)); }
value def_GL_LUMINANCE_ALPHA                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE_ALPHA)); }
/* PixelMap */
/*      GL_PIXEL_MAP_I_TO_I */
/*      GL_PIXEL_MAP_S_TO_S */
/*      GL_PIXEL_MAP_I_TO_R */
/*      GL_PIXEL_MAP_I_TO_G */
/*      GL_PIXEL_MAP_I_TO_B */
/*      GL_PIXEL_MAP_I_TO_A */
/*      GL_PIXEL_MAP_R_TO_R */
/*      GL_PIXEL_MAP_G_TO_G */
/*      GL_PIXEL_MAP_B_TO_B */
/*      GL_PIXEL_MAP_A_TO_A */
/* PixelStore */
/*      GL_UNPACK_SWAP_BYTES */
/*      GL_UNPACK_LSB_FIRST */
/*      GL_UNPACK_ROW_LENGTH */
/*      GL_UNPACK_SKIP_ROWS */
/*      GL_UNPACK_SKIP_PIXELS */
/*      GL_UNPACK_ALIGNMENT */
/*      GL_PACK_SWAP_BYTES */
/*      GL_PACK_LSB_FIRST */
/*      GL_PACK_ROW_LENGTH */
/*      GL_PACK_SKIP_ROWS */
/*      GL_PACK_SKIP_PIXELS */
/*      GL_PACK_ALIGNMENT */
/* PixelTransfer */
/*      GL_MAP_COLOR */
/*      GL_MAP_STENCIL */
/*      GL_INDEX_SHIFT */
/*      GL_INDEX_OFFSET */
/*      GL_RED_SCALE */
/*      GL_RED_BIAS */
/*      GL_GREEN_SCALE */
/*      GL_GREEN_BIAS */
/*      GL_BLUE_SCALE */
/*      GL_BLUE_BIAS */
/*      GL_ALPHA_SCALE */
/*      GL_ALPHA_BIAS */
/*      GL_DEPTH_SCALE */
/*      GL_DEPTH_BIAS */
/* PixelType */
value def_GL_BITMAP                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BITMAP)); }
/*      GL_BYTE */
/*      GL_UNSIGNED_BYTE */
/*      GL_SHORT */
/*      GL_UNSIGNED_SHORT */
/*      GL_INT */
/*      GL_UNSIGNED_INT */
/*      GL_FLOAT */
/* PolygonMode */
value def_GL_POINT                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POINT)); }
value def_GL_LINE                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINE)); }
value def_GL_FILL                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FILL)); }
/* ReadBufferMode */
/*      GL_FRONT_LEFT */
/*      GL_FRONT_RIGHT */
/*      GL_BACK_LEFT */
/*      GL_BACK_RIGHT */
/*      GL_FRONT */
/*      GL_BACK */
/*      GL_LEFT */
/*      GL_RIGHT */
/*      GL_AUX0 */
/*      GL_AUX1 */
/*      GL_AUX2 */
/*      GL_AUX3 */
/* RenderingMode */
value def_GL_RENDER                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RENDER)); }
value def_GL_FEEDBACK                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FEEDBACK)); }
value def_GL_SELECT                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SELECT)); }
/* ShadingModel */
value def_GL_FLAT                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FLAT)); }
value def_GL_SMOOTH                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SMOOTH)); }
/* StencilFunction */
/*      GL_NEVER */
/*      GL_LESS */
/*      GL_EQUAL */
/*      GL_LEQUAL */
/*      GL_GREATER */
/*      GL_NOTEQUAL */
/*      GL_GEQUAL */
/*      GL_ALWAYS */
/* StencilOp */
/*      GL_ZERO */
value def_GL_KEEP                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_KEEP)); }
value def_GL_REPLACE                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_REPLACE)); }
value def_GL_INCR                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INCR)); }
value def_GL_DECR                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DECR)); }
/*      GL_INVERT */
/* StringName */
value def_GL_VENDOR                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VENDOR)); }
value def_GL_RENDERER                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RENDERER)); }
value def_GL_VERSION                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERSION)); }
value def_GL_EXTENSIONS                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EXTENSIONS)); }
/* TextureCoordName */
value def_GL_S                              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_S)); }
value def_GL_T                              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_T)); }
value def_GL_R                              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_R)); }
value def_GL_Q                              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_Q)); }
/* TexCoordPointerType */
/*      GL_SHORT */
/*      GL_INT */
/*      GL_FLOAT */
/*      GL_DOUBLE */
/* TextureEnvMode */
value def_GL_MODULATE                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MODULATE)); }
value def_GL_DECAL                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DECAL)); }
/*      GL_BLEND */
/*      GL_REPLACE */
/* TextureEnvParameter */
value def_GL_TEXTURE_ENV_MODE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_ENV_MODE)); }
value def_GL_TEXTURE_ENV_COLOR              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_ENV_COLOR)); }
/* TextureEnvTarget */
value def_GL_TEXTURE_ENV                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_ENV)); }
/* TextureGenMode */
value def_GL_EYE_LINEAR                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EYE_LINEAR)); }
value def_GL_OBJECT_LINEAR                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_OBJECT_LINEAR)); }
value def_GL_SPHERE_MAP                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_SPHERE_MAP)); }
/* TextureGenParameter */
value def_GL_TEXTURE_GEN_MODE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_GEN_MODE)); }
value def_GL_OBJECT_PLANE                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_OBJECT_PLANE)); }
value def_GL_EYE_PLANE                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EYE_PLANE)); }
/* TextureMagFilter */
value def_GL_NEAREST                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NEAREST)); }
value def_GL_LINEAR                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINEAR)); }
/* TextureMinFilter */
/*      GL_NEAREST */
/*      GL_LINEAR */
value def_GL_NEAREST_MIPMAP_NEAREST         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NEAREST_MIPMAP_NEAREST)); }
value def_GL_LINEAR_MIPMAP_NEAREST          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINEAR_MIPMAP_NEAREST)); }
value def_GL_NEAREST_MIPMAP_LINEAR          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NEAREST_MIPMAP_LINEAR)); }
value def_GL_LINEAR_MIPMAP_LINEAR           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LINEAR_MIPMAP_LINEAR)); }
/* TextureParameterName */
value def_GL_TEXTURE_MAG_FILTER             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_MAG_FILTER)); }
value def_GL_TEXTURE_MIN_FILTER             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_MIN_FILTER)); }
value def_GL_TEXTURE_WRAP_S                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_WRAP_S)); }
value def_GL_TEXTURE_WRAP_T                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_WRAP_T)); }
/*      GL_TEXTURE_BORDER_COLOR */
/*      GL_TEXTURE_PRIORITY */
/* TextureTarget */
/*      GL_TEXTURE_1D */
/*      GL_TEXTURE_2D */
/*      GL_PROXY_TEXTURE_1D */
/*      GL_PROXY_TEXTURE_2D */
/* TextureWrapMode */
value def_GL_CLAMP                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLAMP)); }
value def_GL_REPEAT                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_REPEAT)); }
/* VertexPointerType */
/*      GL_SHORT */
/*      GL_INT */
/*      GL_FLOAT */
/*      GL_DOUBLE */
/* ClientAttribMask */
value def_GL_CLIENT_PIXEL_STORE_BIT         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLIENT_PIXEL_STORE_BIT)); }
value def_GL_CLIENT_VERTEX_ARRAY_BIT        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLIENT_VERTEX_ARRAY_BIT)); }
value def_GL_CLIENT_ALL_ATTRIB_BITS         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_CLIENT_ALL_ATTRIB_BITS)); }
/* polygon_offset */
value def_GL_POLYGON_OFFSET_FACTOR          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_OFFSET_FACTOR)); }
value def_GL_POLYGON_OFFSET_UNITS           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_OFFSET_UNITS)); }
value def_GL_POLYGON_OFFSET_POINT           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_OFFSET_POINT)); }
value def_GL_POLYGON_OFFSET_LINE            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_OFFSET_LINE)); }
value def_GL_POLYGON_OFFSET_FILL            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_POLYGON_OFFSET_FILL)); }
/* texture */
value def_GL_ALPHA4                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA4)); }
value def_GL_ALPHA8                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA8)); }
value def_GL_ALPHA12                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA12)); }
value def_GL_ALPHA16                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_ALPHA16)); }
value def_GL_LUMINANCE4                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE4)); }
value def_GL_LUMINANCE8                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE8)); }
value def_GL_LUMINANCE12                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE12)); }
value def_GL_LUMINANCE16                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE16)); }
value def_GL_LUMINANCE4_ALPHA4              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE4_ALPHA4)); }
value def_GL_LUMINANCE6_ALPHA2              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE6_ALPHA2)); }
value def_GL_LUMINANCE8_ALPHA8              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE8_ALPHA8)); }
value def_GL_LUMINANCE12_ALPHA4             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE12_ALPHA4)); }
value def_GL_LUMINANCE12_ALPHA12            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE12_ALPHA12)); }
value def_GL_LUMINANCE16_ALPHA16            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_LUMINANCE16_ALPHA16)); }
value def_GL_INTENSITY                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INTENSITY)); }
value def_GL_INTENSITY4                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INTENSITY4)); }
value def_GL_INTENSITY8                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INTENSITY8)); }
value def_GL_INTENSITY12                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INTENSITY12)); }
value def_GL_INTENSITY16                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INTENSITY16)); }
value def_GL_R3_G3_B2                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_R3_G3_B2)); }
value def_GL_RGB4                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGB4)); }
value def_GL_RGB5                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGB5)); }
value def_GL_RGB8                           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGB8)); }
value def_GL_RGB10                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGB10)); }
value def_GL_RGB12                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGB12)); }
value def_GL_RGB16                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGB16)); }
value def_GL_RGBA2                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGBA2)); }
value def_GL_RGBA4                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGBA4)); }
value def_GL_RGB5_A1                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGB5_A1)); }
value def_GL_RGBA8                          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGBA8)); }
value def_GL_RGB10_A2                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGB10_A2)); }
value def_GL_RGBA12                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGBA12)); }
value def_GL_RGBA16                         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_RGBA16)); }
value def_GL_TEXTURE_RED_SIZE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_RED_SIZE)); }
value def_GL_TEXTURE_GREEN_SIZE             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_GREEN_SIZE)); }
value def_GL_TEXTURE_BLUE_SIZE              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_BLUE_SIZE)); }
value def_GL_TEXTURE_ALPHA_SIZE             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_ALPHA_SIZE)); }
value def_GL_TEXTURE_LUMINANCE_SIZE         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_LUMINANCE_SIZE)); }
value def_GL_TEXTURE_INTENSITY_SIZE         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_INTENSITY_SIZE)); }
value def_GL_PROXY_TEXTURE_1D               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PROXY_TEXTURE_1D)); }
value def_GL_PROXY_TEXTURE_2D               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PROXY_TEXTURE_2D)); }
/* texture_object */
value def_GL_TEXTURE_PRIORITY               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_PRIORITY)); }
value def_GL_TEXTURE_RESIDENT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_RESIDENT)); }
value def_GL_TEXTURE_BINDING_1D             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_BINDING_1D)); }
value def_GL_TEXTURE_BINDING_2D             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_BINDING_2D)); }
/* vertex_array */
value def_GL_VERTEX_ARRAY                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY)); }
value def_GL_NORMAL_ARRAY                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NORMAL_ARRAY)); }
value def_GL_COLOR_ARRAY                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY)); }
value def_GL_INDEX_ARRAY                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_ARRAY)); }
value def_GL_TEXTURE_COORD_ARRAY            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY)); }
value def_GL_EDGE_FLAG_ARRAY                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EDGE_FLAG_ARRAY)); }
value def_GL_VERTEX_ARRAY_SIZE              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY_SIZE)); }
value def_GL_VERTEX_ARRAY_TYPE              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY_TYPE)); }
value def_GL_VERTEX_ARRAY_STRIDE            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY_STRIDE)); }
value def_GL_NORMAL_ARRAY_TYPE              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NORMAL_ARRAY_TYPE)); }
value def_GL_NORMAL_ARRAY_STRIDE            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NORMAL_ARRAY_STRIDE)); }
value def_GL_COLOR_ARRAY_SIZE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY_SIZE)); }
value def_GL_COLOR_ARRAY_TYPE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY_TYPE)); }
value def_GL_COLOR_ARRAY_STRIDE             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY_STRIDE)); }
value def_GL_INDEX_ARRAY_TYPE               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_ARRAY_TYPE)); }
value def_GL_INDEX_ARRAY_STRIDE             (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_ARRAY_STRIDE)); }
value def_GL_TEXTURE_COORD_ARRAY_SIZE       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY_SIZE)); }
value def_GL_TEXTURE_COORD_ARRAY_TYPE       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY_TYPE)); }
value def_GL_TEXTURE_COORD_ARRAY_STRIDE     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY_STRIDE)); }
value def_GL_EDGE_FLAG_ARRAY_STRIDE         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EDGE_FLAG_ARRAY_STRIDE)); }
value def_GL_VERTEX_ARRAY_POINTER           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY_POINTER)); }
value def_GL_NORMAL_ARRAY_POINTER           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NORMAL_ARRAY_POINTER)); }
value def_GL_COLOR_ARRAY_POINTER            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY_POINTER)); }
value def_GL_INDEX_ARRAY_POINTER            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_ARRAY_POINTER)); }
value def_GL_TEXTURE_COORD_ARRAY_POINTER    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY_POINTER)); }
value def_GL_EDGE_FLAG_ARRAY_POINTER        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EDGE_FLAG_ARRAY_POINTER)); }
value def_GL_V2F                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_V2F)); }
value def_GL_V3F                            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_V3F)); }
value def_GL_C4UB_V2F                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_C4UB_V2F)); }
value def_GL_C4UB_V3F                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_C4UB_V3F)); }
value def_GL_C3F_V3F                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_C3F_V3F)); }
value def_GL_N3F_V3F                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_N3F_V3F)); }
value def_GL_C4F_N3F_V3F                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_C4F_N3F_V3F)); }
value def_GL_T2F_V3F                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_T2F_V3F)); }
value def_GL_T4F_V4F                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_T4F_V4F)); }
value def_GL_T2F_C4UB_V3F                   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_T2F_C4UB_V3F)); }
value def_GL_T2F_C3F_V3F                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_T2F_C3F_V3F)); }
value def_GL_T2F_N3F_V3F                    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_T2F_N3F_V3F)); }
value def_GL_T2F_C4F_N3F_V3F                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_T2F_C4F_N3F_V3F)); }
value def_GL_T4F_C4F_N3F_V4F                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_T4F_C4F_N3F_V4F)); }
/* Extensions */
value def_GL_EXT_vertex_array               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EXT_vertex_array)); }
value def_GL_EXT_bgra                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EXT_bgra)); }
value def_GL_EXT_paletted_texture           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EXT_paletted_texture)); }
#ifdef _WIN32
value def_GL_WIN_swap_hint                  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_WIN_swap_hint)); }
value def_GL_WIN_draw_range_elements        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_WIN_draw_range_elements)); }
// #define GL_WIN_phong_shading              1
// #define GL_WIN_specular_fog               1
#endif//_WIN32
/* EXT_vertex_array */
value def_GL_VERTEX_ARRAY_EXT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY_EXT)); }
value def_GL_NORMAL_ARRAY_EXT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NORMAL_ARRAY_EXT)); }
value def_GL_COLOR_ARRAY_EXT                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY_EXT)); }
value def_GL_INDEX_ARRAY_EXT                (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_ARRAY_EXT)); }
value def_GL_TEXTURE_COORD_ARRAY_EXT        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY_EXT)); }
value def_GL_EDGE_FLAG_ARRAY_EXT            (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EDGE_FLAG_ARRAY_EXT)); }
value def_GL_VERTEX_ARRAY_SIZE_EXT          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY_SIZE_EXT)); }
value def_GL_VERTEX_ARRAY_TYPE_EXT          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY_TYPE_EXT)); }
value def_GL_VERTEX_ARRAY_STRIDE_EXT        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY_STRIDE_EXT)); }
value def_GL_VERTEX_ARRAY_COUNT_EXT         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY_COUNT_EXT)); }
value def_GL_NORMAL_ARRAY_TYPE_EXT          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NORMAL_ARRAY_TYPE_EXT)); }
value def_GL_NORMAL_ARRAY_STRIDE_EXT        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NORMAL_ARRAY_STRIDE_EXT)); }
value def_GL_NORMAL_ARRAY_COUNT_EXT         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NORMAL_ARRAY_COUNT_EXT)); }
value def_GL_COLOR_ARRAY_SIZE_EXT           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY_SIZE_EXT)); }
value def_GL_COLOR_ARRAY_TYPE_EXT           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY_TYPE_EXT)); }
value def_GL_COLOR_ARRAY_STRIDE_EXT         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY_STRIDE_EXT)); }
value def_GL_COLOR_ARRAY_COUNT_EXT          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY_COUNT_EXT)); }
value def_GL_INDEX_ARRAY_TYPE_EXT           (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_ARRAY_TYPE_EXT)); }
value def_GL_INDEX_ARRAY_STRIDE_EXT         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_ARRAY_STRIDE_EXT)); }
value def_GL_INDEX_ARRAY_COUNT_EXT          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_ARRAY_COUNT_EXT)); }
value def_GL_TEXTURE_COORD_ARRAY_SIZE_EXT   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY_SIZE_EXT)); }
value def_GL_TEXTURE_COORD_ARRAY_TYPE_EXT   (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY_TYPE_EXT)); }
value def_GL_TEXTURE_COORD_ARRAY_STRIDE_EXT (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY_STRIDE_EXT)); }
value def_GL_TEXTURE_COORD_ARRAY_COUNT_EXT  (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY_COUNT_EXT)); }
value def_GL_EDGE_FLAG_ARRAY_STRIDE_EXT     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EDGE_FLAG_ARRAY_STRIDE_EXT)); }
value def_GL_EDGE_FLAG_ARRAY_COUNT_EXT      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EDGE_FLAG_ARRAY_COUNT_EXT)); }
value def_GL_VERTEX_ARRAY_POINTER_EXT       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_VERTEX_ARRAY_POINTER_EXT)); }
value def_GL_NORMAL_ARRAY_POINTER_EXT       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_NORMAL_ARRAY_POINTER_EXT)); }
value def_GL_COLOR_ARRAY_POINTER_EXT        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_ARRAY_POINTER_EXT)); }
value def_GL_INDEX_ARRAY_POINTER_EXT        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_INDEX_ARRAY_POINTER_EXT)); }
value def_GL_TEXTURE_COORD_ARRAY_POINTER_EXT(value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_TEXTURE_COORD_ARRAY_POINTER_EXT)); }
value def_GL_EDGE_FLAG_ARRAY_POINTER_EXT    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_EDGE_FLAG_ARRAY_POINTER_EXT)); }
#ifdef _WIN32
value def_GL_DOUBLE_EXT                     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_DOUBLE_EXT)); }
#endif//_WIN32
/* EXT_bgra */
value def_GL_BGR_EXT                        (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BGR_EXT)); }
value def_GL_BGRA_EXT                       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_BGRA_EXT)); }
/* EXT_paletted_texture */
/* These must match the GL_COLOR_TABLE_*_SGI enumerants */
#ifdef _WIN32
value def_GL_COLOR_TABLE_FORMAT_EXT         (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_TABLE_FORMAT_EXT)); }
value def_GL_COLOR_TABLE_WIDTH_EXT          (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_TABLE_WIDTH_EXT)); }
value def_GL_COLOR_TABLE_RED_SIZE_EXT       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_TABLE_RED_SIZE_EXT)); }
value def_GL_COLOR_TABLE_GREEN_SIZE_EXT     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_TABLE_GREEN_SIZE_EXT)); }
value def_GL_COLOR_TABLE_BLUE_SIZE_EXT      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_TABLE_BLUE_SIZE_EXT)); }
value def_GL_COLOR_TABLE_ALPHA_SIZE_EXT     (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_TABLE_ALPHA_SIZE_EXT)); }
value def_GL_COLOR_TABLE_LUMINANCE_SIZE_EXT (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_TABLE_LUMINANCE_SIZE_EXT)); }
value def_GL_COLOR_TABLE_INTENSITY_SIZE_EXT (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_TABLE_INTENSITY_SIZE_EXT)); }
#endif//_WIN32
value def_GL_COLOR_INDEX1_EXT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_INDEX1_EXT)); }
value def_GL_COLOR_INDEX2_EXT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_INDEX2_EXT)); }
value def_GL_COLOR_INDEX4_EXT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_INDEX4_EXT)); }
value def_GL_COLOR_INDEX8_EXT               (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_INDEX8_EXT)); }
value def_GL_COLOR_INDEX12_EXT              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_INDEX12_EXT)); }
value def_GL_COLOR_INDEX16_EXT              (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_COLOR_INDEX16_EXT)); }
#ifdef _WIN32
/* WIN_draw_range_elements */
value def_GL_MAX_ELEMENTS_VERTICES_WIN      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_ELEMENTS_VERTICES_WIN)); }
value def_GL_MAX_ELEMENTS_INDICES_WIN       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_MAX_ELEMENTS_INDICES_WIN)); }
/* WIN_phong_shading */
value def_GL_PHONG_WIN                      (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PHONG_WIN)); }
value def_GL_PHONG_HINT_WIN                 (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_PHONG_HINT_WIN)); }
/* WIN_specular_fog */
value def_GL_FOG_SPECULAR_TEXTURE_WIN       (value v) { CAMLparam1(v); CAMLreturn(Val_int(GL_FOG_SPECULAR_TEXTURE_WIN)); }
#endif//_WIN32

value Accum(value op, value v)
{
	CAMLparam2(op,v);
	glAccum(Int_val(op), Double_val(v));
	CAMLreturn(Val_unit);
}
value AlphaFunc (value func, value ref)
{
	CAMLparam2(func,ref);
	glAlphaFunc(Int_val(func), Double_val(ref));
	CAMLreturn(Val_unit);
}
value AreTexturesResident(value n, value textures, value residences)
{
	GLuint* uip; GLboolean* bp; int* ip; int i; int m;
	CAMLparam3(n,textures,residences);
	m = Int_val(n);
	uip = (GLuint*)textures;
	bp = malloc(sizeof(GLboolean)*m);
	for (i=0; i<m; i++) uip[i]=Int_val(uip[i]);
	glAreTexturesResident(m, uip, bp);
	ip = (int*)residences;
	for (i=0; i<m; i++) ip[i]=Val_int(bp[i]);
	free(bp);
	CAMLreturn(residences);
}
value ArrayElement(value i)
{
	CAMLparam1(i);
	glArrayElement(Int_val(i));
	CAMLreturn(Val_unit);
}
value Begin(value mode)
{
	CAMLparam1(mode);
	glBegin(Int_val(mode));
	CAMLreturn(Val_unit);
}
value BindTexture(value target, value texture)
{
	CAMLparam2(target,texture);
	glBindTexture (Int_val(target), Int_val(texture));
	CAMLreturn(Val_unit);
}
value Bitmap(value width, value height, value xorig, value yorig, value xmove, value ymove, value bitmap)
{
	glBitmap(Int_val(width), Int_val(height), Double_val(xorig), Double_val(yorig), Double_val(xmove), Double_val(ymove), (const GLubyte*)bitmap);
	return Val_unit;
} value Bitmap_(value* vs, int n) { return Bitmap(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5],vs[6]); }
value BlendFunc(value sfactor, value dfactor)
{
	CAMLparam2(sfactor,dfactor);
	glBlendFunc(Int_val(sfactor),Int_val(dfactor));
	CAMLreturn(Val_unit);
}
value CallList(value list)
{
	CAMLparam1(list);
	glCallList(Int_val(list));
	CAMLreturn(Val_unit);
}
value CallLists(value n, value lists)
{
	CAMLparam2(n, lists);
	glCallLists(Int_val(n), GL_DOUBLE, (const GLvoid*)lists);
	CAMLreturn(Val_unit);
}
value Clear(value mask)
{
	CAMLparam1(mask);
	glClear(Int_val(mask));
	CAMLreturn(Val_unit);
}
value ClearAccum(value red, value green, value blue, value alpha)
{
	CAMLparam4(red,green,blue,alpha);
	glClearAccum(Double_val(red), Double_val(green), Double_val(blue), Double_val(alpha));
	CAMLreturn(Val_unit);
}
value ClearColor (value red, value green, value blue, value alpha)
{
	CAMLparam4(red,green,blue,alpha);
	glClearColor(Double_val(red), Double_val(green), Double_val(blue), Double_val(alpha));
	CAMLreturn(Val_unit);
}
value ClearDepth (value depth)
{
	CAMLparam1(depth);
	glClearDepth(Double_val(depth));
	CAMLreturn(Val_unit);
}
value ClearIndex (value c)
{
	CAMLparam1(c);
	glClearIndex(Double_val(c));
	CAMLreturn(Val_unit);
}
value ClearStencil (value s)
{
	CAMLparam1(s);
	glClearStencil(Int_val(s));
	CAMLreturn(Val_unit);
}
value ClipPlane(value plane, value equation)
{
	CAMLparam2(plane,equation);
	glClipPlane(Int_val(plane), (const GLdouble*)equation); // vs double*4 pointer
	CAMLreturn(Val_unit);
}
value Color3(value red, value green, value blue)
{
	CAMLparam3(red,green,blue);
	glColor3d(Double_val(red), Double_val(green), Double_val(blue));
	CAMLreturn(Val_unit);
}
value Color4(value red, value green, value blue, value alpha)
{
	CAMLparam4(red,green,blue,alpha);
	glColor4d(Double_val(red), Double_val(green), Double_val(blue), Double_val(alpha));
	CAMLreturn(Val_unit);
}
value ColorMask (value red, value green, value blue, value alpha)
{
	CAMLparam4(red, green, blue, alpha);
	glColorMask (Int_val(red), Int_val(green), Int_val(blue), Int_val(alpha));
	CAMLreturn(Val_unit);
}
value ColorMaterial(value face, value mode)
{
	CAMLparam2(face, mode);
	glColorMaterial(Int_val(face), Int_val(mode));
	CAMLreturn(Val_unit);
}
value ColorPointer3(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glColorPointer(3, GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs double*3 pointer
	CAMLreturn(Val_unit);
}
value ColorPointer4(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glColorPointer(4, GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs double*4 pointer
	CAMLreturn(Val_unit);
}
value CopyPixels(value x, value y, value width, value height, value type)
{
	CAMLparam5(x,y,width,height,type);
	glCopyPixels(Int_val(x), Int_val(y), Int_val(width), Int_val(height), Int_val(type));
	CAMLreturn(Val_unit);
}
value CopyTexImage1D(value level, value internalFormat, value x, value y, value width, value border)
{
	glCopyTexImage1D(GL_TEXTURE_1D, Int_val(level), Int_val(internalFormat), Int_val(x), Int_val(y), Int_val(width), Int_val(border));
	return Val_unit;
} value CopyTexImage1D_(value *vs, int n) { return CopyTexImage1D(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5]); }
value CopyTexImage2D(value level, value internalFormat, value x, value y, value width, value height, value border)
{
	glCopyTexImage2D(GL_TEXTURE_2D, Int_val(level), Int_val(internalFormat), Int_val(x), Int_val(y), Int_val(width), Int_val(height), Int_val(border));
	return Val_unit;
} value CopyTexImage2D_(value *vs, int n) { return CopyTexImage2D(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5],vs[6]); }
value CopyTexSubImage1D(value level, value xoffset, value x, value y, value width)
{
	CAMLparam5(level,xoffset,x,y,width);
	glCopyTexSubImage1D(GL_TEXTURE_1D, Int_val(level), Int_val(xoffset), Int_val(x), Int_val(y), Int_val(width));
	CAMLreturn(Val_unit);
}
value CopyTexSubImage2D(value level, value xoffset, value yoffset, value x, value y, value width, value height)
{
	glCopyTexSubImage2D(GL_TEXTURE_2D, Int_val(level), Int_val(xoffset), Int_val(yoffset), Int_val(x), Int_val(y), Int_val(width), Int_val(height));
	return Val_unit;
} value CopyTexSubImage2D_(value *vs, int n) { return CopyTexSubImage2D(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5],vs[6]); }
value CullFace(value mode)
{
	CAMLparam1(mode);
	glCullFace(Int_val(mode));
	CAMLreturn(Val_unit);
}
value DeleteLists(value list, value range)
{
	CAMLparam2(list,range);
	glDeleteLists (Int_val(list), Int_val(range));
	CAMLreturn(Val_unit);
}
value DeleteTextures(value n, value textures)
{
	GLuint* uip; int m; int i;
	CAMLparam2(n,textures);
	m = Int_val(n);
	uip = (GLuint*)textures;
	for (i=0; i<m; i++) uip[i]=Int_val(uip[i]);
	glDeleteTextures(m, uip);
	CAMLreturn(Val_unit);
}
value DepthFunc(value func)
{
	CAMLparam1(func);
	glDepthFunc(Int_val(func));
	CAMLreturn(Val_unit);
}
value DepthMask(value flag)
{
	CAMLparam1(flag);
	glDepthMask (Int_val(flag));
	CAMLreturn(Val_unit);
}
value DepthRange(value zNear, value zFar)
{
	CAMLparam2(zNear,zFar);
	glDepthRange(Double_val(zNear), Double_val(zFar));
	CAMLreturn(Val_unit);
}
value Disable(value cap)
{
	CAMLparam1(cap);
	glDisable(Int_val(cap));
	CAMLreturn(Val_unit);
}
value DisableClientState(value array)
{
	CAMLparam1(array);
	glDisableClientState(Int_val(array));
	CAMLreturn(Val_unit);
}
value DrawArrays(value mode, value first, value count)
{
	CAMLparam3(mode,first,count);
	glDrawArrays(Int_val(mode), Int_val(first), Int_val(count));
	CAMLreturn(Val_unit);
}
value DrawBuffer(value mode)
{
	CAMLparam1(mode);
	glDrawBuffer(Int_val(mode));
	CAMLreturn(Val_unit);
}
value DrawElements(value mode, value count, value indices)
{
	CAMLparam3(mode, count, indices);
	glDrawElements(Int_val(mode), Int_val(count), GL_DOUBLE, (const GLvoid *)indices);
	CAMLreturn(Val_unit);
}
value DrawPixels(value width, value height, value format, value type, value pixels)
{
	CAMLparam5(width,height,format,type,pixels);
	glDrawPixels(Int_val(width), Int_val(height), Int_val(format), Int_val(type), (const GLvoid *)pixels);
	CAMLreturn(Val_unit);
}
value EdgeFlag(value flag)
{
	CAMLparam1(flag);
	glEdgeFlag(Int_val(flag));
	CAMLreturn(Val_unit);
}
value EdgeFlagPointer(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glEdgeFlagPointer(Int_val(stride), (const GLvoid*)vs); // vs boolean pointer
	CAMLreturn(Val_unit);
}
value Enable(value cap)
{
	CAMLparam1(cap);
	glEnable(Int_val(cap));
	CAMLreturn(Val_unit);
}
value EnableClientState(value array)
{
	CAMLparam1(array);
	glEnableClientState(Int_val(array));
	CAMLreturn(Val_unit);
}
value End(value v)
{
	CAMLparam1(v);
	glEnd();
	CAMLreturn(Val_unit);
}
value EndList(value v)
{
	CAMLparam1(v);
	glEndList();
	CAMLreturn(Val_unit);
}
value EvalCoord1d(value u)
{
	CAMLparam1(u);
	glEvalCoord1d(Double_val(u));
	CAMLreturn(Val_unit);
}
value EvalCoord2d(value u, value v)
{
	CAMLparam2(u,v);
	glEvalCoord2d(Double_val(u), Double_val(v));
	CAMLreturn(Val_unit);
}
value EvalMesh1(value mode, value i1, value i2)
{
	CAMLparam3(mode,i1,i2);
	glEvalMesh1(Int_val(mode), Int_val(i1), Int_val(i2));
	CAMLreturn(Val_unit);
}
value EvalMesh2(value mode, value i1, value i2, value j1, value j2)
{
	CAMLparam5(mode,i1,i2,j1,j2);
	glEvalMesh2(Int_val(mode), Int_val(i1), Int_val(i2), Int_val(j1), Int_val(j2));
	CAMLreturn(Val_unit);
}
value EvalPoint1(value i)
{
	CAMLparam1(i);
	glEvalPoint1(Int_val(i));
	CAMLreturn(Val_unit);
}
value EvalPoint2(value i, value j)
{
	CAMLparam2(i,j);
	glEvalPoint2(Int_val(i), Int_val(j));
	CAMLreturn(Val_unit);
}
value FeedbackBuffer(value size, value type, value buffer) // 迭  ϴ string  Ͽٸ ...
{
	CAMLparam3(size, type, buffer);
	glFeedbackBuffer(Int_val(size)/sizeof(GLfloat), Int_val(type), (GLfloat*)buffer);
	CAMLreturn(Val_unit);
}
value Finish(value v)
{
	CAMLparam1(v);
	glFinish();
	CAMLreturn(Val_unit);
}
value Flush(value v)
{
	CAMLparam1(v);
	glFlush();
	CAMLreturn(Val_unit);
}
value Fogf(value pname, value param)
{
	CAMLparam2(pname,param);
	glFogf(Int_val(pname), Double_val(param));
	CAMLreturn(Val_unit);
}
value Fogi(value pname, value param)
{
	CAMLparam2(pname,param);
	glFogi(Int_val(pname), Int_val(param));
	CAMLreturn(Val_unit);
}
value Fogfv(value pname, value params)
{
	GLdouble* dp;
	GLfloat fv[4];
	CAMLparam2(pname,params);
	dp = (GLdouble*)params;
	fv[0]=dp[0]; fv[1]=dp[1]; fv[2]=dp[2];
	glFogfv(Int_val(pname), fv);
	CAMLreturn(Val_unit);
}
value FrontFace(value mode)
{
	CAMLparam1(mode);
	glFrontFace(Int_val(mode));
	CAMLreturn(Val_unit);
}
value Frustum(value left, value right, value bottom, value top, value zNear, value zFar)
{
	glFrustum(Double_val(left), Double_val(right), Double_val(bottom), Double_val(top), Double_val(zNear), Double_val(zFar));
	return Val_unit;
} value Frustum_(value *vs, int n) { return Frustum(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5]); }
value GenLists(value range)
{
	CAMLparam1(range);
	CAMLreturn(Val_int(glGenLists(Int_val(range))));
}
value GenTextures(value n, value textures)
{
	GLuint* uip; int m; int i;
	CAMLparam1(n);
	m = Int_val(n);
	uip = (GLuint*)textures;
	for (i=0; i<m; i++) uip[i]=Int_val(uip[i]);
	glGenTextures(m, (GLuint *)textures);
	CAMLreturn(textures);
}
value GetBoolean(value pname)
{
	GLboolean param;
	CAMLparam1(pname);
	glGetBooleanv(Int_val(pname), &param);
	CAMLreturn(Val_int(param));
}
value GetClipPlane (value plane, value equation)
{
	CAMLparam2(plane,equation);
	glGetClipPlane(Int_val(plane), (GLdouble*)equation);
	CAMLreturn(equation);
}
value GetDouble(value pname)
{
	GLdouble param;
	CAMLparam1(pname);
	glGetDoublev(Int_val(pname), &param);
	CAMLreturn(copy_double(param));
}
value GetError(value v)
{
	CAMLparam1(v);
	CAMLreturn(Val_int(glGetError()));
}
value GetInteger(value pname)
{
	GLint param;
	CAMLparam1(pname);
	glGetIntegerv(Int_val(pname), &param);
	CAMLreturn(Val_int(param));
}
value GetLightf(value light, value pname)
{
	GLfloat param;
	CAMLparam2(light,pname);
	glGetLightfv(Int_val(light), Int_val(pname), &param);
	CAMLreturn(copy_double(param));
}
value GetLightfv(value light, value pname, value params)
{
	GLdouble* dp;
	GLfloat fv[4];
	CAMLparam3(light,pname,params);
	dp = (GLdouble*)params;
	glGetLightfv(Int_val(light), Int_val(pname), fv);
	dp[0]=fv[0];dp[1]=fv[1];dp[2]=fv[2];
	if (Int_val(pname)!=GL_SPOT_DIRECTION) dp[3]=fv[3];
	CAMLreturn(params);
}
value GetMapd(value target, value query)
{
	GLdouble v;
	CAMLparam2(target,query);
	glGetMapdv(Int_val(target), Int_val(query), &v);
	CAMLreturn(copy_double(v));
}
value GetMapi(value target, value query)
{
	GLint v;
	CAMLparam2(target,query);
	glGetMapiv(Int_val(target), Int_val(query), &v);
	CAMLreturn(Val_int(v));
}
value GetMaterialf(value face, value pname)
{
	GLfloat param;
	CAMLparam2(face,pname);
	glGetMaterialfv(Int_val(face), Int_val(pname), &param);
	CAMLreturn(copy_double(param));
}
value GetMaterialfv(value face, value pname, value params)
{
	GLdouble* dp;
	GLfloat fv[4];
	CAMLparam3(face,pname,params);
	dp = (GLdouble*)params;
	glGetMaterialfv(Int_val(face), Int_val(pname), fv);
	dp[0]=fv[0];dp[1]=fv[1];dp[2]=fv[2];
	if (Int_val(pname)!=GL_COLOR_INDEXES) dp[3]=fv[3];
	CAMLreturn(params);
}
/*
void glGetPixelMapfv (GLenum map, GLfloat *values);
void glGetPixelMapuiv (GLenum map, GLuint *values);
void glGetPixelMapusv (GLenum map, GLushort *values);
*/
value GetPolygonStipple(value mask)
{
	CAMLparam1(mask);
	glGetPolygonStipple((GLubyte *)mask); // 32*32
	CAMLreturn(mask);
}
value GetString(value name)
{
	CAMLparam1(name);
	CAMLreturn(copy_string(glGetString(Int_val(name))));
}
value GetTexEnvi(value target, value pname)
{
	GLint param;
	CAMLparam2(target,pname);
	glGetTexEnviv(Int_val(target), Int_val(pname), &param);
	CAMLreturn(Val_int(param));
}
value GetTexEnvfv(value target, value pname, value params)
{
	GLfloat fv[3];
	GLdouble* dp;
	CAMLparam3(target,pname,params);
	dp = (GLdouble*)params;
	glGetTexEnvfv(Int_val(target), Int_val(pname), fv);
	dp[0]=fv[0]; dp[1]=fv[1]; dp[2]=fv[2];
	CAMLreturn(params);
}
value GetTexGendv(value coord, value pname, value params)
{
	CAMLparam3(coord,pname,params);
	glGetTexGendv(Int_val(coord), Int_val(pname), (GLdouble*)params);
	CAMLreturn(params);
}
value GetTexGend(value coord, value pname)
{
	GLdouble param;
	CAMLparam2(coord,pname);
	glGetTexGendv(Int_val(coord), Int_val(pname), &param);
	CAMLreturn(copy_double(param));
}
value GetTexGeni(value coord, value pname)
{
	GLint param;
	CAMLparam2(coord,pname);
	glGetTexGeniv(Int_val(coord), Int_val(pname), &param);
	CAMLreturn(Val_int(param));
}
/*
void glGetTexImage (GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels);
*/
value GetTexLevelParameterf(value target, value level, value pname)
{
	GLfloat param;
	CAMLparam3(target,level,pname);
	glGetTexLevelParameterfv(Int_val(target), Int_val(level), Int_val(pname), &param);
	CAMLreturn(copy_double(param));
}
value GetTexLevelParameteri(value target, value level, value pname)
{
	GLint param;
	CAMLparam3(target,level,pname);
	glGetTexLevelParameteriv(Int_val(target), Int_val(level), Int_val(pname), &param);
	CAMLreturn(Val_int(param));
}
value GetTexParameterf(value target, value pname)
{
	GLfloat param;
	CAMLparam2(target,pname);
	glGetTexParameterfv(Int_val(target), Int_val(pname), &param);
	CAMLreturn(copy_double(param));
}
value GetTexParameteri(value target, value pname)
{
	GLint param;
	CAMLparam2(target,pname);
	glGetTexParameteriv(Int_val(target), Int_val(pname), &param);
	CAMLreturn(Val_int(param));
}
value Hint(value target, value mode)
{
	CAMLparam2(target,mode);
	glHint(Int_val(target), Int_val(mode));
	CAMLreturn(Val_unit);
}
value IndexMask(value mask)
{
	CAMLparam1(mask);
	glIndexMask(Int_val(mask));
	CAMLreturn(Val_unit);
}
value IndexPointer(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glIndexPointer(GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs is a double pointer
	CAMLreturn(Val_unit);
}
value Index(value c)
{
	CAMLparam1(c);
	glIndexd(Double_val(c));
	CAMLreturn(Val_unit);
}
value InitNames(value v)
{
	CAMLparam1(v);
	glInitNames();
	CAMLreturn(Val_unit);
}
/*
void glInterleavedArrays (GLenum format, GLsizei stride, const GLvoid *pointer);
*/
value IsEnabled(value cap)
{
	CAMLparam1(cap);
	CAMLreturn(Val_int(glIsEnabled(Int_val(cap))));
}
value IsList(value list)
{
	CAMLparam1(list);
	CAMLreturn(Val_int(glIsList(Int_val(list))));
}
value IsTexture(value texture)
{
	CAMLparam1(texture);
	CAMLreturn(Val_int(glIsTexture(Int_val(texture))));
}
value LightModelfv(value pname, value params)
{
	GLdouble* dp;
	GLfloat fv[4];
	CAMLparam2(pname,params);
	dp = (GLdouble*)params;
	fv[0]=dp[0]; fv[1]=dp[1]; fv[2]=dp[2]; fv[3]=dp[3];
	glLightModelfv(Int_val(pname), fv);
	CAMLreturn(Val_unit);
}
value LightModeli(value pname, value param)
{
	CAMLparam2(pname,param);
	glLightModeli(Int_val(pname), Int_val(param));
	CAMLreturn(Val_unit);
}
value Lightf(value light, value pname, value param)
{
	CAMLparam3(light,pname,param);
	glLightf(Int_val(light), Int_val(pname), Double_val(param));
	CAMLreturn(Val_unit);
}
value Lightfv(value light, value pname, value params)
{
	GLdouble* dp;
	GLfloat fv[4];
	CAMLparam3(light,pname,params);
	dp = (GLdouble*)params;
	fv[0]=dp[0];fv[1]=dp[1];fv[2]=dp[2];
	if (Int_val(pname)!=GL_SPOT_DIRECTION) fv[3]=dp[3];
	glLightfv(Int_val(light), Int_val(pname), fv);
	CAMLreturn(Val_unit);
}
value LineStipple(value factor, value pattern)
{
	CAMLparam2(factor,pattern);
	glLineStipple(Int_val(factor), Int_val(pattern));
	CAMLreturn(Val_unit);
}
value LineWidth(value width)
{
	CAMLparam1(width);
	glLineWidth(Double_val(width));
	CAMLreturn(Val_unit);
}
value ListBase(value base)
{
	CAMLparam1(base);
	glListBase(Int_val(base));
	CAMLreturn(Val_unit);
}
value LoadIdentity(value v)
{
	CAMLparam1(v);
	glLoadIdentity();
	CAMLreturn(Val_unit);
}
value LoadMatrix(value m)
{
	CAMLparam1(m);
	glLoadMatrixd((const GLdouble*)m); // m double*4*4
	CAMLreturn(Val_unit);
}
value LoadName(value name)
{
	CAMLparam1(name);
	glLoadName(Int_val(name));
	CAMLreturn(Val_unit);
}
value LogicOp(value opcode)
{
	CAMLparam1(opcode);
	glLogicOp(Int_val(opcode));
	CAMLreturn(Val_unit);
}
value Map1(value target, value u1, value u2, value stride, value order, value points)
{
	glMap1d(Int_val(target), Double_val(u1), Double_val(u2), Int_val(stride), Int_val(order), (const GLdouble*)points);
	return Val_unit;
} value Map1_(value* vs, int n) { return Map1(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5]); }
value Map2(value target, value u1, value u2, value ustride, value uorder, value v1, value v2, value vstride, value vorder, value points)
{
	glMap2d(Int_val(target), Double_val(u1), Double_val(u2), Int_val(ustride), Int_val(uorder), Double_val(v1), Double_val(v2), Int_val(vstride), Int_val(vorder), (const GLdouble*)points);
	return Val_unit;
} value Map2_(value* vs, int n) { return Map2(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5],vs[6],vs[7],vs[8],vs[9]); }
value MapGrid1(value un, value u1, value u2)
{
	CAMLparam3(un,u1,u2);
	glMapGrid1d (Int_val(un), Double_val(u1), Double_val(u2));
	CAMLreturn(Val_unit);
}
value MapGrid2(value un, value u1, value u2, value vn, value v1, value v2)
{
	glMapGrid2d (Int_val(un), Double_val(u1), Double_val(u2), Int_val(vn), Double_val(v1), Double_val(v2));
	return Val_unit;
} value MapGrid2_(value *vs, int n) { return MapGrid2(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5]); }
value Materialf(value face, value pname, value param)
{
	CAMLparam3(face,pname,param);
	glMaterialf(Int_val(face), Int_val(pname), Double_val(param));
	CAMLreturn(Val_unit);
}
value Materialfv(value face, value pname, value params)
{
	GLdouble* dp;
	GLfloat fv[4];
	CAMLparam3(face,pname,params);
	dp = (GLdouble*)params;
	fv[0]=dp[0];fv[1]=dp[1];fv[2]=dp[2];
	if (Int_val(pname)!=GL_COLOR_INDEXES) fv[3]=dp[3];
	glMaterialfv(Int_val(face), Int_val(pname), fv);
	CAMLreturn(Val_unit);
}

value MatrixMode(value mode)
{
	CAMLparam1(mode);
	glMatrixMode (Int_val(mode));
	CAMLreturn(Val_unit);
}
value MultMatrix(value m)
{
	CAMLparam1(m);
	glMultMatrixd((const GLdouble*)m); // m double*4*4
	CAMLreturn(Val_unit);
}
value NewList(value list, value mode)
{
	CAMLparam2(list,mode);
	glNewList(Int_val(list), Int_val(mode));
	CAMLreturn(Val_unit);
}
value Normal3(value nx, value ny, value nz)
{
	CAMLparam3(nx,ny,nz);
	glNormal3d(Double_val(nx), Double_val(ny), Double_val(nz));
	CAMLreturn(Val_unit);
}
value NormalPointer(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glNormalPointer(GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs is a double*3 pointer
	CAMLreturn(Val_unit);
}
value Ortho(value left, value right, value bottom, value top, value zNear, value zFar)
{
	glOrtho(Double_val(left), Double_val(right), Double_val(bottom), Double_val(top), Double_val(zNear), Double_val(zFar));
	return Val_unit;
} value Ortho_(value *vs, int n) { return Ortho(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5]); }
value PassThrough(value token)
{
	CAMLparam1(token);
	glPassThrough(Double_val(token));
	CAMLreturn(Val_unit);
}
value PixelMapfv(value map, value mapsize, value vs)
{
	GLfloat* fp; GLdouble* dp; int i; int n;
	CAMLparam3(map,mapsize,vs);
	dp = (GLdouble*)vs;
	n = Int_val(mapsize);
	fp = malloc(sizeof(GLfloat)*n);
	for (i=0; i<n; i++) fp[i]=dp[i];
	glPixelMapfv(Int_val(map), n, fp);
	free(fp);
	CAMLreturn(Val_unit);
}
value PixelStoref(value pname, value param)
{
	CAMLparam2(pname,param);
	glPixelStoref(Int_val(pname), Double_val(param));
	CAMLreturn(Val_unit);
}
value PixelStorei(value pname, value param)
{
	CAMLparam2(pname,param);
	glPixelStorei(Int_val(pname), Int_val(param));
	CAMLreturn(Val_unit);
}
value PixelTransferf(value pname, value param)
{
	CAMLparam2(pname,param);
	glPixelTransferf(Int_val(pname), Double_val(param));
	CAMLreturn(Val_unit);
}
value PixelTransferi(value pname, value param)
{
	CAMLparam2(pname,param);
	glPixelTransferi(Int_val(pname), Int_val(param));
	CAMLreturn(Val_unit);
}
value PixelZoom(value xfactor, value yfactor)
{
	CAMLparam2(xfactor,yfactor);
	glPixelZoom (Double_val(xfactor), Double_val(yfactor));
	CAMLreturn(Val_unit);
}
value PointSize(value size)
{
	CAMLparam1(size);
	glPointSize(Double_val(size));
	CAMLreturn(Val_unit);
}
value PolygonMode(value face, value mode)
{
	CAMLparam2(face,mode);
	glPolygonMode(Int_val(face), Int_val(mode));
	CAMLreturn(Val_unit);
}
value PolygonOffset(value factor, value units)
{
	CAMLparam2(factor,units);
	glPolygonOffset(Double_val(factor), Double_val(units));
	CAMLreturn(Val_unit);
}
value PolygonStipple(value mask)
{
	CAMLparam1(mask);
	glPolygonStipple((const GLubyte*)mask); // 32*32
	CAMLreturn(Val_unit);
}
value PopAttrib(value v)
{
	CAMLparam1(v);
	glPopAttrib();
	CAMLreturn(Val_unit);
}
value PopClientAttrib(value v)
{
	CAMLparam1(v);
	glPopClientAttrib();
	CAMLreturn(Val_unit);
}
value PopMatrix(value v)
{
	CAMLparam1(v);
	glPopMatrix();
	CAMLreturn(Val_unit);
}
value PopName(value v)
{
	CAMLparam1(v);
	glPopName();
	CAMLreturn(Val_unit);
}
value PrioritizeTextures(value n, value textures, value priorities)
{
	GLuint* uip; GLdouble* dp; GLclampf* fp; int i; int m;
	CAMLparam3(n,textures,priorities);
	m = Int_val(n);
	uip = (GLuint*)textures;
	dp = (GLdouble*)priorities;
	fp = malloc(sizeof(GLclampf)*m);
	for (i=0; i<m; i++) uip[i]=Int_val(uip[i]);
	for (i=0; i<m; i++) fp[i]=dp[i];
	glPrioritizeTextures(m, uip, (const GLclampf*)priorities);
	free(fp);
	CAMLreturn(Val_unit);
}
value PushAttrib(value mask)
{
	CAMLparam1(mask);
	glPushAttrib(Int_val(mask));
	CAMLreturn(Val_unit);
}
value PushClientAttrib(value mask)
{
	CAMLparam1(mask);
	glPushClientAttrib(Int_val(mask));
	CAMLreturn(Val_unit);
}
value PushMatrix(value v)
{
	CAMLparam1(v);
	glPushMatrix();
	CAMLreturn(Val_unit);
}
value PushName(value name)
{
	CAMLparam1(name);
	glPushName(Int_val(name));
	CAMLreturn(Val_unit);
}
value RasterPos2(value x, value y)
{
	CAMLparam2(x,y);
	glRasterPos2d(Double_val(x), Double_val(y));
	CAMLreturn(Val_unit);
}
value RasterPos3(value x, value y, value z)
{
	CAMLparam3(x,y,z);
	glRasterPos3d(Double_val(x), Double_val(y), Double_val(z));
	CAMLreturn(Val_unit);
}
value RasterPos4(value x, value y, value z, value w)
{
	CAMLparam4(x,y,z,w);
	glRasterPos4d(Double_val(x), Double_val(y), Double_val(z), Double_val(w));
	CAMLreturn(Val_unit);
}
value ReadBuffer(value mode)
{
	CAMLparam1(mode);
	glReadBuffer(Int_val(mode));
	CAMLreturn(Val_unit);
}
value ReadPixels(value x, value y, value width, value height, value format, value type, value pixels)
{
	glReadPixels(Int_val(x),Int_val(y),Int_val(width),Int_val(height),Int_val(format),Int_val(type),(GLvoid *)pixels);
	return pixels;
}
value ReadPixels_(value* vs, int n) { return ReadPixels(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5],vs[6]); }
value Rect(value x1, value y1, value x2, value y2)
{
	CAMLparam4(x1,y1,x2,y2);
	glRectd(Double_val(x1), Double_val(y1), Double_val(x2), Double_val(y2));
	CAMLreturn(Val_unit);
}
value RenderMode(value mode)
{
	CAMLparam1(mode);
	CAMLreturn(Val_int(glRenderMode(Int_val(mode))));
}
value Rotate(value angle, value x, value y, value z)
{
	CAMLparam4(angle,x,y,z);
	glRotated(Double_val(angle), Double_val(x), Double_val(y), Double_val(z));
	CAMLreturn(Val_unit);
}
value Scale(value x, value y, value z)
{
	CAMLparam3(x,y,z);
	glScaled(Double_val(x), Double_val(y), Double_val(z));
	CAMLreturn(Val_unit);
}
value Scissor(value x, GLint y, value width, value height)
{
	CAMLparam4(x,y,width,height);
	glScissor(Int_val(x), Int_val(y), Int_val(width), Int_val(height));
	CAMLreturn(Val_unit);
}
value SelectBuffer(value size, value buffer) // ̰͵ 迭  迭 !!!! ̰  ذ ȵȴ ۰  ׷ Ŵ Ƹ ϴ string  
{
	CAMLparam2(size,buffer);
	glSelectBuffer(Int_val(size)/sizeof(GLuint), (GLuint*)buffer);
	CAMLreturn(Val_unit);
}
value ShadeModel(value mode)
{
	CAMLparam1(mode);
	glShadeModel(Int_val(mode));
	CAMLreturn(Val_unit);
}
value StencilFunc(value func, value ref, value mask)
{
	CAMLparam3(func,ref,mask);
	glStencilFunc(Int_val(func), Int_val(ref), Int_val(mask));
	CAMLreturn(Val_unit);
}
value StencilMask(value mask)
{
	CAMLparam1(mask);
	glStencilMask(Int_val(mask));
	CAMLreturn(Val_unit);
}
value StencilOp(value fail, value zfail, value zpass)
{
	CAMLparam3(fail,zfail,zpass);
	glStencilOp(Int_val(fail),Int_val(zfail),Int_val(zpass));
	CAMLreturn(Val_unit);
}
value TexCoord1(value s)
{
	CAMLparam1(s);
	glTexCoord1d(Double_val(s));
	CAMLreturn(Val_unit);
}
value TexCoord2(value s, value t)
{
	CAMLparam2(s,t);
	glTexCoord2d(Double_val(s), Double_val(t));
	CAMLreturn(Val_unit);
}
value TexCoord3(value s, value t, value r)
{
	CAMLparam3(s,t,r);
	glTexCoord3d(Double_val(s), Double_val(t), Double_val(r));
	CAMLreturn(Val_unit);
}
value TexCoord4(value s, value t, value r, value q)
{
	CAMLparam4(s,t,r,q);
	glTexCoord4d(Double_val(s), Double_val(t), Double_val(r), Double_val(q));
	CAMLreturn(Val_unit);
}
value TexCoordPointer1(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glTexCoordPointer(1, GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs double pointer
	CAMLreturn(Val_unit);
}
value TexCoordPointer2(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glTexCoordPointer(2, GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs double*2 pointer
	CAMLreturn(Val_unit);
}
value TexCoordPointer3(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glTexCoordPointer(3, GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs double*3 pointer
	CAMLreturn(Val_unit);
}
value TexCoordPointer4(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glTexCoordPointer(4, GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs double*4 pointer
	CAMLreturn(Val_unit);
}
value TexEnvi(value target, value pname, value param)
{
	CAMLparam3(target,pname,param);
	glTexEnvi(Int_val(target), Int_val(pname), Int_val(param));
	CAMLreturn(Val_unit);
}
value TexEnvfv(value target, value pname, value params)
{
	GLdouble* dp;
	GLfloat fv[4];
	CAMLparam3(target,pname,params);
	dp = (GLdouble*)params;
	fv[0]=dp[0]; fv[1]=dp[1]; fv[2]=dp[2];
	glTexEnvfv(Int_val(target), Int_val(pname), fv);
	CAMLreturn(params);
}
value TexGendv(value coord, value pname, value params)
{
	CAMLparam3(coord,pname,params);
	glTexGendv(Int_val(coord), Int_val(pname), (const GLdouble*)params);
	CAMLreturn(Val_unit);
}
value TexGend(value coord, value pname, value param)
{
	CAMLparam3(coord,pname,param);
	glTexGend(Int_val(coord), Int_val(pname), Double_val(param));
	CAMLreturn(Val_unit);
}
value TexGeni(value coord, value pname, value param)
{
	CAMLparam3(coord,pname,param);
	glTexGeni(Int_val(coord), Int_val(pname), Int_val(param));
	CAMLreturn(Val_unit);
}
value TexImage1D(value target, value level, value internalformat, value width, value border, value format, value type, value pixels)
{
	glTexImage1D(Int_val(target), Int_val(level), Int_val(internalformat), Int_val(width), Int_val(border), Int_val(format), Int_val(type), (const GLvoid*)pixels);
	return Val_unit;
} value TexImage1D_(value* vs, int n) { return TexImage1D(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5],vs[6],vs[7]); }
value TexImage2D(value target, value level, value internalformat, value width, value height, value border, value format, value type, value pixels)
{
	glTexImage2D(Int_val(target), Int_val(level), Int_val(internalformat), Int_val(width), Int_val(height), Int_val(border), Int_val(format), Int_val(type), (const GLvoid*)pixels);
	return Val_unit;
} value TexImage2D_(value *vs, int n) { return TexImage2D(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5],vs[6],vs[7],vs[8]); }
value TexParameterfv(value target, value pname, value params)
{
	GLdouble* dp; GLfloat fp[4];
	CAMLparam3(target,pname,params);
	dp = (GLdouble*)params;
	fp[0]=dp[0]; fp[1]=dp[1]; fp[2]=dp[2]; fp[3]=dp[3];
	glTexParameterfv(Int_val(target), Int_val(pname), fp);
	CAMLreturn(Val_unit);
}
value TexParameterf(value target, value pname, value param)
{
	CAMLparam3(target,pname,param);
	glTexParameterf(Int_val(target), Int_val(pname), Double_val(param));
	CAMLreturn(Val_unit);
}
value TexParameteri(value target, value pname, value param)
{
	CAMLparam3(target,pname,param);
	glTexParameteri(Int_val(target), Int_val(pname), Int_val(param));
	CAMLreturn(Val_unit);
}
value TexSubImage1D(value level, value xoffset, value width, value format, value type, value pixels)
{
	glTexSubImage1D(GL_TEXTURE_1D, Int_val(level), Int_val(xoffset), Int_val(width), Int_val(format), Int_val(type), (const GLvoid*)pixels);
	return Val_unit;
} TexSubImage1D_(value* vs, int n) { return TexSubImage1D(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5]); }
value TexSubImage2D(value level, value xoffset, value yoffset, value width, value height, value format, value type, value pixels)
{
	glTexSubImage2D(GL_TEXTURE_2D, Int_val(level), Int_val(xoffset), Int_val(yoffset), Int_val(width), Int_val(height), Int_val(format), Int_val(type), (const GLvoid*)pixels);
	return Val_unit;
} TexSubImage2D_(value* vs, int n) { return TexSubImage2D(vs[0],vs[1],vs[2],vs[3],vs[4],vs[5],vs[6],vs[7]); }
value Translate(value x, value y, value z)
{
	CAMLparam3(x,y,z);
	glTranslated(Double_val(x), Double_val(y), Double_val(z));
	CAMLreturn(Val_unit);
}
value Vertex2(value x, value y)
{
	CAMLparam2(x,y);
	glVertex2d(Double_val(x), Double_val(y));
	CAMLreturn(Val_unit);
}
value Vertex3(value x, value y, value z)
{
	CAMLparam3(x,y,z);
	glVertex3d(Double_val(x), Double_val(y), Double_val(z));
	CAMLreturn(Val_unit);
}
value Vertex4(value x, value y, value z, value w)
{
	CAMLparam4(x,y,z,w);
	glVertex4d(Double_val(x), Double_val(y), Double_val(z), Double_val(w));
	CAMLreturn(Val_unit);
}
value VertexPointer2(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glVertexPointer(2, GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs double*2 pointer
	CAMLreturn(Val_unit);
}
value VertexPointer3(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glVertexPointer(3, GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs double*3 pointer
	CAMLreturn(Val_unit);
}
value VertexPointer4(value stride, value vs)
{
	CAMLparam2(stride,vs);
	glVertexPointer(4, GL_DOUBLE, Int_val(stride), (const GLvoid*)vs); // vs double*4 pointer
	CAMLreturn(Val_unit);
}
value Viewport(value x, value y, value width, value height)
{
	CAMLparam4(x,y,width,height);
	glViewport(Int_val(x), Int_val(y), Int_val(width), Int_val(height));
	CAMLreturn(Val_unit);
}
