#include <GL/glut.h>
#include <caml/memory.h>

/* Display mode bit masks. */
value def_GLUT_RGB							(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_RGB)); }
value def_GLUT_RGBA							(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_RGBA)); }
value def_GLUT_INDEX						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_INDEX)); }
value def_GLUT_SINGLE						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_SINGLE)); }
value def_GLUT_DOUBLE						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_DOUBLE)); }
value def_GLUT_ACCUM						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_ACCUM)); }
value def_GLUT_ALPHA						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_ALPHA)); }
value def_GLUT_DEPTH						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_DEPTH)); }
value def_GLUT_STENCIL						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_STENCIL)); }
value def_GLUT_MULTISAMPLE					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_MULTISAMPLE)); }
value def_GLUT_STEREO						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_STEREO)); }
value def_GLUT_LUMINANCE					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_LUMINANCE)); }

/* Mouse buttons. */
value def_GLUT_LEFT_BUTTON					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_LEFT_BUTTON)); }
value def_GLUT_MIDDLE_BUTTON				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_MIDDLE_BUTTON)); }
value def_GLUT_RIGHT_BUTTON					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_RIGHT_BUTTON)); }
/* Mouse button  state. */
value def_GLUT_DOWN							(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_DOWN)); }
value def_GLUT_UP							(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_UP)); }
/* function keys */
value def_GLUT_KEY_F1						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F1)); }
value def_GLUT_KEY_F2						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F2)); }
value def_GLUT_KEY_F3						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F3)); }
value def_GLUT_KEY_F4						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F4)); }
value def_GLUT_KEY_F5						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F5)); }
value def_GLUT_KEY_F6						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F6)); }
value def_GLUT_KEY_F7						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F7)); }
value def_GLUT_KEY_F8						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F8)); }
value def_GLUT_KEY_F9						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F9)); }
value def_GLUT_KEY_F10						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F10)); }
value def_GLUT_KEY_F11						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F11)); }
value def_GLUT_KEY_F12						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_F12)); }
/* directional keys */
value def_GLUT_KEY_LEFT						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_LEFT)); }
value def_GLUT_KEY_UP						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_UP)); }
value def_GLUT_KEY_RIGHT					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_RIGHT)); }
value def_GLUT_KEY_DOWN						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_DOWN)); }
value def_GLUT_KEY_PAGE_UP					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_PAGE_UP)); }
value def_GLUT_KEY_PAGE_DOWN				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_PAGE_DOWN)); }
value def_GLUT_KEY_HOME						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_HOME)); }
value def_GLUT_KEY_END						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_END)); }
value def_GLUT_KEY_INSERT					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_INSERT)); }

/* Entry/exit  state. */
value def_GLUT_LEFT							(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_LEFT)); }
value def_GLUT_ENTERED						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_ENTERED)); }
/* Menu usage  state. */
value def_GLUT_MENU_NOT_IN_USE				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_MENU_NOT_IN_USE)); }
value def_GLUT_MENU_IN_USE					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_MENU_IN_USE)); }
/* Visibility  state. */
value def_GLUT_NOT_VISIBLE					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_NOT_VISIBLE)); }
value def_GLUT_VISIBLE						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VISIBLE)); }
/* Window status  state. */
value def_GLUT_HIDDEN						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_HIDDEN)); }
value def_GLUT_FULLY_RETAINED				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_FULLY_RETAINED)); }
value def_GLUT_PARTIALLY_RETAINED			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_PARTIALLY_RETAINED)); }
value def_GLUT_FULLY_COVERED				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_FULLY_COVERED)); }

/* Color index component selection values. */
value def_GLUT_RED							(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_RED)); }
value def_GLUT_GREEN						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_GREEN)); }
value def_GLUT_BLUE							(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_BLUE)); }
/* Layers for use. */ /* glutUseLayer parameters. */
value def_GLUT_NORMAL						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_NORMAL)); }
value def_GLUT_OVERLAY						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_OVERLAY)); }

/* Stroke font constants (use these in GLUT program). */
value def_GLUT_STROKE_ROMAN					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_STROKE_ROMAN)); }
value def_GLUT_STROKE_MONO_ROMAN			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_STROKE_MONO_ROMAN)); }
/* Bitmap font constants (use these in GLUT program). */
value def_GLUT_BITMAP_9_BY_15				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_BITMAP_9_BY_15)); }
value def_GLUT_BITMAP_8_BY_13				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_BITMAP_8_BY_13)); }
value def_GLUT_BITMAP_TIMES_ROMAN_10  		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_BITMAP_TIMES_ROMAN_10)); }
value def_GLUT_BITMAP_TIMES_ROMAN_24  		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_BITMAP_TIMES_ROMAN_24)); }
value def_GLUT_BITMAP_HELVETICA_10			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_BITMAP_HELVETICA_10)); }
value def_GLUT_BITMAP_HELVETICA_12			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_BITMAP_HELVETICA_12)); }
value def_GLUT_BITMAP_HELVETICA_18			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_BITMAP_HELVETICA_18)); }

/* glutGet parameters. */
value def_GLUT_WINDOW_X						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_X)); }
value def_GLUT_WINDOW_Y						(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_Y)); }
value def_GLUT_WINDOW_WIDTH					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_WIDTH)); }
value def_GLUT_WINDOW_HEIGHT				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_HEIGHT)); }
value def_GLUT_WINDOW_BUFFER_SIZE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_BUFFER_SIZE)); }
value def_GLUT_WINDOW_STENCIL_SIZE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_STENCIL_SIZE)); }
value def_GLUT_WINDOW_DEPTH_SIZE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_DEPTH_SIZE)); }
value def_GLUT_WINDOW_RED_SIZE				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_RED_SIZE)); }
value def_GLUT_WINDOW_GREEN_SIZE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_GREEN_SIZE)); }
value def_GLUT_WINDOW_BLUE_SIZE				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_BLUE_SIZE)); }
value def_GLUT_WINDOW_ALPHA_SIZE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_ALPHA_SIZE)); }
value def_GLUT_WINDOW_ACCUM_RED_SIZE  		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_ACCUM_RED_SIZE)); }
value def_GLUT_WINDOW_ACCUM_GREEN_SIZE		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_ACCUM_GREEN_SIZE)); }
value def_GLUT_WINDOW_ACCUM_BLUE_SIZE		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_ACCUM_BLUE_SIZE)); }
value def_GLUT_WINDOW_ACCUM_ALPHA_SIZE		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_ACCUM_ALPHA_SIZE)); }
value def_GLUT_WINDOW_DOUBLEBUFFER			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_DOUBLEBUFFER)); }
value def_GLUT_WINDOW_RGBA					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_RGBA)); }
value def_GLUT_WINDOW_PARENT				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_PARENT)); }
value def_GLUT_WINDOW_NUM_CHILDREN			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_NUM_CHILDREN)); }
value def_GLUT_WINDOW_COLORMAP_SIZE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_COLORMAP_SIZE)); }
value def_GLUT_WINDOW_NUM_SAMPLES			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_NUM_SAMPLES)); }
value def_GLUT_WINDOW_STEREO				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_STEREO)); }
value def_GLUT_WINDOW_CURSOR				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_CURSOR)); }
value def_GLUT_SCREEN_WIDTH					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_SCREEN_WIDTH)); }
value def_GLUT_SCREEN_HEIGHT				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_SCREEN_HEIGHT)); }
value def_GLUT_SCREEN_WIDTH_MM				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_SCREEN_WIDTH_MM)); }
value def_GLUT_SCREEN_HEIGHT_MM				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_SCREEN_HEIGHT_MM)); }
value def_GLUT_MENU_NUM_ITEMS				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_MENU_NUM_ITEMS)); }
value def_GLUT_DISPLAY_MODE_POSSIBLE		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_DISPLAY_MODE_POSSIBLE)); }
value def_GLUT_INIT_WINDOW_X				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_INIT_WINDOW_X)); }
value def_GLUT_INIT_WINDOW_Y				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_INIT_WINDOW_Y)); }
value def_GLUT_INIT_WINDOW_WIDTH			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_INIT_WINDOW_WIDTH)); }
value def_GLUT_INIT_WINDOW_HEIGHT			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_INIT_WINDOW_HEIGHT)); }
value def_GLUT_INIT_DISPLAY_MODE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_INIT_DISPLAY_MODE)); }
value def_GLUT_ELAPSED_TIME					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_ELAPSED_TIME)); }
value def_GLUT_WINDOW_FORMAT_ID				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_WINDOW_FORMAT_ID)); }

/* glutDeviceGet parameters. */
value def_GLUT_HAS_KEYBOARD					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_HAS_KEYBOARD)); }
value def_GLUT_HAS_MOUSE					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_HAS_MOUSE)); }
value def_GLUT_HAS_SPACEBALL				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_HAS_SPACEBALL)); }
value def_GLUT_HAS_DIAL_AND_BUTTON_BOX		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_HAS_DIAL_AND_BUTTON_BOX)); }
value def_GLUT_HAS_TABLET					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_HAS_TABLET)); }
value def_GLUT_NUM_MOUSE_BUTTONS			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_NUM_MOUSE_BUTTONS)); }
value def_GLUT_NUM_SPACEBALL_BUTTONS		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_NUM_SPACEBALL_BUTTONS)); }
value def_GLUT_NUM_BUTTON_BOX_BUTTONS		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_NUM_BUTTON_BOX_BUTTONS)); }
value def_GLUT_NUM_DIALS					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_NUM_DIALS)); }
value def_GLUT_NUM_TABLET_BUTTONS			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_NUM_TABLET_BUTTONS)); }
value def_GLUT_DEVICE_IGNORE_KEY_REPEAT		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_DEVICE_IGNORE_KEY_REPEAT)); }
value def_GLUT_DEVICE_KEY_REPEAT			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_DEVICE_KEY_REPEAT)); }
value def_GLUT_HAS_JOYSTICK					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_HAS_JOYSTICK)); }
value def_GLUT_OWNS_JOYSTICK				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_OWNS_JOYSTICK)); }
value def_GLUT_JOYSTICK_BUTTONS				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_JOYSTICK_BUTTONS)); }
value def_GLUT_JOYSTICK_AXES				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_JOYSTICK_AXES)); }
value def_GLUT_JOYSTICK_POLL_RATE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_JOYSTICK_POLL_RATE)); }

/* glutLayerGet parameters. */
value def_GLUT_OVERLAY_POSSIBLE         	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_OVERLAY_POSSIBLE)); }
value def_GLUT_LAYER_IN_USE					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_LAYER_IN_USE)); }
value def_GLUT_HAS_OVERLAY					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_HAS_OVERLAY)); }
value def_GLUT_TRANSPARENT_INDEX			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_TRANSPARENT_INDEX)); }
value def_GLUT_NORMAL_DAMAGED				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_NORMAL_DAMAGED)); }
value def_GLUT_OVERLAY_DAMAGED				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_OVERLAY_DAMAGED)); }

/* glutVideoResizeGet parameters. */
value def_GLUT_VIDEO_RESIZE_POSSIBLE		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VIDEO_RESIZE_POSSIBLE)); }
value def_GLUT_VIDEO_RESIZE_IN_USE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VIDEO_RESIZE_IN_USE)); }
value def_GLUT_VIDEO_RESIZE_X_DELTA			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VIDEO_RESIZE_X_DELTA)); }
value def_GLUT_VIDEO_RESIZE_Y_DELTA			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VIDEO_RESIZE_Y_DELTA)); }
value def_GLUT_VIDEO_RESIZE_WIDTH_DELTA		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VIDEO_RESIZE_WIDTH_DELTA)); }
value def_GLUT_VIDEO_RESIZE_HEIGHT_DELTA	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VIDEO_RESIZE_HEIGHT_DELTA)); }
value def_GLUT_VIDEO_RESIZE_X				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VIDEO_RESIZE_X)); }
value def_GLUT_VIDEO_RESIZE_Y				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VIDEO_RESIZE_Y)); }
value def_GLUT_VIDEO_RESIZE_WIDTH			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VIDEO_RESIZE_WIDTH)); }
value def_GLUT_VIDEO_RESIZE_HEIGHT			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_VIDEO_RESIZE_HEIGHT)); }

/* glutGetModifiers return mask. */
value def_GLUT_ACTIVE_SHIFT             	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_ACTIVE_SHIFT)); }
value def_GLUT_ACTIVE_CTRL              	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_ACTIVE_CTRL)); }
value def_GLUT_ACTIVE_ALT               	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_ACTIVE_ALT)); }

/* glutSetCursor parameters. */
/* Basic arrows. */
value def_GLUT_CURSOR_RIGHT_ARROW			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_RIGHT_ARROW)); }
value def_GLUT_CURSOR_LEFT_ARROW			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_LEFT_ARROW)); }
/* Symbolic cursor shapes. */
value def_GLUT_CURSOR_INFO					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_INFO)); }
value def_GLUT_CURSOR_DESTROY				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_DESTROY)); }
value def_GLUT_CURSOR_HELP			    	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_HELP)); }
value def_GLUT_CURSOR_CYCLE			    	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_CYCLE)); }
value def_GLUT_CURSOR_SPRAY			    	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_SPRAY)); }
value def_GLUT_CURSOR_WAIT					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_WAIT)); }
value def_GLUT_CURSOR_TEXT					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_TEXT)); }
value def_GLUT_CURSOR_CROSSHAIR				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_CROSSHAIR)); }
/* Directional cursors. */
value def_GLUT_CURSOR_UP_DOWN				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_UP_DOWN)); }
value def_GLUT_CURSOR_LEFT_RIGHT			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_LEFT_RIGHT)); }
/* Sizing cursors. */
value def_GLUT_CURSOR_TOP_SIDE		    	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_TOP_SIDE)); }
value def_GLUT_CURSOR_BOTTOM_SIDE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_BOTTOM_SIDE)); }
value def_GLUT_CURSOR_LEFT_SIDE				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_LEFT_SIDE)); }
value def_GLUT_CURSOR_RIGHT_SIDE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_RIGHT_SIDE)); }
value def_GLUT_CURSOR_TOP_LEFT_CORNER		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_TOP_LEFT_CORNER)); }
value def_GLUT_CURSOR_TOP_RIGHT_CORNER		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_TOP_RIGHT_CORNER)); }
value def_GLUT_CURSOR_BOTTOM_RIGHT_CORNER	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_BOTTOM_RIGHT_CORNER)); }
value def_GLUT_CURSOR_BOTTOM_LEFT_CORNER	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_BOTTOM_LEFT_CORNER)); }
/* Inherit from parent window. */
value def_GLUT_CURSOR_INHERIT				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_INHERIT)); }
/* Blank cursor. */
value def_GLUT_CURSOR_NONE					(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_NONE)); }
/* Fullscreen crosshair (if available). */
value def_GLUT_CURSOR_FULL_CROSSHAIR		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_CURSOR_FULL_CROSSHAIR)); }

/* glutSetKeyRepeat modes. */
value def_GLUT_KEY_REPEAT_OFF				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_REPEAT_OFF)); }
value def_GLUT_KEY_REPEAT_ON				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_REPEAT_ON)); }
value def_GLUT_KEY_REPEAT_DEFAULT			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_KEY_REPEAT_DEFAULT)); }
/* Joystick button masks. */
value def_GLUT_JOYSTICK_BUTTON_A		    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_JOYSTICK_BUTTON_A)); }
value def_GLUT_JOYSTICK_BUTTON_B		    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_JOYSTICK_BUTTON_B)); }
value def_GLUT_JOYSTICK_BUTTON_C		    (value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_JOYSTICK_BUTTON_C)); }
value def_GLUT_JOYSTICK_BUTTON_D			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_JOYSTICK_BUTTON_D)); }
/* glutGameModeGet. */
value def_GLUT_GAME_MODE_ACTIVE				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_GAME_MODE_ACTIVE)); }
value def_GLUT_GAME_MODE_POSSIBLE			(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_GAME_MODE_POSSIBLE)); }
value def_GLUT_GAME_MODE_WIDTH				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_GAME_MODE_WIDTH)); }
value def_GLUT_GAME_MODE_HEIGHT				(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_GAME_MODE_HEIGHT)); }
value def_GLUT_GAME_MODE_PIXEL_DEPTH		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_GAME_MODE_PIXEL_DEPTH)); }
value def_GLUT_GAME_MODE_REFRESH_RATE		(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_GAME_MODE_REFRESH_RATE)); }
value def_GLUT_GAME_MODE_DISPLAY_CHANGED	(value v) { CAMLparam1(v); CAMLreturn(Val_int(GLUT_GAME_MODE_DISPLAY_CHANGED)); }

/* GLUT initialization sub-API. */
value Init(value argc, value argv)
{
	CAMLparam2(argc, argv);
	int n = Int_val(argc);
	glutInit(&n, (char**)argv);
	CAMLreturn(Val_unit);
}
value InitDisplayMode(value mode)
{ CAMLparam1(mode); glutInitDisplayMode(Int_val(mode)); CAMLreturn(Val_unit); }
value InitDisplayString(value string)
{
	CAMLparam1(string);
	glutInitDisplayString(String_val(string));
	CAMLreturn(Val_unit);
}
value InitWindowPosition(value x, value y)
{
	CAMLparam2(x,y);
	glutInitWindowPosition(Int_val(x), Int_val(y));
	CAMLreturn(Val_unit);
}
value InitWindowSize(value width, value height)
{
	CAMLparam2(width,height);
	glutInitWindowSize(Int_val(width), Int_val(height));
	CAMLreturn(Val_unit);
}
value MainLoop(value v)
{ CAMLparam1(v); glutMainLoop(); CAMLreturn(Val_unit); }

/* GLUT window sub-API. */
value CreateWindow(value title)
{ CAMLparam1(title); CAMLreturn(Val_int(glutCreateWindow(String_val(title)))); }
value CreateSubWindow(value win, value x, value y, value width, value height)
{
	CAMLparam5(win, x,y, width,height);
	CAMLreturn(Val_int(glutCreateSubWindow(Int_val(win), Int_val(x),Int_val(y), Int_val(width),Int_val(height))));
}
value DestroyWindow(value win)
{ CAMLparam1(win); glutDestroyWindow(Int_val(win)); CAMLreturn(Val_unit); }
value PostRedisplay(value v)
{ CAMLparam1(v); glutPostRedisplay(); CAMLreturn(Val_unit); }
value PostWindowRedisplay(value win)
{
	CAMLparam1(win);
	glutPostWindowRedisplay(Int_val(win));
	CAMLreturn(Val_unit);
}
value SwapBuffers(value v)
{ CAMLparam1(v); glutSwapBuffers(); CAMLreturn(Val_unit); }
value GetWindow(value v)
{ CAMLparam1(v); CAMLreturn(Val_int(glutGetWindow())); }
value SetWindow(value win)
{ CAMLparam1(win); glutSetWindow(Int_val(win)); CAMLreturn(Val_unit); }
value SetWindowTitle(value title)
{
	CAMLparam1(title);
	glutSetWindowTitle(String_val(title));
	CAMLreturn(Val_unit);
}
value SetIconTitle(value title)
{
	CAMLparam1(title);
	glutSetIconTitle(String_val(title));
	CAMLreturn(Val_unit);
}
value PositionWindow(value x, value y)
{
	CAMLparam2(x,y);
	glutPositionWindow(Int_val(x), Int_val(y));
	CAMLreturn(Val_unit);
}
value ReshapeWindow(value width, value height)
{
	CAMLparam2(width,height);
	glutReshapeWindow(Int_val(width), Int_val(height));
	CAMLreturn(Val_unit);
}
value PopWindow(value v)
{ CAMLparam1(v); glutPopWindow(); CAMLreturn(Val_unit); }
value PushWindow(value v)
{ CAMLparam1(v); glutPushWindow(); CAMLreturn(Val_unit); }
value IconifyWindow(value v)
{ CAMLparam1(v); glutIconifyWindow(); CAMLreturn(Val_unit); }
value ShowWindow(value v)
{ CAMLparam1(v); glutShowWindow(); CAMLreturn(Val_unit); }
value HideWindow(value v)
{ CAMLparam1(v); glutHideWindow(); CAMLreturn(Val_unit); }
value FullScreen(value v)
{ CAMLparam1(v); glutFullScreen(); CAMLreturn(Val_unit); }
value SetCursor(value cursor)
{ CAMLparam1(cursor); glutSetCursor(Int_val(cursor)); CAMLreturn(Val_unit); }
value WarpPointer(value x, value y)
{
	CAMLparam2(x,y);
	glutWarpPointer(Int_val(x), Int_val(y));
	CAMLreturn(Val_unit);
}

/* GLUT overlay sub-API. */
value EstablishOverlay(value v)
{ CAMLparam1(v); glutEstablishOverlay(); CAMLreturn(Val_unit); }
value RemoveOverlay(value v)
{ CAMLparam1(v); glutRemoveOverlay(); CAMLreturn(Val_unit); }
value UseLayer(value layer)
{ CAMLparam1(layer); glutUseLayer(Int_val(layer)); CAMLreturn(Val_unit); }
value PostOverlayRedisplay(value v)
{ CAMLparam1(v); glutPostOverlayRedisplay(); CAMLreturn(Val_unit); }
value PostWindowOverlayRedisplay(value win)
{
	CAMLparam1(win);
	glutPostWindowOverlayRedisplay(Int_val(win));
	CAMLreturn(Val_unit);
}
value ShowOverlay(value v)
{ CAMLparam1(v); glutShowOverlay(); CAMLreturn(Val_unit); }
value HideOverlay(value v)
{ CAMLparam1(v); glutHideOverlay(); CAMLreturn(Val_unit); }

/* GLUT menu sub-API. */
/* ޴ __MAX_MENU  ̻  ʴ´ٰ Ѵ. */
#define __MAX_MENU 1024
typedef struct {int menu; value func;} MFtuple;
static MFtuple mfts[__MAX_MENU];
void menu_func(int v)
{
	int menu = glutGetMenu(); int i;
	for (i=0; i<__MAX_MENU; i++)
		if (mfts[i].menu==menu)
		{ callback(mfts[i].func,Val_int(v)); break; }
}
value CreateMenu(value f)
{ static int count = 0;
	CAMLparam1(f);
	int menu = glutCreateMenu(menu_func);
	mfts[count].menu = menu;
	remove_global_root(&mfts[count].func);
	register_global_root(&mfts[count].func);
	mfts[count].func = f;
	count++; count %= __MAX_MENU;
	CAMLreturn(Val_int(menu));
}
value DestroyMenu(value menu)
{ CAMLparam1(menu); glutDestroyMenu(Int_val(menu)); CAMLreturn(Val_unit); }
value GetMenu(value v)
{ CAMLparam1(v); CAMLreturn(Val_int(glutGetMenu())); }
value SetMenu(value menu)
{ CAMLparam1(menu); glutSetMenu(Int_val(menu)); CAMLreturn(Val_unit); }
value AddMenuEntry(value label, value v)
{
	CAMLparam2(label, v);
	glutAddMenuEntry(String_val(label), Int_val(v));
	CAMLreturn(Val_unit);
}
value AddSubMenu(value label, value submenu)
{
	CAMLparam2(label, submenu);
	glutAddSubMenu(String_val(label), Int_val(submenu));
	CAMLreturn(Val_unit);
}
value ChangeToMenuEntry(value item, value label, value v)
{
	CAMLparam3(item, label, v);
	glutChangeToMenuEntry(Int_val(item), String_val(label), Int_val(v));
	CAMLreturn(Val_unit);
}
value ChangeToSubMenu(value item, value label, value submenu)
{
	CAMLparam3(item, label, submenu);
	glutChangeToSubMenu(Int_val(item), String_val(label), Int_val(submenu));
	CAMLreturn(Val_unit);
}
value RemoveMenuItem(value item)
{ CAMLparam1(item); glutRemoveMenuItem(Int_val(item)); CAMLreturn(Val_unit); }
value AttachMenu(value button)
{ CAMLparam1(button); glutAttachMenu(Int_val(button)); CAMLreturn(Val_unit); }
value DetachMenu(value button)
{ CAMLparam1(button); glutDetachMenu(Int_val(button)); CAMLreturn(Val_unit); }
 
/* GLUT window callback sub-API. */
static value display_func;
static void display(void) { callback(display_func,Val_unit); }
value DisplayFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&display_func);
	register_global_root(&display_func);
	display_func=v;
	glutDisplayFunc(display);
	CAMLreturn(Val_unit);
}
static value reshape_func;
static void reshape(int width, int height)
{ callback2(reshape_func, Val_int(width),Val_int(height)); }
value ReshapeFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&reshape_func);
	register_global_root(&reshape_func);
	reshape_func=v;
	glutReshapeFunc(reshape);
	CAMLreturn(Val_unit);
}
static value keyboard_func;
static void keyboard(unsigned char key, int x, int y)
{ callback3(keyboard_func, Val_int(key), Val_int(x), Val_int(y)); }
value KeyboardFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&keyboard_func);
	register_global_root(&keyboard_func);
	keyboard_func=v;
	glutKeyboardFunc(keyboard);
	CAMLreturn(Val_unit);
}
static value mouse_func;
static void mouse(int button, int state, int x, int y)
{
	value va[4] = {Val_int(button),Val_int(state),Val_int(x),Val_int(y)};
	callbackN(mouse_func,4,va);
}
value MouseFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&mouse_func);
	register_global_root(&mouse_func);
	mouse_func=v;
	glutMouseFunc(mouse);
	CAMLreturn(Val_unit);
}
static value motion_func;
static void motion(int x, int y)
{ callback2(motion_func, Val_int(x), Val_int(y)); }
value MotionFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&motion_func);
	register_global_root(&motion_func);
	motion_func=v;
	glutMotionFunc(motion);
	CAMLreturn(Val_unit);
}
static value passiveMotion_func;
static void passiveMotion(int x, int y)
{ callback2(passiveMotion_func, Val_int(x), Val_int(y)); }
value PassiveMotionFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&passiveMotion_func);
	register_global_root(&passiveMotion_func);
	passiveMotion_func=v;
	glutPassiveMotionFunc(passiveMotion);
	CAMLreturn(Val_unit);
}
static value entry_func;
static void entry(int state) { callback(entry_func, Val_int(state)); }
value EntryFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&entry_func);
	register_global_root(&entry_func);
	entry_func=v;
	glutEntryFunc(entry);
	CAMLreturn(Val_unit);
}
static value visibility_func;
static void visibility(int state) { callback(visibility_func, Val_int(state)); }
value VisibilityFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&visibility_func);
	register_global_root(&visibility_func);
	visibility_func=v;
	glutVisibilityFunc(visibility);
	CAMLreturn(Val_unit);
}
static value idle_func;
static void idle(void) { callback(idle_func, Val_unit); }
value IdleFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&idle_func);
	register_global_root(&idle_func);
	idle_func=v;
	glutIdleFunc(idle);
	CAMLreturn(Val_unit);
}
static value timer_func;
static void timer(int v) { callback(timer_func, Val_int(v)); }
value TimerFunc(value millis, value f, value v)
{
	CAMLparam3(millis,f,v);
	remove_global_root(&timer_func);
	register_global_root(&timer_func);
	timer_func=f;
	glutTimerFunc(Int_val(millis), timer, Int_val(v));
	CAMLreturn(Val_unit);
}
static value menuState_func;
static void menuState(int state) { callback(menuState_func, Val_int(state)); }
value MenuStateFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&menuState_func);
	register_global_root(&menuState_func);
	menuState_func=v;
	glutMenuStateFunc(menuState);
	CAMLreturn(Val_unit);
}
static value special_func;
static void special(int key, int x, int y)
{ callback3(special_func, Val_int(key),Val_int(x),Val_int(y)); }
value SpecialFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&special_func);
	register_global_root(&special_func);
	special_func=v;
	glutSpecialFunc(special);
	CAMLreturn(Val_unit);
}
static value spaceballMotion_func;
static void spaceballMotion(int x, int y, int z)
{ callback3(spaceballMotion_func, Val_int(x),Val_int(y),Val_int(z)); }
value SpaceballMotionFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&spaceballMotion_func);
	register_global_root(&spaceballMotion_func);
	spaceballMotion_func=v;
	glutSpaceballMotionFunc(spaceballMotion);
	CAMLreturn(Val_unit);
}
static value spaceballRotate_func;
static void spaceballRotate(int x, int y, int z)
{ callback3(spaceballRotate_func, Val_int(x),Val_int(y),Val_int(z)); }
value SpaceballRotateFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&spaceballRotate_func);
	register_global_root(&spaceballRotate_func);
	spaceballRotate_func=v;
	glutSpaceballRotateFunc(spaceballRotate);
	CAMLreturn(Val_unit);
}
static value spaceballButton_func;
static void spaceballButton(int button, int state)
{ callback2(spaceballButton_func, Val_int(button),Val_int(state)); }
value SpaceballButtonFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&spaceballButton_func);
	register_global_root(&spaceballButton_func);
	spaceballButton_func=v;
	glutSpaceballButtonFunc(spaceballButton);
	CAMLreturn(Val_unit);
}
static value buttonBox_func;
static void buttonBox(int button, int state)
{ callback2(buttonBox_func, Val_int(button),Val_int(state)); }
value ButtonBoxFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&buttonBox_func);
	register_global_root(&buttonBox_func);
	buttonBox_func=v;
	glutButtonBoxFunc(buttonBox);
	CAMLreturn(Val_unit);
}
static value dials_func;
static void dials(int dial, int v)
{ callback2(dials_func, Val_int(dial),Val_int(v)); }
value DialsFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&dials_func);
	register_global_root(&dials_func);
	dials_func=v;
	glutDialsFunc(dials);
	CAMLreturn(Val_unit);
}
static value tabletMotion_func;
static void tabletMotion(int x, int y)
{ callback2(tabletMotion_func, Val_int(x),Val_int(y)); }
value TabletMotionFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&tabletMotion_func);
	register_global_root(&tabletMotion_func);
	tabletMotion_func=v;
	glutTabletMotionFunc(tabletMotion);
	CAMLreturn(Val_unit);
}
static value tabletButton_func;
static void tabletButton(int button, int state, int x, int y)
{
	value va[4] = {Val_int(button),Val_int(state),Val_int(x),Val_int(y)};
	callbackN(tabletButton_func,4,va);
}
value TabletButtonFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&tabletButton_func);
	register_global_root(&tabletButton_func);
	tabletButton_func=v;
	glutTabletButtonFunc(tabletButton);
	CAMLreturn(Val_unit);
}
static value menuStatus_func;
static void menuStatus(int status, int x, int y)
{ callback3(menuStatus_func, Val_int(status),Val_int(x),Val_int(y)); }
value MenuStatusFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&menuStatus_func);
	register_global_root(&menuStatus_func);
	menuStatus_func=v;
	glutMenuStatusFunc(menuStatus);
	CAMLreturn(Val_unit);
}
static value overlayDisplay_func;
static void overlayDisplay(void) { callback(overlayDisplay_func, Val_unit); }
value OverlayDisplayFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&overlayDisplay_func);
	register_global_root(&overlayDisplay_func);
	overlayDisplay_func=v;
	glutOverlayDisplayFunc(overlayDisplay);
	CAMLreturn(Val_unit);
}
static value windowStatus_func;
static void windowStatus(int state)
{ callback(windowStatus_func, Val_int(state)); }
value WindowStatusFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&windowStatus_func);
	register_global_root(&windowStatus_func);
	windowStatus_func=v;
	glutWindowStatusFunc(windowStatus);
	CAMLreturn(Val_unit);
}
static value keyboardUp_func;
static void keyboardUp(unsigned char key, int x, int y)
{ callback3(keyboardUp_func, Val_int(key),Val_int(x),Val_int(y)); }
value KeyboardUpFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&keyboardUp_func);
	register_global_root(&keyboardUp_func);
	keyboardUp_func=v;
	glutKeyboardUpFunc(keyboardUp);
	CAMLreturn(Val_unit);
}
static value specialUp_func;
static void specialUp(int key, int x, int y)
{ callback3(specialUp_func, Val_int(key),Val_int(x),Val_int(y)); }
value SpecialUpFunc(value v)
{
	CAMLparam1(v);
	remove_global_root(&specialUp_func);
	register_global_root(&specialUp_func);
	specialUp_func=v;
	glutSpecialUpFunc(specialUp);
	CAMLreturn(Val_unit);
}
static value joystick_func;
static void joystick(unsigned int buttonMask, int x, int y, int z)
{
	value va[4] = {Val_int(buttonMask),Val_int(x),Val_int(y),Val_int(z)};
	callbackN(joystick_func,4,va);
}
value JoystickFunc(value v, value pollInterval)
{
	CAMLparam2(v, pollInterval);
	remove_global_root(&joystick_func);
	register_global_root(&joystick_func);
	joystick_func=v;
	glutJoystickFunc(joystick, Val_int(pollInterval));
	CAMLreturn(Val_unit);
}

/* GLUT color index sub-API. */
value SetColor(value ndx, value red, value green, value blue)
{
	CAMLparam4(ndx, red, green, blue);
	glutSetColor(Int_val(ndx), Double_val(red), Double_val(green), Double_val(blue));
	CAMLreturn(Val_unit);
}
value GetColor(value ndx, value component)
{
	CAMLparam2(ndx, component); CAMLlocal1(result);
	Store_double_val(result, glutGetColor(Int_val(ndx),Int_val(component)));
	CAMLreturn(result);
}
value CopyColormap(value win)
{ CAMLparam1(win); glutCopyColormap(Int_val(win)); CAMLreturn(Val_unit); }

/* GLUT state retrieval sub-API. */
value Get(value type)
{ CAMLparam1(type); CAMLreturn(Val_int(glutGet(Int_val(type)))); }
value DeviceGet(value type)
{ CAMLparam1(type); CAMLreturn(Val_int(glutDeviceGet(Int_val(type)))); }
/* GLUT extension support sub-API */
value ExtensionSupported(value name)
{
	CAMLparam1(name);
	CAMLreturn(Val_int(glutExtensionSupported(String_val(name))));
}
value GetModifiers(value v)
{ CAMLparam1(v); CAMLreturn(Val_int(glutGetModifiers())); }
value LayerGet(value type)
{ CAMLparam1(type); CAMLreturn(Val_int(glutLayerGet(Int_val(type)))); }

/* GLUT font sub-API */
value BitmapCharacter(value font, value character)
{
	CAMLparam2(font,character);
	glutBitmapCharacter((void*)Int_val(font), Int_val(character));
	CAMLreturn(Val_unit);
}
value BitmapWidth(value font, value character)
{
	CAMLparam2(font,character);
	CAMLreturn(Val_int(glutBitmapWidth((void*)Int_val(font), Int_val(character))));
}
value StrokeCharacter(value font, value character)
{
	CAMLparam2(font,character);
	glutStrokeCharacter((void*)Int_val(font), Int_val(character));
	CAMLreturn(Val_unit);
}
value StrokeWidth(value font, value character)
{
	CAMLparam2(font,character);
	CAMLreturn(Val_int(glutStrokeWidth((void*)Int_val(font), Int_val(character))));
}
value BitmapLength(value font, value string)
{
	CAMLparam2(font, string);
	CAMLreturn(Val_int(glutBitmapLength((void*)Int_val(font), String_val(string))));
}
value StrokeLength(value font, value string)
{
	CAMLparam2(font, string);
	CAMLreturn(Val_int(glutStrokeLength((void*)Int_val(font), String_val(string))));
}

/* GLUT pre-built models sub-API */
value WireSphere(value radius, value slices, value stacks)
{
	CAMLparam3(radius,slices,stacks);
	glutWireSphere(Double_val(radius), Int_val(slices), Int_val(stacks));
	CAMLreturn(Val_unit);
}
value SolidSphere(value radius, value slices, value stacks)
{
	CAMLparam3(radius,slices,stacks);
	glutSolidSphere(Double_val(radius), Int_val(slices), Int_val(stacks));
	CAMLreturn(Val_unit);
}
value WireCone(value base, value height, value slices, value stacks)
{
	CAMLparam4(base,height,slices,stacks);
	glutWireCone(Double_val(base), Double_val(height), Int_val(slices), Int_val(stacks));
	CAMLreturn(Val_unit);
}
value SolidCone(value base, value height, value slices, value stacks)
{
	CAMLparam4(base,height,slices,stacks);
	glutSolidCone(Double_val(base), Double_val(height), Int_val(slices), Int_val(stacks));
	CAMLreturn(Val_unit);
}
value WireCube(value size)
{ CAMLparam1(size); glutWireCube(Double_val(size)); CAMLreturn(Val_unit); }
value SolidCube(value size)
{ CAMLparam1(size); glutSolidCube(Double_val(size)); CAMLreturn(Val_unit); }
value WireTorus(value innerRadius, value outerRadius, value sides, value rings)
{
	CAMLparam4(innerRadius,outerRadius,sides,rings);
	glutWireTorus(Double_val(innerRadius), Double_val(outerRadius), Int_val(sides), Int_val(rings));
	CAMLreturn(Val_unit);
}
value SolidTorus(value innerRadius, value outerRadius, value sides, value rings)
{
	CAMLparam4(innerRadius,outerRadius,sides,rings);
	glutSolidTorus(Double_val(innerRadius), Double_val(outerRadius), Int_val(sides), Int_val(rings));
	CAMLreturn(Val_unit);
}
value WireDodecahedron(value v)
{ CAMLparam1(v); glutWireDodecahedron(); CAMLreturn(Val_unit); }
value SolidDodecahedron(value v)
{ CAMLparam1(v); glutSolidDodecahedron(); CAMLreturn(Val_unit); }
value WireTeapot(value size)
{ CAMLparam1(size); glutWireTeapot(Double_val(size)); CAMLreturn(Val_unit); }
value SolidTeapot(value size)
{ CAMLparam1(size); glutSolidTeapot(Double_val(size)); CAMLreturn(Val_unit); }
value WireOctahedron(value v)
{ CAMLparam1(v); glutWireOctahedron(); CAMLreturn(Val_unit); }
value SolidOctahedron(value v)
{ CAMLparam1(v); glutSolidOctahedron(); CAMLreturn(Val_unit); }
value WireTetrahedron(value v)
{ CAMLparam1(v); glutWireTetrahedron(); CAMLreturn(Val_unit); }
value SolidTetrahedron(value v)
{ CAMLparam1(v); glutSolidTetrahedron(); CAMLreturn(Val_unit); }
value WireIcosahedron(value v)
{ CAMLparam1(v); glutWireIcosahedron(); CAMLreturn(Val_unit); }
value SolidIcosahedron(value v)
{ CAMLparam1(v); glutSolidIcosahedron(); CAMLreturn(Val_unit); }

/* GLUT video resize sub-API. */
value VideoResizeGet(value param)
{ CAMLparam1(param); CAMLreturn(Val_int(glutVideoResizeGet(Int_val(param)))); }
value SetupVideoResizing(value v)
{ CAMLparam1(v); glutSetupVideoResizing(); CAMLreturn(Val_unit); }
value StopVideoResizing(value v)
{ CAMLparam1(v); glutStopVideoResizing(); CAMLreturn(Val_unit); }
value VideoResize(value x, value y, value width, value height)
{
	CAMLparam4(x,y, width,height);
	glutVideoResize(Int_val(x),Int_val(y), Int_val(width),Int_val(height));
	CAMLreturn(Val_unit);
}
value VideoPan(value x, value y, value width, value height)
{
	CAMLparam4(x,y, width,height);
	glutVideoPan(Int_val(x),Int_val(y), Int_val(width),Int_val(height));
	CAMLreturn(Val_unit);
}

/* GLUT debugging sub-API. */
value ReportErrors(value v)
{ CAMLparam1(v); glutReportErrors(); CAMLreturn(Val_unit); }

/* GLUT device control sub-API. */
value IgnoreKeyRepeat(value ignore)
{
	CAMLparam1(ignore);
	glutIgnoreKeyRepeat(Int_val(ignore));
	CAMLreturn(Val_unit);
}
value SetKeyRepeat(value repeatMode)
{
	CAMLparam1(repeatMode);
	glutSetKeyRepeat(Int_val(repeatMode));
	CAMLreturn(Val_unit);
}
value ForceJoystickFunc(value v)
{ CAMLparam1(v); glutForceJoystickFunc(); CAMLreturn(Val_unit); }

/* GLUT game mode sub-API. */
value GameModeString(value string)
{
	CAMLparam1(string);
	glutGameModeString(String_val(string));
	CAMLreturn(Val_unit);
}
value EnterGameMode(value v)
{ CAMLparam1(v); CAMLreturn(Val_int(glutEnterGameMode())); }
value LeaveGameMode(value v)
{ CAMLparam1(v); glutLeaveGameMode(); CAMLreturn(Val_unit); }
value GameModeGet(value mode)
{ CAMLparam1(mode); CAMLreturn(Val_int(glutGameModeGet(Int_val(mode)))); }
