(* Display mode bit masks. *)
external def_GLUT_RGB						: unit -> int = "def_GLUT_RGB"
external def_GLUT_RGBA						: unit -> int = "def_GLUT_RGBA"
external def_GLUT_INDEX						: unit -> int = "def_GLUT_INDEX"
external def_GLUT_SINGLE					: unit -> int = "def_GLUT_SINGLE"
external def_GLUT_DOUBLE					: unit -> int = "def_GLUT_DOUBLE"
external def_GLUT_ACCUM						: unit -> int = "def_GLUT_ACCUM"
external def_GLUT_ALPHA						: unit -> int = "def_GLUT_ALPHA"
external def_GLUT_DEPTH						: unit -> int = "def_GLUT_DEPTH"
external def_GLUT_STENCIL					: unit -> int = "def_GLUT_STENCIL"
external def_GLUT_MULTISAMPLE				: unit -> int = "def_GLUT_MULTISAMPLE"
external def_GLUT_STEREO					: unit -> int = "def_GLUT_STEREO"
external def_GLUT_LUMINANCE					: unit -> int = "def_GLUT_LUMINANCE"
                                            
(* Mouse buttons. *)                        
external def_GLUT_LEFT_BUTTON				: unit -> int = "def_GLUT_LEFT_BUTTON"
external def_GLUT_MIDDLE_BUTTON				: unit -> int = "def_GLUT_MIDDLE_BUTTON"
external def_GLUT_RIGHT_BUTTON				: unit -> int = "def_GLUT_RIGHT_BUTTON"
(* Mouse button  state. *)                  
external def_GLUT_DOWN						: unit -> int = "def_GLUT_DOWN"
external def_GLUT_UP						: unit -> int = "def_GLUT_UP"
(* function keys *)                         
external def_GLUT_KEY_F1					: unit -> int = "def_GLUT_KEY_F1"
external def_GLUT_KEY_F2					: unit -> int = "def_GLUT_KEY_F2"
external def_GLUT_KEY_F3					: unit -> int = "def_GLUT_KEY_F3"
external def_GLUT_KEY_F4					: unit -> int = "def_GLUT_KEY_F4"
external def_GLUT_KEY_F5					: unit -> int = "def_GLUT_KEY_F5"
external def_GLUT_KEY_F6					: unit -> int = "def_GLUT_KEY_F6"
external def_GLUT_KEY_F7					: unit -> int = "def_GLUT_KEY_F7"
external def_GLUT_KEY_F8					: unit -> int = "def_GLUT_KEY_F8"
external def_GLUT_KEY_F9					: unit -> int = "def_GLUT_KEY_F9"
external def_GLUT_KEY_F10					: unit -> int = "def_GLUT_KEY_F10"
external def_GLUT_KEY_F11					: unit -> int = "def_GLUT_KEY_F11"
external def_GLUT_KEY_F12					: unit -> int = "def_GLUT_KEY_F12"
(* directional keys *)                      
external def_GLUT_KEY_LEFT					: unit -> int = "def_GLUT_KEY_LEFT"
external def_GLUT_KEY_UP					: unit -> int = "def_GLUT_KEY_UP"
external def_GLUT_KEY_RIGHT					: unit -> int = "def_GLUT_KEY_RIGHT"
external def_GLUT_KEY_DOWN					: unit -> int = "def_GLUT_KEY_DOWN"
external def_GLUT_KEY_PAGE_UP				: unit -> int = "def_GLUT_KEY_PAGE_UP"
external def_GLUT_KEY_PAGE_DOWN				: unit -> int = "def_GLUT_KEY_PAGE_DOWN"
external def_GLUT_KEY_HOME					: unit -> int = "def_GLUT_KEY_HOME"
external def_GLUT_KEY_END					: unit -> int = "def_GLUT_KEY_END"
external def_GLUT_KEY_INSERT				: unit -> int = "def_GLUT_KEY_INSERT"
                                            
(* Entry/exit  state. *)                    
external def_GLUT_LEFT						: unit -> int = "def_GLUT_LEFT"
external def_GLUT_ENTERED					: unit -> int = "def_GLUT_ENTERED"
(* Menu usage  state. *)                    
external def_GLUT_MENU_NOT_IN_USE			: unit -> int = "def_GLUT_MENU_NOT_IN_USE"
external def_GLUT_MENU_IN_USE				: unit -> int = "def_GLUT_MENU_IN_USE"
(* Visibility  state. *)                    
external def_GLUT_NOT_VISIBLE				: unit -> int = "def_GLUT_NOT_VISIBLE"
external def_GLUT_VISIBLE					: unit -> int = "def_GLUT_VISIBLE"
(* Window status  state. *)                 
external def_GLUT_HIDDEN					: unit -> int = "def_GLUT_HIDDEN"
external def_GLUT_FULLY_RETAINED			: unit -> int = "def_GLUT_FULLY_RETAINED"
external def_GLUT_PARTIALLY_RETAINED		: unit -> int = "def_GLUT_PARTIALLY_RETAINED"
external def_GLUT_FULLY_COVERED				: unit -> int = "def_GLUT_FULLY_COVERED"

(* Color index component selection externals. *)
external def_GLUT_RED						: unit -> int = "def_GLUT_RED"
external def_GLUT_GREEN						: unit -> int = "def_GLUT_GREEN"
external def_GLUT_BLUE						: unit -> int = "def_GLUT_BLUE"
(* Layers for use. *) (* glutUseLayer parameters. *)
external def_GLUT_NORMAL					: unit -> int = "def_GLUT_NORMAL"
external def_GLUT_OVERLAY					: unit -> int = "def_GLUT_OVERLAY"

(* Stroke font constants (use these in GLUT program). *)
external def_GLUT_STROKE_ROMAN				: unit -> int = "def_GLUT_STROKE_ROMAN"
external def_GLUT_STROKE_MONO_ROMAN			: unit -> int = "def_GLUT_STROKE_MONO_ROMAN"
(* Bitmap font constants (use these in GLUT program). *)
external def_GLUT_BITMAP_9_BY_15			: unit -> int = "def_GLUT_BITMAP_9_BY_15"
external def_GLUT_BITMAP_8_BY_13			: unit -> int = "def_GLUT_BITMAP_8_BY_13"
external def_GLUT_BITMAP_TIMES_ROMAN_10		: unit -> int = "def_GLUT_BITMAP_TIMES_ROMAN_10"
external def_GLUT_BITMAP_TIMES_ROMAN_24		: unit -> int = "def_GLUT_BITMAP_TIMES_ROMAN_24"
external def_GLUT_BITMAP_HELVETICA_10		: unit -> int = "def_GLUT_BITMAP_HELVETICA_10"
external def_GLUT_BITMAP_HELVETICA_12		: unit -> int = "def_GLUT_BITMAP_HELVETICA_12"
external def_GLUT_BITMAP_HELVETICA_18		: unit -> int = "def_GLUT_BITMAP_HELVETICA_18"

(* glutGet parameters. *)
external def_GLUT_WINDOW_X					: unit -> int = "def_GLUT_WINDOW_X"
external def_GLUT_WINDOW_Y					: unit -> int = "def_GLUT_WINDOW_Y"
external def_GLUT_WINDOW_WIDTH				: unit -> int = "def_GLUT_WINDOW_WIDTH"
external def_GLUT_WINDOW_HEIGHT				: unit -> int = "def_GLUT_WINDOW_HEIGHT"
external def_GLUT_WINDOW_BUFFER_SIZE		: unit -> int = "def_GLUT_WINDOW_BUFFER_SIZE"
external def_GLUT_WINDOW_STENCIL_SIZE		: unit -> int = "def_GLUT_WINDOW_STENCIL_SIZE"
external def_GLUT_WINDOW_DEPTH_SIZE			: unit -> int = "def_GLUT_WINDOW_DEPTH_SIZE"
external def_GLUT_WINDOW_RED_SIZE			: unit -> int = "def_GLUT_WINDOW_RED_SIZE"
external def_GLUT_WINDOW_GREEN_SIZE			: unit -> int = "def_GLUT_WINDOW_GREEN_SIZE"
external def_GLUT_WINDOW_BLUE_SIZE			: unit -> int = "def_GLUT_WINDOW_BLUE_SIZE"
external def_GLUT_WINDOW_ALPHA_SIZE			: unit -> int = "def_GLUT_WINDOW_ALPHA_SIZE"
external def_GLUT_WINDOW_ACCUM_RED_SIZE		: unit -> int = "def_GLUT_WINDOW_ACCUM_RED_SIZE"
external def_GLUT_WINDOW_ACCUM_GREEN_SIZE	: unit -> int = "def_GLUT_WINDOW_ACCUM_GREEN_SIZE"
external def_GLUT_WINDOW_ACCUM_BLUE_SIZE	: unit -> int = "def_GLUT_WINDOW_ACCUM_BLUE_SIZE"
external def_GLUT_WINDOW_ACCUM_ALPHA_SIZE	: unit -> int = "def_GLUT_WINDOW_ACCUM_ALPHA_SIZE"
external def_GLUT_WINDOW_DOUBLEBUFFER		: unit -> int = "def_GLUT_WINDOW_DOUBLEBUFFER"
external def_GLUT_WINDOW_RGBA				: unit -> int = "def_GLUT_WINDOW_RGBA"
external def_GLUT_WINDOW_PARENT				: unit -> int = "def_GLUT_WINDOW_PARENT"
external def_GLUT_WINDOW_NUM_CHILDREN		: unit -> int = "def_GLUT_WINDOW_NUM_CHILDREN"
external def_GLUT_WINDOW_COLORMAP_SIZE		: unit -> int = "def_GLUT_WINDOW_COLORMAP_SIZE"
external def_GLUT_WINDOW_NUM_SAMPLES		: unit -> int = "def_GLUT_WINDOW_NUM_SAMPLES"
external def_GLUT_WINDOW_STEREO				: unit -> int = "def_GLUT_WINDOW_STEREO"
external def_GLUT_WINDOW_CURSOR				: unit -> int = "def_GLUT_WINDOW_CURSOR"
external def_GLUT_SCREEN_WIDTH				: unit -> int = "def_GLUT_SCREEN_WIDTH"
external def_GLUT_SCREEN_HEIGHT				: unit -> int = "def_GLUT_SCREEN_HEIGHT"
external def_GLUT_SCREEN_WIDTH_MM			: unit -> int = "def_GLUT_SCREEN_WIDTH_MM"
external def_GLUT_SCREEN_HEIGHT_MM			: unit -> int = "def_GLUT_SCREEN_HEIGHT_MM"
external def_GLUT_MENU_NUM_ITEMS			: unit -> int = "def_GLUT_MENU_NUM_ITEMS"
external def_GLUT_DISPLAY_MODE_POSSIBLE		: unit -> int = "def_GLUT_DISPLAY_MODE_POSSIBLE"
external def_GLUT_INIT_WINDOW_X				: unit -> int = "def_GLUT_INIT_WINDOW_X"
external def_GLUT_INIT_WINDOW_Y				: unit -> int = "def_GLUT_INIT_WINDOW_Y"
external def_GLUT_INIT_WINDOW_WIDTH			: unit -> int = "def_GLUT_INIT_WINDOW_WIDTH"
external def_GLUT_INIT_WINDOW_HEIGHT		: unit -> int = "def_GLUT_INIT_WINDOW_HEIGHT"
external def_GLUT_INIT_DISPLAY_MODE			: unit -> int = "def_GLUT_INIT_DISPLAY_MODE"
external def_GLUT_ELAPSED_TIME				: unit -> int = "def_GLUT_ELAPSED_TIME"
external def_GLUT_WINDOW_FORMAT_ID			: unit -> int = "def_GLUT_WINDOW_FORMAT_ID"
                                            
(* glutDeviceGet parameters. *)             
external def_GLUT_HAS_KEYBOARD				: unit -> int = "def_GLUT_HAS_KEYBOARD"
external def_GLUT_HAS_MOUSE					: unit -> int = "def_GLUT_HAS_MOUSE"
external def_GLUT_HAS_SPACEBALL				: unit -> int = "def_GLUT_HAS_SPACEBALL"
external def_GLUT_HAS_DIAL_AND_BUTTON_BOX	: unit -> int = "def_GLUT_HAS_DIAL_AND_BUTTON_BOX"
external def_GLUT_HAS_TABLET				: unit -> int = "def_GLUT_HAS_TABLET"
external def_GLUT_NUM_MOUSE_BUTTONS			: unit -> int = "def_GLUT_NUM_MOUSE_BUTTONS"
external def_GLUT_NUM_SPACEBALL_BUTTONS		: unit -> int = "def_GLUT_NUM_SPACEBALL_BUTTONS"
external def_GLUT_NUM_BUTTON_BOX_BUTTONS	: unit -> int = "def_GLUT_NUM_BUTTON_BOX_BUTTONS"
external def_GLUT_NUM_DIALS					: unit -> int = "def_GLUT_NUM_DIALS"
external def_GLUT_NUM_TABLET_BUTTONS		: unit -> int = "def_GLUT_NUM_TABLET_BUTTONS"
external def_GLUT_DEVICE_IGNORE_KEY_REPEAT	: unit -> int = "def_GLUT_DEVICE_IGNORE_KEY_REPEAT"
external def_GLUT_DEVICE_KEY_REPEAT			: unit -> int = "def_GLUT_DEVICE_KEY_REPEAT"
external def_GLUT_HAS_JOYSTICK				: unit -> int = "def_GLUT_HAS_JOYSTICK"
external def_GLUT_OWNS_JOYSTICK				: unit -> int = "def_GLUT_OWNS_JOYSTICK"
external def_GLUT_JOYSTICK_BUTTONS			: unit -> int = "def_GLUT_JOYSTICK_BUTTONS"
external def_GLUT_JOYSTICK_AXES				: unit -> int = "def_GLUT_JOYSTICK_AXES"
external def_GLUT_JOYSTICK_POLL_RATE		: unit -> int = "def_GLUT_JOYSTICK_POLL_RATE"
                                            
(* glutLayerGet parameters. *)              
external def_GLUT_OVERLAY_POSSIBLE			: unit -> int = "def_GLUT_OVERLAY_POSSIBLE"
external def_GLUT_LAYER_IN_USE				: unit -> int = "def_GLUT_LAYER_IN_USE"
external def_GLUT_HAS_OVERLAY				: unit -> int = "def_GLUT_HAS_OVERLAY"
external def_GLUT_TRANSPARENT_INDEX			: unit -> int = "def_GLUT_TRANSPARENT_INDEX"
external def_GLUT_NORMAL_DAMAGED			: unit -> int = "def_GLUT_NORMAL_DAMAGED"
external def_GLUT_OVERLAY_DAMAGED			: unit -> int = "def_GLUT_OVERLAY_DAMAGED"
                                            
(* glutVideoResizeGet parameters. *)        
external def_GLUT_VIDEO_RESIZE_POSSIBLE		: unit -> int = "def_GLUT_VIDEO_RESIZE_POSSIBLE"
external def_GLUT_VIDEO_RESIZE_IN_USE		: unit -> int = "def_GLUT_VIDEO_RESIZE_IN_USE"
external def_GLUT_VIDEO_RESIZE_X_DELTA		: unit -> int = "def_GLUT_VIDEO_RESIZE_X_DELTA"
external def_GLUT_VIDEO_RESIZE_Y_DELTA		: unit -> int = "def_GLUT_VIDEO_RESIZE_Y_DELTA"
external def_GLUT_VIDEO_RESIZE_WIDTH_DELTA	: unit -> int = "def_GLUT_VIDEO_RESIZE_WIDTH_DELTA"
external def_GLUT_VIDEO_RESIZE_HEIGHT_DELTA	: unit -> int = "def_GLUT_VIDEO_RESIZE_HEIGHT_DELTA"
external def_GLUT_VIDEO_RESIZE_X			: unit -> int = "def_GLUT_VIDEO_RESIZE_X"
external def_GLUT_VIDEO_RESIZE_Y			: unit -> int = "def_GLUT_VIDEO_RESIZE_Y"
external def_GLUT_VIDEO_RESIZE_WIDTH		: unit -> int = "def_GLUT_VIDEO_RESIZE_WIDTH"
external def_GLUT_VIDEO_RESIZE_HEIGHT		: unit -> int = "def_GLUT_VIDEO_RESIZE_HEIGHT"
                                            
(* glutGetModifiers return mask. *)         
external def_GLUT_ACTIVE_SHIFT				: unit -> int = "def_GLUT_ACTIVE_SHIFT"
external def_GLUT_ACTIVE_CTRL				: unit -> int = "def_GLUT_ACTIVE_CTRL"
external def_GLUT_ACTIVE_ALT				: unit -> int = "def_GLUT_ACTIVE_ALT"
                                            
(* glutSetCursor parameters. *)             
(* Basic arrows. *)                         
external def_GLUT_CURSOR_RIGHT_ARROW		: unit -> int = "def_GLUT_CURSOR_RIGHT_ARROW"
external def_GLUT_CURSOR_LEFT_ARROW			: unit -> int = "def_GLUT_CURSOR_LEFT_ARROW"
(* Symbolic cursor shapes. *)               
external def_GLUT_CURSOR_INFO				: unit -> int = "def_GLUT_CURSOR_INFO"
external def_GLUT_CURSOR_DESTROY			: unit -> int = "def_GLUT_CURSOR_DESTROY"
external def_GLUT_CURSOR_HELP				: unit -> int = "def_GLUT_CURSOR_HELP"
external def_GLUT_CURSOR_CYCLE				: unit -> int = "def_GLUT_CURSOR_CYCLE"
external def_GLUT_CURSOR_SPRAY				: unit -> int = "def_GLUT_CURSOR_SPRAY"
external def_GLUT_CURSOR_WAIT				: unit -> int = "def_GLUT_CURSOR_WAIT"
external def_GLUT_CURSOR_TEXT				: unit -> int = "def_GLUT_CURSOR_TEXT"
external def_GLUT_CURSOR_CROSSHAIR			: unit -> int = "def_GLUT_CURSOR_CROSSHAIR"
(* Directional cursors. *)                  
external def_GLUT_CURSOR_UP_DOWN			: unit -> int = "def_GLUT_CURSOR_UP_DOWN"
external def_GLUT_CURSOR_LEFT_RIGHT			: unit -> int = "def_GLUT_CURSOR_LEFT_RIGHT"
(* Sizing cursors. *)                       
external def_GLUT_CURSOR_TOP_SIDE			: unit -> int = "def_GLUT_CURSOR_TOP_SIDE"
external def_GLUT_CURSOR_BOTTOM_SIDE		: unit -> int = "def_GLUT_CURSOR_BOTTOM_SIDE"
external def_GLUT_CURSOR_LEFT_SIDE			: unit -> int = "def_GLUT_CURSOR_LEFT_SIDE"
external def_GLUT_CURSOR_RIGHT_SIDE			: unit -> int = "def_GLUT_CURSOR_RIGHT_SIDE"
external def_GLUT_CURSOR_TOP_LEFT_CORNER	: unit -> int = "def_GLUT_CURSOR_TOP_LEFT_CORNER"
external def_GLUT_CURSOR_TOP_RIGHT_CORNER	: unit -> int = "def_GLUT_CURSOR_TOP_RIGHT_CORNER"
external def_GLUT_CURSOR_BOTTOM_RIGHT_CORNER: unit -> int = "def_GLUT_CURSOR_BOTTOM_RIGHT_CORNER"
external def_GLUT_CURSOR_BOTTOM_LEFT_CORNER	: unit -> int = "def_GLUT_CURSOR_BOTTOM_LEFT_CORNER"
(* Inherit from parent window. *)           
external def_GLUT_CURSOR_INHERIT			: unit -> int = "def_GLUT_CURSOR_INHERIT"
(* Blank cursor. *)                         
external def_GLUT_CURSOR_NONE				: unit -> int = "def_GLUT_CURSOR_NONE"
(* Fullscreen crosshair (if available). *)  
external def_GLUT_CURSOR_FULL_CROSSHAIR		: unit -> int = "def_GLUT_CURSOR_FULL_CROSSHAIR"
                                            
(* glutSetKeyRepeat modes. *)               
external def_GLUT_KEY_REPEAT_OFF			: unit -> int = "def_GLUT_KEY_REPEAT_OFF"
external def_GLUT_KEY_REPEAT_ON				: unit -> int = "def_GLUT_KEY_REPEAT_ON"
external def_GLUT_KEY_REPEAT_DEFAULT		: unit -> int = "def_GLUT_KEY_REPEAT_DEFAULT"
(* Joystick button masks. *)                
external def_GLUT_JOYSTICK_BUTTON_A			: unit -> int = "def_GLUT_JOYSTICK_BUTTON_A"
external def_GLUT_JOYSTICK_BUTTON_B			: unit -> int = "def_GLUT_JOYSTICK_BUTTON_B"
external def_GLUT_JOYSTICK_BUTTON_C			: unit -> int = "def_GLUT_JOYSTICK_BUTTON_C"
external def_GLUT_JOYSTICK_BUTTON_D			: unit -> int = "def_GLUT_JOYSTICK_BUTTON_D"
(* glutGameModeGet. *)                      
external def_GLUT_GAME_MODE_ACTIVE			: unit -> int = "def_GLUT_GAME_MODE_ACTIVE"
external def_GLUT_GAME_MODE_POSSIBLE		: unit -> int = "def_GLUT_GAME_MODE_POSSIBLE"
external def_GLUT_GAME_MODE_WIDTH			: unit -> int = "def_GLUT_GAME_MODE_WIDTH"
external def_GLUT_GAME_MODE_HEIGHT			: unit -> int = "def_GLUT_GAME_MODE_HEIGHT"
external def_GLUT_GAME_MODE_PIXEL_DEPTH		: unit -> int = "def_GLUT_GAME_MODE_PIXEL_DEPTH"
external def_GLUT_GAME_MODE_REFRESH_RATE	: unit -> int = "def_GLUT_GAME_MODE_REFRESH_RATE"
external def_GLUT_GAME_MODE_DISPLAY_CHANGED	: unit -> int = "def_GLUT_GAME_MODE_DISPLAY_CHANGED"

(* GLUT initialization sub-API. *)
external init : int -> string array -> unit = "Init"
external initDisplayMode : int -> unit = "InitDisplayMode"
external initDisplayString : string -> unit = "InitDisplayString"
external initWindowPosition : int -> int -> unit = "InitWindowPosition"
external initWindowSize : int -> int -> unit = "InitWindowSize"
external mainLoop : unit -> unit = "MainLoop"

(* GLUT window sub-API. *)
external createWindow : string -> int = "CreateWindow"
external createSubWindow : int -> int -> int -> int -> int -> int = "CreateSubWindow"
external destroyWindow : int -> unit = "DestroyWindow"
external postRedisplay : unit -> unit = "PostRedisplay"
external postWindowRedisplay : int -> unit = "PostWindowRedisplay"
external swapBuffers : unit -> unit = "SwapBuffers"
external getWindow : unit -> int = "GetWindow"
external setWindow : int -> unit = "SetWindow"
external setWindowTitle : string -> unit = "SetWindowTitle"
external setIconTitle : string -> unit = "SetIconTitle"
external positionWindow : int -> int -> unit = "PositionWindow"
external reshapeWindow : int -> int -> unit = "ReshapeWindow"
external popWindow : unit -> unit = "PopWindow"
external pushWindow : unit -> unit = "PushWindow"
external iconifyWindow : unit -> unit = "IconifyWindow"
external showWindow : unit -> unit = "ShowWindow"
external hideWindow : unit -> unit = "ReshapeWindow"
external fullScreen : unit -> unit = "FullScreen"
external setCursor : int -> unit = "SetCursor"
external warpPointer : int -> int -> unit = "WarpPointer"

(* GLUT overlay sub-API. *)
external establishOverlay : unit -> unit = "EstablishOverlay"
external removeOverlay : unit -> unit = "RemoveOverlay"
external useLayer : int -> unit = "UseLayer"
external postOverlayRedisplay : unit -> unit = "PostOverlayRedisplay"
external postWindowOverlayRedisplay : int -> unit = "PostWindowOverlayRedisplay"
external showOverlay : unit -> unit = "ShowOverlay"
external hideOverlay : unit -> unit = "HideOverlay"

(* GLUT menu sub-API. *)
external createMenu : (int->unit) -> int = "CreateMenu" (* ޴ __MAX_MENU  ̻  ʴ´ٰ Ѵ.  1024 *)
external destroyMenu : int -> unit = "DestroyMenu"
external getMenu : unit -> int = "GetMenu"
external setMenu : int -> unit = "SetMenu"
external addMenuEntry : string -> int -> unit = "AddMenuEntry"
external addSubMenu : string -> int -> unit = "AddSubMenu"
external changeToMenuEntry : int -> string -> int -> unit = "ChangeToMenuEntry"
external changeToSubMenu : int -> string -> int -> unit = "ChangeToSubMenu"
external removeMenuItem : int -> unit = "RemoveMenuItem"
external attachMenu : int -> unit = "AttachMenu"
external detachMenu : int -> unit = "DetachMenu"
 
(* GLUT window callback sub-API. *)
external displayFunc : (unit->unit) -> unit = "DisplayFunc"
external reshapeFunc : (int->int->unit) -> unit = "ReshapeFunc"
external keyboardFunc : (int->int->int->unit) -> unit = "KeyboardFunc" (*ù° Լڰ char ̾ ϴ° ƴѰ ? ڴ*)
external mouseFunc : (int->int->int->int->unit) -> unit = "MouseFunc"
external motionFunc : (int->int->unit) -> unit = "MotionFunc"
external passiveMotionFunc : (int->int->unit) -> unit = "PassiveMotionFunc"
external entryFunc : (int->unit) -> unit = "EntryFunc"
external visibilityFunc : (int->unit) -> unit = "VisibilityFunc"
external idleFunc : (unit->unit) -> unit = "IdleFunc"
external timerFunc : int -> (int->unit) -> int -> unit = "TimerFunc"
external menuStateFunc : (int->unit) -> unit = "MenuStateFunc"
external specialFunc : (int->int->int->unit) -> unit = "SpecialFunc"
external spaceballMotionFunc : (int->int->int->unit) -> unit = "SpaceballMotionFunc"
external spaceballRotateFunc : (int->int->int->unit) -> unit = "SpaceballRotateFunc"
external spaceballButtonFunc : (int->int->unit) -> unit = "SpaceballButtonFunc"
external buttonBoxFunc : (int->int->unit) -> unit = "ButtonBoxFunc"
external dialsFunc : (int->int->unit) -> unit = "DialsFunc"
external tabletMotionFunc : (int->int->unit) -> unit = "TabletMotionFunc"
external tabletButtonFunc : (int->int->int->int->unit) -> unit = "TabletButtonFunc"
external menuStatusFunc : (int->int->int->unit) -> unit = "MenuStatusFunc"
external overlayDisplayFunc : (unit->unit) -> unit = "OverlayDisplayFunc"
external windowStatusFunc : (int->unit) -> unit = "WindowStatusFunc"
external keyboardUpFunc : (int->int->int->unit) -> unit = "KeyboardUpFunc" (*ù° Լڴ char  Ǵ° ƴѰ ? ڴ*)
external specialUpFunc : (int->int->int->unit) -> unit = "SpecialUpFunc"
external joystickFunc : (int->int->int->int->unit) -> int -> unit = "JoystickFunc"

(* GLUT color index sub-API. *)
external setColor : int -> float -> float -> float -> unit = "SetColor"
external getColor : int -> int -> float = "GetColor"
external copyColormap : int -> unit = "CopyColormap"

(* GLUT state retrieval sub-API. *)
external get : int -> int = "Get"
external deviceGet : int -> int = "DeviceGet"
(* GLUT extension support sub-API *)
external extensionSupported : string -> int = "ExtensionSupported"
external getModifiers : unit -> int = "GetModifiers"
external layerGet : int -> int = "LayerGet"

(* GLUT font sub-API *)
external bitmapCharacter : int -> int -> unit = "BitmapCharacter"
external bitmapWidth : int -> int -> int = "BitmapWidth"
external strokeCharacter : int -> int -> unit = "StrokeCharacter"
external strokeWidth : int -> int -> int = "StrokeWidth"
external bitmapLength : int -> string -> int = "BitmapLength"
external strokeLength : int -> string -> int = "StrokeLength"

(* GLUT pre-built models sub-API *)
external wireSphere : float -> int -> int -> unit = "WireSphere"
external solidSphere : float -> int -> int -> unit= "SolidSphere"
external wireCone : float -> float -> int -> int -> unit = "WireCone"
external solidCone : float -> float -> int -> int -> unit = "SolidCone"
external wireCube : float -> unit = "WireCube"
external solidCube : float -> unit = "SolidCube"
external wireTorus : float -> float -> int -> int -> unit = "WireTorus"
external solidTorus : float -> float -> int -> int -> unit = "SolidTorus"
external wireDodecahedron : unit -> unit = "WireDodecahedron"
external solidDodecahedron : unit -> unit = "SolidDodecahedron"
external wireTeapot : float -> unit = "WireTeapot"
external solidTeapot : float -> unit = "SolidTeapot"
external wireOctahedron : unit -> unit = "WireOctahedron"
external solidOctahedron : unit -> unit = "SolidOctahedron"
external wireTetrahedron : unit -> unit = "WireTetrahedron"
external solidTetrahedron : unit -> unit = "SolidTetrahedron"
external wireIcosahedron : unit -> unit = "WireIcosahedron"
external solidIcosahedron : unit -> unit = "SolidIcosahedron"

(* GLUT video resize sub-API. *)
external videoResizeGet : int -> int = "VideoResizeGet"
external setupVideoResizing : unit -> unit = "SetupVideoResizing"
external stopVideoResizing : unit -> unit = "StopVideoResizing"
external videoResize : int -> int -> int -> int -> unit = "VideoResize"
external videoPan : int -> int -> int -> int -> unit = "VideoPan"

(* GLUT debugging sub-API. *)
external reportErrors : unit -> unit = "ReportErrors"

(* GLUT device control sub-API. *)
external ignoreKeyRepeat : int -> unit = "IgnoreKeyRepeat"
external setKeyRepeat : int -> unit = "SetKeyRepeat"
external forceJoystickFunc : unit -> unit = "ForceJoystickFunc"

(* GLUT game mode sub-API. *)
external gameModeString : string -> unit = "GameModeString"
external enterGameMode : unit -> int = "EnterGameMode"
external leaveGameMode : unit -> unit = "LeaveGameMode"
external gameModeGet : int -> int = "GameModeGet"
